Getting Help

Getting Help with CuteFTP Pro 3.0

Welcome to the GlobalSCAPE Online Help Desk! We have a variety of services available to help you with questions regarding our software. Extensive Web-based support is available to all users free of charge. E-mail support is available free of charge for 60 days from purchase.

CuteFTP Pro Help

Use the Contents, Index or Search tabs on the left to find answers.

Online Knowledge Base

Find help on the web in our online Knowledge Base

Customer Service

If you are having trouble downloading, installing or registering our products, customer service representatives are available to assist you by telephone at 210-308-8267 or send them an e-mail.

Lost Serial Number

If you are having problems registering your product because of a lost serial number and would like it re-sent, please click here, and your serial number will automatically be sent to you in minutes by email!

Technical Support

Registered users may contact our Technical Support Team within 60 days of purchasing any of our software. Inquiries are handled in the order in which they are received and we do our best to reply promptly during regular business hours (8 A.M. to 6 P.M., Monday - Friday, Central Time).

Comprehensive Support Programs

If you would like ongoing technical support after the complimentary 60-day period, GlobalSCAPE offers programs to aid in your professional development and help you get the most out of your investment.

Thank you for using GlobalSCAPE software!


About CuteFTP Pro

You can easily understand and use CuteFTP Pro whether you're a novice or accomplished FTP User. CuteFTP Pro is a business-class client. You will find the time-tested features contained in CuteFTP 5.0 XP and many new additions. CuteFTP Pro embodies the accumulated knowledge gained from the evolution of CuteFTP, now imparted in a more advanced, more secure application.

In Cute FTP Pro, you have a variety of features which enhance file transfer. The accessible interface allows you to easily update and maintain sophisticated Web sites. You can safeguard transfers of mission critical files with CuteFTP Pro's security features. You can speed the transfer of large architectural, graphic, or engineering files with multi-part accelerated downloads. Site caching allows you to minimize bandwidth while you browse. You can even schedule and script FTP transactions with minimal overhead using the autonomous Transfer Engine.

CuteFTP Pro includes the CuteFTP Pro Transfer Engine (TE), and an integrated HTML editor. You can use the Transfer Engine from within CuteFTP Pro, or with any COM enabled scripting or programming language. The HTML editor can create, open, and edit local or remote HTML documents, right in CuteFTP Pro.


New Features in CuteFTP Pro 3.0

Find many of the improvements and enhancements included in CuteFTP Pro 3.0

  • Security

  • Automation and Scripting

  • File and folder management

  • Transfers

  • Connections

XP Logo - Optimized

Many of the visual elements in CuteFTP Pro have been enhanced to meet the stringent requirements defined under Microsoft’s logo requirements called “Optimized Status”.

Security

SSH2 Public Key Authentication

Choose either password or public-key authentication when making an SSH2 connection.

SSH2 Key Pair Creation

Create your own public and private keys for SSH2 public-key authentication right in CuteFTP Pro.

SSH2 Rename

Rename files over an SSH2 connection, few other SSH2 capable FTP clients provide this feature.

ASCII Transfers under SSH2

Perform ASCII transfers over an SSH2 connection, most clients can only support binary transfers over SSH2.

MAC and CIPHER Options for SSH2

Choose from an exhaustive list of encryption algorithms and Message Authentication Codes CuteFTP Pro can use with servers for SSH2 connections.

Cipher Strength Display

Whenever you make an SSH2 connection the log will display the type of Cipher used and the bit length of the cipher.

OTP (S/Key) Auto-detect

Protect your passwords in all connections with One Time Password authentication. CuteFTP Pro can even automatically determine which OTP scheme is supported by remote servers.

History & Password Access Policies

Protect your passwords while you're away from your computer. Set CuteFTP Pro to remove passwords from the QuickConnect bar and the Site Manager, so no one can use your ftp passwords from your workstation.

Automation & Scripting

Save & Load Queue

Add items to the queue and then save the queue like a file, to be opened and used later.

On Startup Events

Choose to whether or not to display the Site Manager when you start CuteFTP Pro in Classic mode.

On Transfer Events

Set CuteFTP Pro to disconnect from remote sites, disconnect from the Web or even shut down after a successful transfer.

New Methods and Properties

Use new methods and properties in the Transfer Engine, such as GetList, Option, Error handling and others added to the Transfer Engine help documentation.

Revised Scripting Documentation

Easily find methods, properties, and examples alphabetically or by category.

Updated Script Samples

Find new and updated scripting samples for use with macros or the Transfer Engine.

File and folder management

Directory Compare

Use the Compare Folder Contents tool and CuteFTP Pro will highlight files that differ between a remote and local folder.

Site Backup

Schedule a single or recurring backup of your entire site. CuteFTP Pro will download the entire site into a backup folder, compress it using ZIP, CAB,

or GZIP/TAR compression, and then label it with a time/date stamp.

Folder Monitor

Set a timer for CuteFTP Pro to check a local folder structure for changes. If changes are detected, then modified files are uploaded to a pre-defined remote location. Use it to easily publish changes from a staging server to a live server.

Folder Overwrite Options

Apply Smart Overwrite rules to folder transfers, or choose to be prompted before overwriting folders, or set CuteFTP Pro to automatically overwrite the destination folder and all its contents without prompting you when transferring a folder.

Time Stamp Control

Preserve a downloaded file's time stamp obtained from the server instead of your current system time. Keep the locally defined time for uploaded files*. Define the time offset for the server for greater efficiency in transfer and synchronization.

*The Server must support the MDTM command for the "Preserve local time feature to work. Although designed to retrieve dates MDTM is widely used in this manner.

Find & Find Next with Wildcard Support

Find files and folders by typing just a few characters from the name. Don't remember the name? Use wildcards to aid in the search.

Select All

Quickly select every item in a Local, Remote, Queue, or Log pane.

Group Select, Deselect & Invert Selection

Select a group of files based on their type or name, or select all files that are not of that type or name.

Enhanced Folder Properties

See folder properties in CuteFTP Pro's Status bar. Easily display the number of files in a folder, their total size, plus the folder's server and location.

Move Command

Easily move items on a remote server from one folder to another.

Transfers

Restart from Byte Offset

Choose how much of a failed transfer to resend before sending the remainder of the file when resuming a broken transfer.

Power Failure Queue & Transfer Recovery

Automatically reconnect and resume* a transfer when it's broken by a power-outage, or almost any other reason.

*Not all sites supports transfer resume. In case of power-outage, the user must reboot their PC and run CuteFTP Pro for it to automatically resume. Severe blackouts may corrupt data on disk and therefore prevent CuteFTP Pro from successfully completing the transfer. Mission critical systems should rely on backup power, such as a UPS provides.

Queue Item Ordering & Manipulation

Easily arrange or rearrange the order in which queued items will transfer.

Queue Finished Transfer Sound

Set CuteFTP Pro to play a sound after the whole queue is transferred, or play a sound after each transfer.

Connections
Blank Passwords Option

Leave the user name and password blank for a site, and CuteFTP Pro 3.0 will still try to connect, without asking for a user name and password if "Show login prompt" and "Treat 5xx errors as 4xx" are turned off in Global Settings.

QUIT Command Option

Choose to send the QUIT command whenever ending a session, thus disconnecting gracefully.

Greater Tolerance for Non-Standard FTP Servers

Use special settings designed to ease connection with servers that don't accept standard FTP connections.

Other features
New Graphics and Toolbar Icons

Enjoy CuteFTP Pro 3.0's high-color icons in Windows XP. Customize the Toolbar and dock the Toolbar in different locations.

Revamped Menus & Dialog Boxes

Find your favorite features and tools quickly in the newly standardized menu and dialog system.


About the trial

CuteFTP Pro is available from www.globalscape.com. The version you download is the “Full Version” and is fully functional for a 30 day trial. After the trial, the software will become completely disabled with the exception of the option to enter a serial number. You may purchase CuteFTP Pro during or after the trial. Purchase information can be found at www.globalscape.com. Entering the serial number you receive upon purchase will fully restore your copy of CuteFTP including all configurations you may have added.


System Requirements

  • Any 32 bit Microsoft Windows operating system

  • 200 MHz Pentium II or higher

  • Sufficient memory for your operating system

  • Any Windows compatible display system

  • Internet Explorer 4.0 or higher


Register CuteFTP Pro

Registering CuteFTP Pro

  1. Install CuteFTP Pro.

  2. Start CuteFTP Pro.

  3. Click the Enter Serial Number button on the message that appears

OR

  • Choose Help > Enter serial number from the menu bar.

  4. Enter your Serial Number. It can be found on the invoice you received by e-mail or on your product packing if you obtained a boxed version. If you have lost your serial number you may retrieve a copy at www.globalscape.com or by sending your contact, purchase, and computer information to our technical support team. Be sure to include as much information as possible to help us to find your order.

  5. Enter your Name. This will appear in Help > About CuteFTP Pro after you register.

  6. Update user info check box. If you purchased your software directly from GlobalSCAPE your information will automatically be in our registration database. If you purchased the software from a GlobalSCAPE reseller, your information will not be in our registration database and you will be prompted for your contact information. You do not have to complete this information, however, this information is used for providing you with technical support and locating your serial number if necessary.

  7. Click the Register button. You should receive the following message: Congratulations! You have successfully registered your copy of CuteFTP Pro. Please restart the software now.

  8. Close and restart CuteFTP Pro. It will now be registered.

Note

When you enter your registration information it will be transmitted to us via the Internet. As part of the registration, the software will assign a unique number to your computer based on system information and will report this number to us. We will use this data to help us prevent the program from being copied onto more computers than permitted by the license.

Registration Options

Since all serial numbers are verified through the Internet, the potential for errors exists during the process. If you are receiving errors while attempting to register CuteFTP Pro, you may manually register the program by submitting your registration to us through our Web site or by e-mail.

  • Register manually

  • Register by the Web

  • Adjust proxy settings

To register manually by e-mail

  1. Choose Help > Enter serial number.

  2. Enter your Serial Number and Name in the appropriate fields.

  3. Select the Register manually check box.

  4. Fill out the remainder of the information fields.

  5. Click the Register button.

  6. A Manual Registration box will appear with Copy to Clipboard and Register on the Web buttons. The Copy to Clipboard button allows you to copy and paste the registration information into your e-mail program.

  7. Click the Copy to Clipboard button.

  8. Paste the information into your e-mail program and click the Close button.

  9. Create an e-mail to support@globalscape.com. Right-click and Paste in the body of the message.

  10. Send the message. Please do not modify the format of the text.

  11. We will process your registration e-mail and send you a registration file with instructions.

To manually register by submitting to the GlobalSCAPE Web site

  1. Choose Help > Enter serial number.

  2. Enter your Serial Number and Name in the appropriate fields.

  3. Select the Register manually check box.

  4. Fill out the remainder of the information fields.

  5. Click the Register button.

  6. A Manual Registration box will appear with Copy to Clipboard and Register on the Web buttons. The Register on the Web button allows you to copy and paste the registration information into a special form on our Web site that allows us to register the software for you.

  7. Click the Register on the Web button.

  8. Your Web browser will automatically be opened and you will be directed to the GlobalSCAPE manual registration Web page.

  9. Click in the text area on the opened Web page and paste the information from the Manual Registration box.

  10. Click the Register me button.

  11. The Web site will automatically create a registry patch (.reg file). Save and download the registry patch.

  12. Double-click the registry patch to manually register your software.

Adjust proxy settings

If you are behind a firewall and having difficulty connecting to the Registration system:

  1. Choose Help > Enter serial number from the menu bar. The Online Registration dialog box will appear.

  2. Enter your Serial Number and Name in the appropriate boxes.

  3. Click the Proxy button.

  4. Choose the appropriate proxy setting radio button:

  • Use system HTTP proxy setting uses the setting as defined by your system

  • Do not use HTTP proxy ignores all proxy settings

  • Use HTTP proxy allows you to define your proxy setting

  5. Click the OK button.

  6. Click the Register button. You should be presented with a message that says your registration was successful.


Install or remove CuteFTP Pro

Installing and removing CuteFTP Pro

To install CuteFTP Pro from a CD

  1. Place the installation CD in your CD-ROM drive.

  2. Installation should begin automatically.

  3. Follow the on-screen instructions.

To install if your CD-ROM drive does not support automatic installation

  1. Place the installation CD in your CD-ROM drive.

  2. Double-click My Computer on the Desktop.

  3. Double-click the CD-ROM drive icon.

  4. Double-click Setup.exe.

  5. Follow the on-screen instructions.

To install CuteFTP Pro from a download

  1. Download CuteFTP Pro from GlobalSCAPE and save it.

  2. Double-click the file you downloaded to run the install.

  3. Follow the on-screen instructions.

To remove CuteFTP Pro from your computer

  1. Choose Start > Settings > Control Panel > Add/Remove Programs.

  2. Choose CuteFTP Pro from the list.

  3. Select the Add/Remove (or Change/Remove)button.

  4. Follow the on-screen instructions.


Starting CuteFTP Pro

  1. Click on the Windows Start button

  2. Select Programs > GlobalSCAPE > CuteFTP Pro.


Making your first connection

To make a connection to an FTP site

  1. Connect to the Internet.

  2. Open CuteFTP Pro.

  3. On the menu bar, go to File > New.

  4. Click on FTP Site. The Site Properties window appears.

  5. Type a name for the site in the Label field. It can be any name you choose.

  6. Enter the address for the site in the Host field. You can enter a domain address like ftp.globalscape.com or an IP address such as 192.168.20.52. If you don't know the address your hosting provider can give it to you.

  7. In the Username field, enter the user name given to you by your hosting provider.

  8. In the Password field, enter the password given to you by your hosting provider.

  9. Click Connect. CuteFTP Pro will connect to the remote computer and the site information will be saved in the Site Manager for future use.

Related topics

Connecting to the Internet

Connecting to a site

Using Quick Connect


Transferring files and folders

To upload files (transfer from a local to remote computer)

  1. Connect to a remote site.

  2. Click the Local Drives tab in the Local Pane.

  3. Double-click the folder with the item you want.

  4. Click and drag the item from the Local Drives pane to the Remote Pane.

To download files (transfer from a remote to a local computer)

  1. Connect to a remote site.

  2. Open the folder with the item you want in the Remote Pane.

  3. Open the destination folder in the Local Drives tab of the Local Pane.

  4. Click and drag the item from the Remote Pane to the Local Drives pane.

Related topics

Connecting to a site

Identifying the window panes


Frequently asked questions

  • How do I set up a connection to my FTP Server?

  • What is my FTP Host Address?

  • What is my user name and password?

  • How do I upload my files with CuteFTP Pro?

  • How do I transfer files from one site to another?

  • How do I navigate the directory tree in CuteFTP Pro?

  • How do I change the permissions of my files (CHMOD)?

  • How do I delete files off my server?

  • Why can’t I connect to my FTP site?

  • What is the difference between an FTP site with SSL and an SFTP site?

  • How do I connect if I’m behind a firewall?

  • Why won’t my files transfer?

  • How do I remove files from CuteFTP Pro that have finished transferring?

  • What is the Transfer Engine (TE)?

  • What is CuteFTP Pro?

  • How can I get a copy of CuteFTP Pro?

  • How long does it take to download?

  • Do you offer any online or offline support?

  • How can I best describe my problem if I send an e-mail to technical support?

How do I set up a connection to my FTP Server?

To create a site in your Site Manager, click File > New and choose the type of connection you need. It will bring up a window that will ask you for a Label for the site and the rest of the log in information provided to you by your Web Host Provider.

What is my FTP Host Address?

This information is assigned by your Web Hosting Provider. If you don’t know what the FTP address is or are not sure, you can contact your Web Hosting Provider or Internet Service Provider and they can give that information to you.

What is my user name and password?

Your Web Hosting Provider or Internet Service Provider assigns this information. If you need to find out what this information is, you can contact them and they will be able to give that information back to you.

How do I upload my files with CuteFTP Pro?

You can upload your files by browsing to the directory where your files are located on the left hand window of the screen. Click on the files you wish to upload and drag them across to the corresponding right hand window (the server side). You will see the upload progress of your files in the queue window at the bottom of your Cute FTP Pro screen.

How do I transfer files from one site to another?

Connect to two different servers. Click on the files you wish to transfer located in the first server window. Drag and drop these files to the second server window and they will be transferred from the first server to the second server.

How do I navigate the directory tree in CuteFTP Pro?

The local pane, located by default on the left-hand side of the screen, contains a Local Drives tab. Select this tab and you can navigate your local drives in the same fashion as Windows Explorer.

How do I change the permissions of my files (CHMOD)?

Connect to your server using CuteFTP Pro. Click on the file you wish to change permissions to highlight it. Right-click on the file and choose Properties. The different options for the permissions are located at the bottom of this dialog box. Only servers that support the CHMOD command will let you change permissions. For the servers that do not support CHMOD, you cannot change permissions.

How do I delete files off my server?

To delete files from your server, simply click on the file you wish to delete and press the Delete key on your keyboard. You can also right-click on the file and click Delete, or you can click on the file and then click on the red X on the toolbar.

Why can’t I connect to my FTP site?

If you have tried to log into your FTP site and have been unsuccessful, a window will appear telling you that it could not log in. Click on the button that says Details and it will list the exact error message sent to you by the server. Contact your Internet Service Provider or your Web Host Provider with this error message and they will be able to assist you in getting connected.

What is the difference between an FTP site with SSL and an SFTP site?

Both of these are secure protocols. SFTP, which is a component of SSH2, is supported by various flavors of Unix FTP servers while SSL is more platform independent and is supported by servers such as WS_FTP(TM) Server and GlobalSCAPE Secure FTP Server. Check with your server administrator to verify that the server supports SSL or SFTP (SSH2).

How do I connect if I’m behind a firewall?

If you are behind a firewall and you cannot connect, you will need to set up CuteFTP Pro to connect through that firewall. Go to Tools > Global Options and expand the menu option entitled Connection. Click on the either SOCKS4 & 5 or Proxy Server option and fill out the information. If you are unsure of whether or not you are behind a Proxy Firewall or a Socks Firewall or are not sure of the specific settings for that firewall, consult your system administrator for the correct settings.

Why won’t my files transfer?

If you’ve tried to transfer files and they are not transferring, you will receive a window telling you that the files could not be transferred. Click Details for more information on the exact error message sent to you by the server. Contact your Internet Service Provider or your Web Hosting Provider with this error message.

How do I remove files from CuteFTP Pro that have finished transferring?

To remove items from the queue that have already transferred or will not transfer, go to Tools > Queue > Remove all and the items will be removed from the queue.

What is the Transfer Engine (TE)?

Built on a modular design platform, CuteFTP Pro’s Transfer Engine (TE) is completely independent of the main application interface. Currently, transfers can continue even after the main interface is exited (if enabled in settings). It offers a COM interface that allows application developers to develop custom FTP solutions.

What is CuteFTP Pro?

CuteFTP Pro is an FTP client based on the original client, CuteFTP. CuteFTP Pro is equipped with additional tools such as the Transfer Engine (TE), built in HTML editor, and Secure FTP transfer capability.

How can I get a copy of CuteFTP Pro?

CuteFTP Pro is available by download from our website at www.globalscape.com

How long does it take to download?

Download time depends on your modem speed. On a regular 56K modem, CuteFTP Pro will take about 7 minutes. The time to download decreases as your connection speed increases.

Do you offer any online or offline support?

Telephone support for CuteFTP Pro is available to registered customers only. The telephone number for support is 210-308-8267. All other users may e-mail questions to support@globalscape.com.

How can I best describe my problem if I send an e-mail to technical support?

If you are having a transfer or connection problem, you may want to enable an extended list in the session log window and then paste that log in an e-mail to GlobalSCAPE's technical support team.


Contacting GlobalSCAPE

Contact information

GlobalSCAPE Web site:

www.globalscape.com

Sales and upgrade e-mail:

http://www.globalscape.com/support/mail2.shtml

sales@globalscape.com

Sales and upgrade phone:

(800) 290-5054 (U.S. and Canada)

(210) 308-8267 (International)

Hours: 8 a.m. - 6 p.m. Mon. - Fri. CST

Customer service e-mail

http://www.globalscape.com/support/mail6.shtml

Technical Support

The fastest way to find thousands of answers to your technical questions is to search our free online Knowledge Base - http://www.globalscape.com/support/kbase.asp. Registered users may contact our Technical Support Team within 60 days of purchasing any of our software. Inquiries are handled in the order in which they are received and we do our best to reply promptly during regular business hours (8 a.m. to 6 p.m., Monday - Friday, Central Time).

Unregistered users

GlobalSCAPE provides technical support to unregistered users with this Help file and the Web at http://www.globalscape.com/support/index.asp. If you cannot find an answer to your question, you can contact us from http://www.globalscape.com/support/mail1.shtml. Please provide a complete description of your problem so we can provide you with fast and accurate help. Unregistered users are not entitled to telephone support.

Limitations of support

We at GlobalSCAPE are happy to help you with any technical problems you may have with our software. However, we cannot help you with certain issues such as information on how to program, or any other issues not related directly to the workings of our software. Our technical support policies may be subject to change.

Technical support e-mail:

support@globalscape.com

Technical support phone:

(210) 308-8267

Hours: 8 a.m.- 6 p.m. Mon. - Fri. CST


Identifying the window panes

The CuteFTP Pro program window has four major panes:

  • The Local Pane including the Site Manager and Local Drives

  • The Remote pane

  • The Individual Session Logs pane

  • The Queue Pane including the Queue and the Log

To hide the Site Manager/Local Drives pane

The Site Manager displays remote sites with all the connection information already set. The Local Drives pane displays files and folders on your computer in the same manner as Windows Explorer.

  1. On the menu bar, go to View > Local Drives & Site Manager.

  2. Click until the check mark disappears.

Or

  • Click until the check mark reappears to show the pane.

To hide the Individual Session Logs pane

The Individual Session Logs pane displays the FTP connection information for one remote connection.

  1. On the menu bar, go to View > Individual Session Logs.

  2. Click until the check mark disappears.

Or

  • Click until the check mark reappears to show the pane.

To hide the Queue/Log pane

The Queue pane displays file and folder transfers. The Log pane displays FTP connection information for all remote sites.

  1. On the menu bar, go to View > Queue & Log Pane.

  2. Click until the check mark disappears.

Or

  • Click until the check mark reappears to show the pane.

Note

The Remote pane displays files and folders on FTP sites to which you are connected. It will be blank if you are not connected to any remote sites. You cannot hide the Remote pane.


Displaying and hiding toolbars

CuteFTP Pro includes four toolbars you can choose to hide or display. A check on the Toolbars menu signifies a toolbar is currently displayed.

To display the Quick Connect Bar

  1. On the menu bar, go to View > Toolbars.

  2. Click Quick Connect Bar.

To hide the Quick Connect Bar

  1. On the menu bar, go to View > Toolbars.

  2. Click Quick Connect Bar.

You can display or hide the following toolbars using the same method:

  • Standard Buttons

  • Quick Connect Bar

  • Custom Commands Bar

  • HTML Editor Bar

Related topics

Customizing toolbars

Hiding the Status Bar

Display settings


Hiding the Status Bar

You see the Status Bar at the bottom of the CuteFTP Pro window. When you hover the mouse cursor over a tool or menu item, the left side of the Status Bar displays a brief description of the item. The right side of the Status Bar displays information about the current folder in the Remote pane.

To hide the Status Bar

  1. Go to the View menu.

  2. Click Status Bar once to remove the check mark.

Or

  • Click View > Status Bar again to show the check mark and display the Status Bar.

Related topics

Displaying and hiding toolbars

Display settings


Displaying the Site Manager

You see the Site Manager in the Local Pane when you click on the Site Manager tab. The Local Pane is on the left side of the CuteFTP Pro window.

To display the Site Manager

  1. Make certain there is a check mark on the View menu next to Local Drives & Site Manager.

  2. To add or remove a check mark, click View > Local Drives & Site Manager.

  3. Click the Site Manager tab at the bottom of the left pane.

Or

  • Remove the check mark from the View menu to hide the Site Manager pane.

Warning: Hiding the Site Manager will hide the Local Drives Pane as well.

To display the Site Manager in the Classic Interface

  • On the menu bar, click Tools > Site Manager > Display Site Manager.

Or

  • Click the Exit button to hide the Site Manager.

Related topics

Displaying local files and folders

Classic CuteFTP interface

Display settings


Displaying local files and folders

You see local files and folders in Local Drives in the Local Pane that can be switched between the Site Manager and Local Drives. The Local Pane is on the left side of the CuteFTP Pro window.

To display files and folders on the local computer

  1. Make certain there is a check mark on the View menu next to Local Drives & Site Manager.

  2. To add or remove a check mark, click View > Local Drives & Site Manager.

  3. Click the Local Drives tab at the bottom of the left pane.

Or

  • Remove the check mark from the View menu to hide the Local Drives pane.

Warning: Hiding the Local Drives Pane will hide the Site Manager as well.

Related topics

Displaying the Site Manager

Classic CuteFTP interface

Displaying folder contents

Display settings


Displaying transfer items

You see items ready for transfer, in transit, or just transferred in the Queue.

The Queue Pane is displayed along the bottom of the CuteFTP Pro Window, just above the status bar.

To display transfer files and folders

  1. Make certain there is a check mark on the View menu next to Queue & Log Pane.

  2. To add or remove a check mark, click View > Queue & Log Pane.

  3. Click the Queue tab at the bottom left of the lowest pane.

Or

  • Remove the check mark from the View menu to hide the Queue Pane.

Warning: Hiding the Queue Pane will hide the Log pane as well.

Related topics

Displaying connection logs

Display settings


Displaying the connection log

You can see messages between the local computer and the server in the Log. You display the Log by clicking its tab in the Queue & Log Pane. The Queue & Log Pane is displayed along the bottom of the CuteFTP Pro Window, just above the Status Bar. It displays logs for all current connections.

To display the connection log

  1. Make certain there is a check mark on the View menu next to Queue & Log Pane.

  2. To add or remove a check mark, click View > Queue & Log Pane.

  3. Click the Log tab at the bottom left of the lowest pane.

Or

  • Remove the check mark from the View menu to hide the Log pane.

Warning: Hiding the Log pane will hide the Queue Pane as well.

  4. At the left end of the Log pane, click the plus sign next to the FTP address.

  5. Click a session and the log for that session will appear to the right.

Related topics

Displaying transfer items

Display settings


Displaying an individual log for each connection

You can see messages between the local computer and the server appear in the Log. You can also see a log for each individual session in the Individual Log Pane, just above the Queue & Log Pane, and just below the Remote Pane.

To display a separate log for a connection

  1. Make certain there is a check mark on the View menu next to Individual Session Logs.

  2. To add or remove a check mark, click View > Individual Session Logs.

Or

  • Remove the check mark from the View menu to hide the individual session log.

Related topics

Displaying connection logs in the bottom pane

Display settings


Changing to the classic CuteFTP interface

You can change the CuteFTP Pro window to look like the classic CuteFTP.

To change to the classic CuteFTP interface

  • On the menu bar, click View > Switch to Classic Interface.

To change to the CuteFTP Pro interface

  • On the menu bar, click View > Switch to Pro Interface.


Displaying folder contents

To view a listing of local folder contents

  1. Click the Local Drives tab or connect to a site.

  2. Double-click a folder to view its contents.

To view listings in a parent folder

  1. Click in the pane where you want to view the parent folder.

  2. Click the Move up folder button.

To update (refresh) a folder listing

  1. Display the folder.

  2. Click in the pane where the folder is displayed.

  3. On the menu bar click View > Refresh.

Related topics

Displaying local files and folders

Display settings


Using keyboard shortcuts

Depressing the ALT key will allow you to access the CuteFTP Pro menu functions through the keyboard. For example, pressing ALT and then pressing F will activate the File menu. Those shortcuts are not listed below.

The following additional keyboard shortcuts can be used for easier navigation.

Key | Function
Backspace | Move to parent folder
Delete | Delete selected object
Esc | Cancel transfer
F1 | Help
F2 | Rename
F3 | Find next
F4 | Switch between Site Manager and Local Drives tabs
F5 | Refresh active pane
F8 | Display folder information
F9 | Cancel transfer
F10 | Switch between Log Pane and Queue Pane
F11 | Folder comparison options
F12 | Hide or display individual log window
Alt+Enter | Folder, file, or site properties
CTRL A | Select All
CTRL C | Copy
CTRL D | Change remote folder
CTRL E | Execute file
CTRL F | Find
CTRL L | Filter
CTRL M | Make new folder
CTRL R | Reconnect
CTRL U | Connect to URL
CTRL V | Paste
CTRL W | View file
CTRL X | Cut
CTRL ~ (tilde) | Moves focus between left, right and bottom panes
CTRL PGDN | Download
CTRL PGUP | Upload
CTRL Tab | Moves focus among open connections and documents
Tab | Moves focus among open connections and documents


Manually enter FTP commands

You can communicate with an FTP site on the lowest possible level. If you encounter a site with commands different from the usual FTP commands, you can use the Input Raw FTP Command feature to provide a very low level interface.

To manually enter an FTP command

  1. Connect to a site.

  2. On the menu bar, go to Tools > Enter FTP Command.

  3. Type the command such as LIST or CWD or PWD in the Input FTP command box.

  4. Click OK.

Note

You can also input multiple commands to the FTP server by using the Custom Commands feature.

Related topics

Custom Commands


Connecting to the Internet

Before you can connect to FTP sites, you must be connected to a Local Area Network or your Internet Service Provider (ISP). Since virtually all ISP's differ in connection routines, make sure that you follow your own ISP's instructions for connecting to the Internet.

Note

CuteFTP Pro can be set up to automatically connect to your ISP through MS Windows®.

Related topics

Adding a new site

Connecting to an existing site

Connecting with a Dial Up (DUN) or Local Area Network (LAN)


Connecting to a site

You can connect to any site listed in the CuteFTP Pro Site Manager. You need to be connected to the internet before you can connect to any sites. CuteFTP Pro can connect to FTP, FTPS (SSL), SSH2(SFTP2), HTTP, and HTTPS (SSL) sites.

To connect to an existing site within the Site Manager

  1. Click the Site Manager tab at the bottom of the Local Pane in CuteFTP Pro.

  2. Expand a folder (click on the plus sign) from the list shown in the Site Manager.

  3. Select a site (click on the name) from the list.

  4. On the menu bar, click File > Connection > Connect.

To add an FTP site to the Site Manager

  1. On the menu bar, go to File > New.

  2. Click on FTP Site. The Site Properties window appears.

  3. Type a name for the site in the Label field. It can be any name you choose.

  4. Enter the address for the site in the Host field. You can enter a domain address like ftp.globalscape.com or an IP address such as 192.168.20.52. If you don't know the address your hosting provider can give it to you.

  5. In the Username field, enter the user name given to you by your hosting provider.

  6. In the Password field, enter the password given to you by your hosting provider.

  7. Click Connect or OK. The site information will be saved in the Site Manager for future use.

Related topics

Adding sites to the Site Manager

Finding sites in the Site Manager

Connection Wizard

Connecting to HTTP sites

Connecting to HTTPS sites

Connecting to SSH2 sites

Connecting to SSL sites


Using Quick Connect

You can make speedy connections to FTP sites without entering information into the Site Manager by using CuteFTP Pro’s Quick Connect toolbar.

To connect using the Quick Connect toolbar

  1. Open CuteFTP Pro. By default the Quick Connect Bar displays under the menu bar, and the main toolbar.

  2. Type in the FTP host address in Host.

  3. Type in your user name in the Username box.

  4. Type in your password in the Password box.

  5. Make sure the correct port is listed in the Port box (21 is the default FTP port).

  6. Click the [image] Connect button, at the end of the Port box.

To display the Quick Connect toolbar

The Quick Connect bar is displayed by default at the top of the CuteFTP Pro interface under the main toolbar. It can be moved or undocked by clicking and dragging on the vertical bar at the left-hand edge of the bar.

  • On the menu bar, click View > Toolbars > Quick Connect Bar.

Quick Connect fields

Host: The name or TCP/IP address of the FTP server. The Host field is also a drop-down list; by clicking on the arrow to the right of the field you can access a list of the last several sites accessed during the current session via Quick Connect.

User Name: Enter your user name or leave blank for anonymous FTP.

Password: Enter the associated password if not connecting anonymously.

Port: If you are not connecting to the default FTP port (21), enter the appropriate port here.

Quick connect buttons

Connect: Activates the connection to the site specified in the fields. You can also press the Enter key while the cursor is in one of the toolbar fields to connect.

Settings: Allows you to set connection options for the site.

Add to Site Manager: This button automatically creates a Site Manager entry for the site in the Quick Connect bar, so you can easily access it in the future.


Connecting to a URL

You can type or copy and paste a URL directly into CuteFTP Pro. This allows you to connect to a site, or if specified, download a file.

To connect to a URL

  1. From any Windows application, highlight the URL. The URL may be general (ftp://ftp.globalscape.com) or specific (ftp://ftp.globalscape.com/pub/cuteftp/archive/english/cute4232.exe).

  2. Copy the URL to the clipboard.

  3. Return to CuteFTP Pro and select File > Connection > Connect to URL from the Menu Bar.

  4. Paste the URL into the Connect to URL window.

  5. Click OK.

CuteFTP Pro will parse the URL and connect to the site or start downloading the file (if specified).

Supported URL formats

  • ftp://user:pass@host.host.com:port

  • ftp://user:pass@host.host.com

  • ftp://user@host.host.com

  • ftp://host.host.com:port

  • ftp://host.host.com

  • ftp://ftp.sitename.com/pub l: user p: pass

  • ftp://ftp.sitename.com/pub:44 l: user p: pass

  • ftp://ftp.sitename.com/pub port:44 l: user p: pass

  • ftp://ftp.sitename.com/pub l/p: user/pass

  • ftp://ftp.sitename.com/pub:44 l/p: user/pass

  • ftp://ftp.sitename.com/pub p:44 l/p: user/pass

  • ftp://ftp.sitename.com/pub port:44 l/p: user/pass

  • ftp://ftp.sitename.com/pub l: user p: pass

  • ftp://ftp.sitename.com/pub:44 l: user p: pass

  • ftp://ftp.sitename.com/pub p:44 l: user p: pass

  • ftp://ftp.sitename.com/pub port:44 l: user p: pass

  • ftp://[any of the above formats]/pathnametofile/[optional filename]

  • also http, https, sftp, and ftps URLs

Tip

Using Paste URL, CuteFTP Pro will either connect to the folder or download the file specified in the path. Here are some sample path endings and how the main program will interpret them.

  • "ftp://host/dir.ext/" This URL is considered a folder. CuteFTP Pro will connect to it.

  • "host/.ext/" This is considered a folder. CuteFTP Pro will connect to it.

  • "host/dir/" This is considered a folder. CuteFTP Pro will connect to it.

  • "host/dir" This is considered a folder. CuteFTP Pro will connect to it.

  • "host/dir.ext" This is considered a file. CuteFTP Pro will download it.

  • "host/.ext" This is considered a file. CuteFTP Pro will download it.

To connect to a URL with the Transfer Engine

The Connect to URL feature is also supported by the Transfer Engine, and is called Download URL. Whether the URL specifies a path to a folder or file, the TE will try to download it.

  1. Right-click the Transfer Engine icon [image] in the system tray.

  2. Choose Download URL.

  3. Type or paste the URL in the Download URL box.


Disconnecting and reconnecting to sites

To disconnect from a site

  • From the Menu bar, choose File > Connection > Disconnect.

To reconnect to a site

  1. In the Remote Pane, click the tab for the site where you want to reconnect.

  2. From the Menu Bar, choose File > Connection > Reconnect.

Related topics

Adding a new site

Connecting to a site


Staying connected to sites with Smart Keep Alive

You can maintain connections even when you aren't transferring files by using the Smart Keep Alive (SKA) feature. SKA sends commands at random intervals to the FTP server, which maintains an active connection.

To turn on Smart Keep Alive

  1. From the menu bar go to Tools > Global Options.

  2. In the Global Options box expand Connection.

  3. Click Smart Keep Alive.

  4. Select the Enable Smart Keep Alive (SKA) check box.

  5. Click OK.

To turn off Smart Keep Alive

  1. From the menu bar go to Tools > Global Options.

  2. In the Global Options box expand Connection.

  3. Click Smart Keep Alive.

  4. Clear the Enable Smart Keep Alive (SKA) check box.

  5. Click OK.

Customizable settings in Smart Keep Alive (SKA)

  • The time SKA waits before starting

  • How long SKA will run

  • When SKA commands are sent

  • Which SKA commands are sent

  • Automatically reconnect

  • Reconnect with a new IP address

To set the time SKA waits before starting

  1. From the menu bar go to Tools > Global Options.

  2. In the Global Options box expand Connection.

  3. Click Smart Keep Alive.

  4. Enter a value between 0 and 1000 in Start SKA ____ seconds after the last command. CuteFTP Pro will begin using SKA after the specified idle time.

  5. Click OK.

To set how long SKA will run

  1. From the menu bar go to Tools > Global Options.

  2. In the Global Options box expand Connection.

  3. Click Smart Keep Alive.

  4. Enter a value between 1 and 1000 in Maintain SKA for ____ minutes.

  5. Click OK.

To set when SKA commands are sent

  1. From the menu bar go to Tools > Global Options.

  2. In the Global Options box expand Connection.

  3. Click Smart Keep Alive.

  4. Enter values between 0 and 1000 in Send command at random intervals between ____ and ____ seconds.

  5. Click OK.

To set which SKA commands are sent

SKA sends commands from the Commands list in random order.

  1. From the menu bar go to Tools > Global Options.

  2. In the Global Options box expand Connection.

  3. Click Smart Keep Alive.

  4. Click Add and type in another command to add a command to the list.

OR

  • To remove a command, highlight a command in the list and click Remove.

  5. Click OK.

To set CuteFTP to automatically reconnect

If the server terminates the connection, CuteFTP Pro will automatically reconnect to the FTP site.

  1. From the menu bar go to Tools > Global Options.

  2. In the Global Options box expand Connection.

  3. Click Smart Keep Alive.

  4. Select If disconnected, auto-reconnect within ___ seconds.

  5. Enter a value between 1 and 1000 in the spin box, to set how long CuteFTP waits before reconnecting.

  6. Click OK.

To reconnect with a new IP address

  1. From the menu bar go to Tools > Global Options.

  2. In the Global Options box expand Connection.

  3. Click Smart Keep Alive.

  4. Select the Obtain a new IP Address when reconnecting check box.

  5. Click OK.

Note: This feature only works with dial-up internet connections. To obtain a new IP address CuteFTP Pro will disconnect from the Internet and then reconnect before reconnecting to the specific site.

Related topics

Connecting to an existing site


Connecting to an HTTP site

You can connect to HTTP servers with CuteFTP Pro. If you have the appropriate permissions, you can browse contents, download, upload and delete files on HTTP sites.

To connect to an HTTP site

  1. Go to File > New > HTTP Site in the menu bar. CuteFTP Pro will then display a Site Properties dialog box.

  2. Enter an identifying name for the site in the Label field.

  3. Enter the HTTP site’s address in the Host address field. Prefixing the HTTP site address with http:// is not necessary.

  4. If the site uses basic HTTP username/password authentication, fill in your user name and password in the appropriate fields. Notice that under the Type tab, the site has been automatically set up as an HTTP site.

  5. If the Web site operates on a port other than 80, enter the appropriate port number in the Port field. Most sites connect to port 80. If the last portion of the site’s URL ends in a number, that number is the port to use. For example, http://www.example.com:99 indicates that the Web server www.example.com operates on port 99. The remainder of the tabs and fields are identical to those seen when adding an FTP site.

  6. Click Connect to establish the connection.

CuteFTP Pro takes advantage of the keep-alive header (as defined in RFC 2068 & 2616) which keeps the session open during multiple transactions, saving the user considerable time and bandwidth.

Note

The Web server must support basic authentication as described in RFC 1945 <http://www.faqs.org/rfcs/rfc1945.html>. Because of the way authentication works, the server may challenge the client: with a WWW-Authenticate request. The client responds with: Authorization: Basic <base64 encoding of userid-password>. Most Web Servers support basic authentication but will require intervention on the site operator's behalf to set it up because it is server specific. Various existing sites employ other authentication schemes, such as NTLM or those found in ASP or JavaScripts, and are not supported by CuteFTP Pro.


Connecting to secure sites

With CuteFTP Pro you can make secure connections and transfers with FTPS (SSL) sites, SFTP (SSH2) sites, and HTTPS (SSL) sites.

To connect to an FTPS (SSL) site

  1. Go to File > New > FTPS (SSL) Site.

  2. The Site Properties dialog box appears.

  3. Type in the host, user name and password.

  4. Click the Type tab.

  5. In the Protocol list, choose FTP with SSL (Implicit encryption), or FTP with SSL (Explicit encryption). The appropriate port will be selected. Certain servers support only one of the two methods. You can also select a clear data channel from this tab.

  6. Click Connect or OK.

For more details, see Learning about Secure Socket Layer (SSL).

To connect to an SSH2 (SFTP2) site

  1. Go to File > New > SFTP (SSH2) Site.

  2. The Site Properties dialog box appears.

  3. Type in the host, user name and password.

  4. Click the Type tab.

  5. In the Protocol list, SFTP using SSH2 (Secure Shell) and the appropriate port will already be selected.

  6. Click Connect or OK.

For more details, see Learning about Secure Shell (SSH2).

To connect to an HTTPS site

  1. Go to File > New > HTTPS (SSL) Site.

  2. The Site Properties dialog box appears.

  3. Type in the host, user name and password.

  4. Click the Type tab.

  5. In the Protocol list, HTTPS (Secure HTTP access) and the appropriate port will already be selected.

  6. Click Connect or OK.

Related topics

Learning about Secure Socket Layer (SSL)

Learning about Secure Shell (SSH2)


Making multiple concurrent connections

You can transfer files on one site while browsing another a site or browse a folder on a site while transferring files from the same site.

Multiple Concurrent Sessions are depicted as multiple open windows in the Remote Pane (on the right side by default). You can tile, cascade, or minimize these windows. When the panes are maximized, select alternate sessions by clicking the tabs at their lower left border.

To open multiple concurrent connections

  1. Click the Site Manager tab.

  2. On the menu bar, click File > Connection > Connect.

  3. Repeat step 2 to connect to more sites. You can connect to the same or different sites.

To allow multiple connections from CuteFTP Pro

  1. Go to Tools > Global Options.

  2. Click Connection.

  3. Enter a value between 1 and 200 in Global Max number of connections.

To allow multiple connections to the same site

  1. Go to Tools > Global Options.

  2. Click Connection.

  3. Enter a value between 1 and 200 in Max number of connections per site.

To enhance performance with limited resources

  • Limit the number of concurrent per site transfers allowed

  • Turn off individual transfer item logging in settings or turn off all logging options in Settings

  • Turn off the Use same session to transfer files less than N kbytes option in Settings

  • Don't transfer files in Multi-Part mode

  • Don't perform on-the-fly File Integrity Checking

  • Close the main program interface and let the Transfer Engine perform the transfer.

Notes

  • On a Windows 95/98/ME computer you can only choose up to 40 concurrent connections.

  • On a Windows NT/2k/XP computer you can choose up to 200 concurrent connections, but more than 40 connections may compromise system performance.

  • Connections include transfers, browser sessions, and every single thread in a Multi-Part transfer.

  • FTP sites that don't support multiple connections or sites that frequently drop the FTP connection will limit concurrent sessions.

  • Machine resources and slow hardware may limit or prohibit multiple connections as well.


Creating and using bookmarks

Within the Site Manager you can have special entries called Bookmarks associated with specific sites. When you select a Bookmark, specific local or remote folders (or both) open.

To create a bookmark

  1. Select the folder you want to bookmark.

  2. Right-click in either the remote or local window

  3. Choose Bookmark Current Folder from the pop-up menu. The bookmark will appear in the Site Manager as a sub-listing of the remote site’s entry. Bookmarks created in this manner are assigned the remote folder as their default name.

To change a bookmark name

  1. Select the bookmark.

  2. On the menu bar, click File > Rename.

  3. Type a new name.

  4. Press the Enter key.

To access a bookmark

  1. Double-click a bookmark in the Site Manager (displayed as a sub-item under the site icon).

  2. A new remote window will be opened and CuteFTP Pro will automatically place you in the bookmark’s remote folder (if there is one specified, otherwise in the root folder). The Site Manager will switch to Local Drives, displaying the local folder specified in the bookmark (unless none is specified).

To remove a bookmark from the Site Manager

  1. Select the bookmark.

  2. On the menu bar, click File > Delete.

  3. Click Yes.

To change a bookmark

  1. Select the bookmark.

  2. On the menu bar, click File > Properties.

  3. In Remote path, type a new path if you want to change the bookmark's remote folder.

  4. In Local path, type a new path if you want to change the bookmark's local folder.

  5. Click OK.


Using the queue to transfer

You can add files to the queue then transfer them in a batch later.

To add items to the queue

  1. Highlight the file(s) in either the Remote or Local Pane.

  2. On the menu bar, go to Tools > Queue > Add Selected.

To transfer queued items

  1. Highlight a file listed in the queue window.

  2. On the menu bar, go to Tools > Queue > Transfer Selected.

Tip

Transfer All will transfer every item listed in the queue.

To remove items from the queue

  1. Highlight a file listed in the queue window.

  2. On the menu bar, go to Tools > Queue > Remove Selected.

  3. Click Yes in the delete confirmation dialog box.

Tip

Remove All will delete every file from the queue. Remove Finished will delete items from the queue that have completed their transfer.

To edit queue entries

If you want to change the destination or transfer mode of an item you have already queued. You can edit the queue entry.

  1. Click a file listed in the queue window.

  2. On the menu bar, click File > Properties.

  3. Make any desired changes.

  4. Click OK.

Tip

When editing entries you can change the transfer type for the item, schedule the transfer, and even apply filters to a transfer.


Transferring files in order

You can see the order in which queued items will transfer at the left end of the Queue pane. The numbers in the column indicate the order of transfer. By default, files will transfer in the same order that you added them to the queue.

To transfer items in a specific order

  1. Drag transfer items to the queue.

  2. Right-click in the Queue pane.

  3. Choose Transfer All. CuteFTP Pro will transfer the files in order by the numbers in the left most column of the queue.

To set the transfer order

  1. Move transfer items to the Queue pane.

  2. Click the pound sign (#) column header to sort the items by their transfer order.

  3. Right-click an item in the queue.

  4. Choose Change Order.

  5. Click Move to Top to transfer the highlighted item first.

Or

  • Click Move to Bottom to transfer the highlighted item last.

Or

  • Click Move Up One to transfer the highlighted item before the previous item in the queue.

Or

  • Click Move Down One to transfer the highlighted item after the following item in the queue.

Tip

After clicking the pound sign, you can change an items place in the transfer order by clicking and dragging the item up or down in the queue as well.

Related topics

Transferring files and folders

Using the queue to transfer files and folders

Listing files and folders in order


Saving a list of transfer tasks

Saving and reusing a list of transfer tasks

To save a list of transfer tasks

  1. List your transfer tasks in the Queue.

  2. On the menu bar, click Tools > Queue > Load & Save > Save Queue.

  3. Choose a name and location in the Save As dialog box.

  4. Click Save.

To reuse a list of transfer tasks

  1. On the menu bar, click Tools > Queue > Load & Save > Load Queue.

  2. Select the a previously saved Queue file in the Open dialog box.

  3. Click Open.

  4. On the menu bar click, Tools > Queue > Transfer All.

Notes

When you drag items from the local drive to the Queue, they will transfer to the site currently displayed in the Remote pane.

Queue files are saved with a .cp3 extension.


Using the clipboard to transfer

You can use the Windows' Clipboard function to copy and paste a URL directly into CuteFTP Pro with the Connect to URL feature. This allows you to connect to a site, or if specified, download a file.

  1. From any Windows application, highlight the URL. The URL may be general (ftp://www.globalscape.com) or specific (ftp://www.globalscape.com/pub/cuteftp/cute2632.exe).

  2. Copy the URL to the clipboard.

  3. Return to CuteFTP Pro, go to the menu bar and click File > Connection > Connect to URL.

  4. Paste the URL into the Connect to URL window.

  5. Click OK.

CuteFTP Pro will parse the URL and connect to the site or start downloading the file (if specified)..

The following formats are supported:

ftp://user:pass@host.host.com:port

ftp://user:pass@host.host.com

ftp://user@host.host.com

ftp://host.host.com:port

ftp://host.host.com

ftp://ftp.sitename.com/pub l: user p: pass

ftp://ftp.sitename.com/pub:44 l: user p: pass

ftp://ftp.sitename.com/pub port:44 l: user p: pass

ftp://ftp.sitename.com/pub l/p: user/pass

ftp://ftp.sitename.com/pub:44 l/p: user/pass

ftp://ftp.sitename.com/pub p:44 l/p: user/pass

ftp://ftp.sitename.com/pub port:44 l/p: user/pass

ftp://ftp.sitename.com/pub l: user p: pass

ftp://ftp.sitename.com/pub:44 l: user p: pass

ftp://ftp.sitename.com/pub p:44 l: user p: pass

ftp://ftp.sitename.com/pub port:44 l: user p: pass

ftp://[any of the above formats]/pathnametofile/[optional filename]

Also http, https, sftp, and ftps URLs

Note

The Paste URL feature is also supported by the Transfer Engine, and is called Download URL. This command is accessible by right-clicking on the Transfer Engine icon [image] in the Windows systray. Whether the URL specifies a path to a folder or file, the TE will try to download it.

Depending on the URL you paste, CuteFTP Pro will either try to connect or download. Below is a sample of path endings and what CuteFTP Pro will try.

Path endings | Interpretation | Action Attempted
ftp://host/dir.ext/ | A folder | Connection
host/.ext/ | A folder | Connection
host/dir/ | A folder | Connection
host/dir | A folder | Connection
host/dir.ext | A file | Download
host/.ext | A file | Download


Transferring manually

Use this function to transfer a specific file if you know its exact location.

To download a file manually

  1. Select the destination folder in the Local Drives pane.

  2. Connect to the site where the file exists.

  3. Click on any file or folder.

  4. On the menu bar, click File > Download Advanced > Download Manually.

  5. Type in the path to the file you want to download.

  6. Click OK.

To upload a file manually

  1. Connect to a site.

  2. Open the destination folder in the Remote pane.

  3. Open the Local Drives pane.

  4. Click on any file.

  5. On the menu bar click File > Upload Advanced > Upload Manually.

  6. Type in the complete path to the file you want to upload.

  7. Click OK.


Transferring files in binary or ASCII mode

To choose the transfer mode

  1. On the menu bar, go to File > Transfer Type.

  2. Choose ASCII, Binary, or Auto.

To transfer specific file types in ASCII mode

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Transfer Settings to see ASCII Types.

  3. Click ASCII Types.

  4. Type the file extension of the file you want to transfer in ASCII mode in the ASCII extensions box. If the extension is already in the list, skip steps 5 and 6.

  5. Click Add.

  6. Click OK.

  7. Proceed with transfers.

To transfer specific file types in binary mode

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Transfer Settings to see ASCII Types.

  3. Click ASCII Types. A list of the file types that are transferred in ASCII mode will be displayed. If the file type you want to transfer is not displayed, click OK and proceed to step six. If it is displayed continue with step 5.

  4. Click the extension of the file you want to transfer in binary mode.

  5. Click Remove.

  6. Click OK.

  7. Proceed with transfers.

Notes

Auto is the default transfer type, and sends files in the mode specified for each file's extension. All extensions are sent in binary mode unless they are listed in Global Options > Transfer Settings > ASCII Types.

SSH2 servers do not support ASCII transfers (see http://www.ssh.com/tech/archive/secsh.cfm). CuteFTP Pro adjusts for this by automatically stripping line feeds prior to uploads and restores them during downloads (prior to the file getting written to disk).


Using scripts to transfer files

You can write scripts to transfer files using CuteFTP Pro's Transfer Engine (TE). With scripts you can interact directly with the TE using common programming languages such as Visual Basic (VB) or other scripting languages supported by the Windows Scripting Host (WSH).

Sample scripts and examples are available in the Transfer Engine Help.

If you leave CuteFTP Pro or the Transfer Engine open to accomplish a number of tasks, you should set CuteFTP Pro to delete successfully finished items from the queue.

Related topics

High memory usage


Scheduling transfers

Scheduling transfers and other actions

To schedule downloads

  1. Connect to a remote site and highlight the file or folder you want to transfer.

  2. Select the destination folder in the Local Drives pane.

  3. On the menu, go to the File > Download Advanced > Download Scheduled.

  4. Select the Schedule the current item check box.

  5. Choose a date and time in the Start on option boxes.

  6. If you want the download to repeat automatically, select the Enable Recurrence check box. If not, clear the check box and skip step 7.

  7. Choose how often you want the download to repeat in the Repeat every option boxes.

  8. Click OK.

To schedule uploads

  1. Highlight the file or folder you want to transfer in the Local Drives pane.

  2. Connect to a remote site and display the folder where you want to send the file or folder.

  3. On the menu, go to the File > Upload Advanced > Upload Scheduled.

  4. Select the Schedule the current item check box.

  5. Choose a date and time in the Start on option boxes.

  6. If you want the download to repeat automatically, select the Enable Recurrence check box. If not, clear the check box and skip step 7.

  7. Choose how often you want the download to repeat in the Repeat every option boxes.

  8. Click OK.

To schedule transfers from the queue window

  1. In the Queue Pane, click the file to be transferred.

  2. On the menu bar, click Tools > Queue > Schedule Selected.

  3. Select the Schedule the current item check box.

  4. Choose a date and time in the Start on option boxes.

  5. If you want the download to repeat automatically, select the Enable Recurrence check box. If not, clear the check box and skip step 6.

  6. Choose how often you want the download to repeat in the Repeat every option boxes.

  7. Click OK.

Notes

The CuteFTP Pro Transfer Engine will complete scheduled transfers if you have disconnected. It will keep running and complete transfers even If you exit CuteFTP Pro before a transfer is scheduled to start.

If you manually close the Transfer Engine or shut down the computer before a scheduled transfer can start, you will be asked if you still want to complete the scheduled transfer the next time you open CuteFTP Pro.

If you leave CuteFTP Pro or the Transfer Engine open to accomplish a number of tasks, you should set CuteFTP Pro to delete successfully finished items from the queue.

Related topics

High memory usage

Transfer Engine


Compressing uploads

To compress files for uploads

  1. Connect to a site.

  2. Choose the destination folder in the Remote pane.

  3. Highlight the file(s) you want to upload in the Local Drives pane.

  4. On the menu bar go to File > Upload Advanced > Upload Compressed.

  5. The menu will display file names with three different extensions. Each extension represents a compression scheme.

  6. Choose the file name with the extension for the compression scheme you want.

Notes

.zip is the industry standard archival method (wide support, medium compression).

.cab is a Microsoft format (not very wide support, stronger compression than ZIP).

.gzip/tar is a UNIX format (files are stored in a “Tarball” then compressed).


Stopping transfers

To stop a transfer

  • On the menu bar, click View > Stop.

To remove items queued for transfer

  1. Highlight a file listed in the Queue Pane.

  2. On the menu bar, go to Tools > Queue > Remove Selected.

  3. Click Yes in the delete confirmation dialog box.

Tip

Remove All will delete every file from the queue. Remove Finished will delete items from the queue that have completed their transfer.

To resume a stopped transfer

  1. Highlight the stopped item in the queue.

  2. On the menu bar click Tools > Queue > Transfer Selected.

  3. If the Select Action dialog box appears, select Resume.

  4. Click OK.

Related topics

Resuming transfers


Resuming transfers

To manually resume a transfer

  1. Highlight the stopped item in the queue.

  2. On the menu bar click Tools > Queue > Transfer Selected or Transfer All.

  3. In the Select Action dialog box select Resume.

  4. Click OK.

To automatically resume transfers

When you are downloading or uploading a file, CuteFTP Pro will automatically reconnect and keep trying the transfer, even if a connection is lost or broken. If you exit CuteFTP before successful transfer it remembers the broken transfers and continues the transfers when launched again.

To resume queue transfers

If you place items in the queue, CuteFTP Pro will hold them there even after the program is closed or disconnected. The next time you launch CuteFTP Pro it remembers all the site-specific information (as to each file’s location local/remote path).

  1. On the menu bar, go to Tools > Queue > Transfer all.

  2. CuteFTP Pro remembers which files were successfully transferred before the disconnection and resumes the transfer where the last session ended.

Related topics

Stopping transfers

Transfer settings


Verifying integrity of transferred files

To verify files have successfully transferred

  1. From the menu click Tools > Global Options.

  2. Highlight Transfer Settings.

  3. Select the Verify file integrity after each transfer using CRC checksums check box.

Notes

The File Integrity CRC Checksum will ONLY be used if all of the following are true statements:

  1. The file integrity feature is turned on in one or more locations in CuteFTP Pro.

  2. The FEAT command is enabled in CuteFTP Pro (Tools > Global Options > Navigation Settings).

  3. The remote server supports both FEAT and XCRC and has enabled it for the specific user account.

  4. The files are binary files transferring in binary mode.

  5. The destination file size is smaller than the source and the server supports resume OR the destination is equal to the source size (regardless of resume capability).

Few servers, other than GlobalSCAPE’s Secure FTP Server support the required XCRC command.


Filtering transfers

Transferring filtered files

With filters you can select specific groups of files or folders for transfer without having to select each file manually. Define filters in a special filter dialog box, then apply the filters to individual transfers or use them on all transfers.

To transfer filtered items

  1. Click in the Local Drives pane or a Remote pane.

  2. On the menu bar click View > Filter View.

  3. Select the Enable filtering check box.

  4. Define files you want to include on the Filter Mask tab.

  5. Define files you want to exclude on the Filter NOT Mask tab.

  6. Click OK.

  7. Highlight the files that remain visible.

  8. On the menu bar, click File > Upload Advanced > Upload filtered.

Or

  • On the menu bar, click File > Download Advanced > Download filtered.

Related topics

Choosing which files and folders to display (filtering)


Site-to-site transfers

To perform a site-to-site transfer

  1. Connect to each site (source and destination).

  2. Drag the file from one site in the Remote Pane to another. The Queue pane will display a double arrow (<->), which indicates a site-to-site transfer.

To display more than one remote site at a time

  1. Connect to two or more sites.

  2. On the menu bar click Window > Cascade, or Window > Tile.

  3. Click the Maximize button in the upper right of any remote pane to return to the default, tabbed view.

Notes

If you are transferring between sites with SSH2 or SSL connections, transfers between them will not be secure.

Because site-to-site transfers are considered a security risk, many servers do not support them or optionally decline to do so. The following table displays supporting servers.

BLUE servers must be present for successful site-to-site transfer.

RED servers make site-to-site transfers impossible.

BLACK servers can perform site-to-site transfers if a BLUE server is on the other side.

A site-to-site transfer with at least one RED server or two BLACK servers will fail.

You can configure the ProFTPD 1.2.3 Orc3 server, the wu-ftpd 2.6.0 server and the MS IIS 5.0 server to allow FXP.


Multi-part transfers

You can speed up transfer of large files with multi-part transfers. A multi-part transfer divides large files and sends the parts over different FTP sessions.

To perform a multi-part upload

  1. Connect to a remote site.

  2. Click the file you want to transfer in the Local Drives pane.

  3. On the menu bar, go to File > Upload Advanced > Multi-part Upload.

  4. Choose HIGH to split the file into two parts or MAX to divide the file into more parts.

Note

Very large files can take time to combine, so you might have to manually refresh (F5) the screen after a large multi-part transfer to see the resulting single, combined file on the remote server.

You can only use multi-part uploads with servers that support the COMB command. Currently, only GlobalSCAPE Secure FTP server supports the COMB command.

To perform a multi-part download

  1. Connect to a remote site.

  2. Click the file you want to transfer in the Remote Pane.

  3. Open the destination folder in the Local Drives pane.

  4. On the menu bar, go to File > Download Advanced > Multi-part Download.

  5. Choose HIGH to split the file into two parts or MAX to divide the file into more parts.

Tip

You can quickly gauge the effectiveness of the transfer by highlighting that item in the queue pane, and clicking on the small plus sign + next to the item name. The item will expand to show you all parts of the transfer with the average speed of each part.

Notes

Multi-part transfers will not occur for files less than 100kb in size, unless you change the minimum in Global Options > Transfer settings.

Multi-part downloads will not occur for sites that do not support resume downloading.

Multi-part transfers are not very effective for transfers in your own network.

Multi-part transfers are not very effective for modems slower than 56kb, because most FTP servers can at least transfer at that speed.

Multi-part transfers will not work if the FTP site does not allow multiple simultaneous connections from the same user or IP address.

Due to the server's added processor overhead when generating encrypted transfers via SSH and SSL, Multi-part downloads over these two secure protocols can be ineffective and are not recommended.

Related topics

Transfer settings


Adding and using custom commands

Adding custom commands

Custom Commands allow you to specify a raw FTP command sequence and assign shortcuts or toolbar links to these sequences.

To add a custom command

  1. On the menu bar, go to Tools > Custom Commands > Edit Custom Commands.

  2. In the Custom Commands dialog box, click the New Folder [image] button.

  3. Enter a name for the folder.

  4. Click the New Command [image] button.

  5. Type a name for the command.

  6. Click the Properties [image] button.

  7. In the Custom Command Properties dialog box, type the command or command sequence you want in the Command box.

  8. Click in the Shortcut Key box and then press the keys on your keyboard that will enact the command. This step is optional.

  9. This step is optional. Click the Change Icon button to select a toolbar icon for the command. Click the icon you want and click OK.

  10. Select the Place on the custom commands toolbar check box to include this command on the Custom Commands toolbar.

  11. Click OK and OK again in the Custom Commands dialog box.

To use a custom command

  1. Connect to a site.

  2. On the menu bar, go to Tools > Custom Commands> your command.

To display the Custom Commands Bar

  • On the menu bar, go to View > Toolbars > Custom Commands Bar.

Note

The remote site must be the active pane for a command to be sent. Once sent, you can view the server’s response in the log window.

Related topics

Display settings


Connecting to Secure Socket Layer (SSL) sites

To connect to an FTP site over SSL

  1. On the menu bar click File > New > FTPS (SSL) Site.

  2. The Site Properties dialog box appears.

  3. Type in the Host address, Username and Password.

  4. Click Connect.

To connect to an existing site over SSL

  1. Click on the site in the Site Manager.

  2. On the menu bar, click File > Properties. The Site Properties dialog box appears.

  3. Click the Type tab.

  4. In the Protocol list, choose FTP with SSL (Implicit encryption), or FTP with SSL (Explicit encryption). CuteFTP Pro will select the appropriate port.

  5. Click Connect.

To speed up transfers with an SSL site

Using a clear data channel speeds up transfers with SSL sites. A clear data channel encrypts the connection process, but files are transferred without encryption.

  1. Click on the site in the Site Manager.

  2. On the menu bar, click File > Properties. The Site Properties dialog box appears.

  3. Click the Type tab.

  4. Select the Clear Data channel check box.

  5. Click OK or Connect.

To configure other SSL settings

  1. On the menu bar, click Tools > Global Options.

  2. Expand Security.

  3. Click SSL Security.

Related topics

SSL security settings


Creating your own SSL certificates

With CuteFTP Pro you can create and sign certificates 512 bit cipher key strength. SSL servers use certificates to determine whether or not they will allow you to connect.

To create an SSL certificate

  1. On CuteFTP Pro’s menu bar click Tools > Create Certificate for SSL.

  2. Enter the Certificate Set Name - This will be the name of the certificate generated by the Certificate Wizard.

  3. Enter the Output Location - Type a path or click the browse button to choose the folder where you will save the certificate.

  4. Choose an Expiration date - This defines how long the certificate will remain valid.

  5. Enter and confirm the Pass Phrase - The Pass Phrase can be any combination of characters or spaces. It is used to encrypt the private key. Do not lose the pass phrase. The certificate will be useless without it.

  6. Click the Next button.

  7. Enter the City/Town of your organization.

  8. Enter the State/Province of your organization.

  9. Enter the name of your Organization.

  10. Enter the Common Name, typically this is your name or the domain name associated with your site.

  11. Enter your E-mail address.

  12. Enter the Unit or name of your department, i.e. Information Systems.

  13. Enter the two-letter Country code for your organization's nation.

  14. Click the Next button.

  15. Select the Set up CuteFTP Pro to use the generated certificate check box - the wizard will automatically associate the certificate to CuteFTP Pro. It can later be unassociated by clearing the Use SSL Certificate check box in Tools > Global Options > Security > SSL. If the check box is cleared, the wizard will only save the certificate files in the directory you specified in Step 4.

  16. Click Finish.

  17. CuteFTP Pro will display the paths to all the files generated for your certificate. If you want a third party to sign your certificate, you will need to send the Certificate Signing Request (.csr) file to the third party.

Notes

When you create a certificate CuteFTP Pro generates three files;

  • A Private key file (.key) - The private key should never be distributed to anyone. It is used to decrypt sessions encrypted by a public key.

  • A Certificate request file (.csr) - This file can be signed by GlobalSCAPE Secure FTP Server's Certificate Signing Utility or sent to an intermediate Certificate Authority such as Verisign or Thawte for signing.

  • A Certificate file (.crt) - This is a signed certificate, whether self-signed or signed by an intermediate certificate authority.

If the server will accept self-signed certificates, you will be able to connect with the .crt file and .key file you created and associated in CuteFTP Pro.

Related topics

Connecting to SSL sites

Choosing a certificate for SSL sessions

Getting an SSL certificate signed


Having an SSL certificate signed

To have a certificate signed

  1. Create a certificate. CuteFTP Pro will generate three files including a Certificate Signing Request (.csr) file.

  2. Send the .csr file to the server or a Certificate Authority (CA) such as Verisign (www.verisign.com) or Thawte (www.thawte.com).

  3. The server or CA will use your .csr file to create a signed certificate (.crt) file.

  4. The server or CA sends a signed certificate (.crt) file to you.

  5. Replace your existing .crt file with the signed one.

Notes

Creating a certificate generates three files;

  • A Private key file (.key) - The private key should never be distributed to anyone. It is used to decrypt sessions encrypted by a public key.

  • A Certificate request file (.csr) - This file can be signed by GlobalSCAPE Secure FTP Server's Certificate Signing Utility or sent to intermediate Certificate Authority such as Verisign or Thawte for signing.

  • A Certificate file (.crt) - This is a signed certificate, whether self-signed or signed by an intermediate Certificate Authority.

Related topics

Creating SSL certificates

Importing SSL certificates


Choosing a certificate for SSL sessions

Associate the certificate to CuteFTP Pro which it will send to SSL servers.

To choose a certificate

  1. On the menu bar click Tools > Global Options.

  2. If you don't see SSL security click on the plus sign to expand Security.

  3. Click SSL security.

  4. Select the Use SSL Certificate when authenticating check box.

  5. Click the Browse buttons next to Certificate and Private Key and select the appropriate files.

  6. Enter the passphrase in the Passphrase and Confirm passphrase boxes.

  7. Click Apply and OK.

Related topics

Connecting to SSL sites

Creating your own SSL certificates


Accepting server SSL certificates

Accepting a certificate from a server allows you to connect with the server. Once you accept a certificate it is added to your Trusted Certificates list, and you won't be asked to accept or reject the certificate again. If you reject a certificate, and try to connect again, you will be asked again to accept the certificate.

To accept a server's SSL certificate

  1. Connect to a server with SSL.

  2. If the server has a certificate, it will be displayed.

  3. Click Accept. The certificate will be added to your Trusted Certificates List.

Note

If you click Reject, you will not be able to connect to the server.

To see your Trusted Certificates

  1. On the menu bar, go to Tools > Global Options > Security > SSL security.

  2. Click Trusted Certificate.

  3. Highlight a certificate in the list.

  4. Click Properties to see more detailed information about the certificate.

Related Topics

Connecting to SSL sites

Importing and removing SSL certificates in the Trusted list


Importing an SSL certificate

Importing and Removing SSL certificates in the Trusted list

When a certificate is in your trusted list, you will be able to connect to any server presenting that certificate.

To import a certificate to the CuteFTP Pro Trusted list

  1. On the menu bar go to Tools > Global Options.

  2. If SSL security is not showing expand Security.

  3. Click SSL security.

  4. Click Trusted Certificate.

  5. Click Import.

  6. Navigate to the folder containing the certificate (.crt) file.

  7. Highlight the certificate (.crt) file.

  8. Click Open. The certificate will be listed in your Trusted Certificates list.

  9. Click Close.

To remove an SSL certificate from the Trusted list

  1. On the menu bar, go to Tools > Global Options.

  2. If you can't see SSL security, expand Security.

  3. Click on SSL security.

  4. Click Trusted Certificates

  5. Click the certificate you want to remove.

  6. Click Remove.

  7. Click Close to close the Certificate Manager box.

  8. Click OK to close the Global Options window.

Related Topics

Accepting server certificates

Choosing a certificate for SSL sessions

Creating your own SSL certificates


Learning about SSL

When you use CuteFTP Pro to connect securely to a server that supports SSL or TLS, the two machines pass a sequence of commands to create a secure connection. The FTP protocol definition provides at least two distinct mechanisms by which this sequence is initiated: Explicit (active) and Implicit (passive) security.

Explicit security

Explicit security requires that the FTP client issue a specific command to the FTP server after establishing a connection to establish the SSL link. The default FTP server port is used. This formal method is documented in RFC 2228.

Implicit security

Implicit security is a mechanism by which security is automatically turned on as soon as the FTP client makes a connection to an FTP server. In this case, the FTP server defines a specific port for the client (990) to be used for secure connections.

Note

Implicit SSL is discussed in various SSL drafts but not formally adopted in an RFC. For strict compliance to standards, use the explicit method. Implicit SSL adds benefits in the form of a dedicated port strictly used for secure connections, requiring less overhead in establishing the session. There are various FTP servers that support this mode, including GlobalSCAPE’s Secure FTP Server, RaidenFTPD, Serv-U™, and others.

More Details

The diagram below shows a SSL session using explicit security. In this picture, the two machines communicate over an Internet connection. Time is represented vertically – the first communication is from the Client to the Server (at the top of the timeline), and subsequent communication proceeds down the timeline. The breaks in the timeline represent the passage of time.

EXPLICIT SSL CONNECTION

CuteFTP Pro adheres to Internet standards for secure transfer of files over the FTP protocol. Specifically, CuteFTP Pro implements the FTP extensions documented in RFC 2228. Any FTP Server that also implements these extensions will work with CuteFTP Pro in order to ensure the encryption of your sensitive data.

GlobalSCAPE Secure FTP Server, the server-side companion to CuteFTP Pro, adheres to the RFC 2228 standard. It is also capable of Implicit SSL sessions over a dedicated port. Refer to GlobalSCAPE Secure FTP Server’s help topics for further information on configuring a secure session to a GlobalSCAPE Secure FTP Server.

Some Windows based FTP servers that support SSL:

Server | Manufacturer | Comments
GlobalSCAPE Secure FTP Server | GlobalSCAPE, Inc. | 1
WS_FTP Server® | IPSwitch, Inc. | 2
Serv-U | RhinoSoft.com | 3

Comments:

1. Automatically configures new users to accept SSL both in Implicit or Explicit form.

2. Supports only Explicit SSL connections, initiated through AUTH SSL & AUTH TLS commands.

3. Version 4.0 supports Explicit and Implicit SSL connections.


Connecting to an HTTPS site

Connecting to HTTPS sites

HTTPS sites use SSL to secure HTTP connections.

To connect to an HTTPS Site

  1. On the menu bar, click File > New > HTTPS (SSL) Site.

  2. Enter a name for the site in the Label field.

  3. Enter a site’s address in the Host address field. You do not need to Prefix the site with https://.

  4. Enter your user name in the Username field. The HTTPS server administrator provides the username and password.

  5. Enter your password in the Password field.

  6. Click Connect.

  7. When you connect for the first time, an Accept Certificate dialog box will display.

  8. Click Accept if you trust the certificate. Rejecting a certificate will abort the connection.

Notes

HTTPS sites rely on the use of “certificates” to verify that you are in fact communicating with the desired HTTPS server and to establish the secure connection.

Accepting a certificate stores the certificate on your computer so you don’t have to verify it again the next time you connect to the site.

If a site’s certificate appears unusual, has not been signed by a third party (such as VeriSign, or Thawte) or does not match the operator’s name, it is suggested you reject the request.

Once the connection is established, a small lock icon will display on CuteFTP Pro's status bar. Double-clicking the icon in the status bar will display the server's certificate.

The lock icon represents the type of connection established, but does not guarantee a secured connection. Though you connected to an https site you might have linked to an unsecured directory, at which time the session will no longer be https, but rather http. Check the log if you are unsure of the security of your connection.

Related topics

Creating your own SSL certificates

Accepting server SSL certificates

Importing an SSL certificate

Getting an SSL certificate signed

Learning about SSL


Connecting to Secure Shell (SSH2) sites

To connect to an SSH2 site

  1. On the menu bar, click File > New > SFTP (SSH2) Site.

  2. Enter a name for the site in the Label field.

  3. Enter the site address in the Host field. You do not need to enter "ftp://" or "sftp://" at the start of the address.

  4. Enter your user name in the User Name field. The server administrator provides your username and password.

  5. Enter your password in the Password field.

  6. Click Connect.

To choose SSH2 ciphers and authentication methods

  1. On the menu bar, click Tools > Global Options.

  2. Expand Security.

  3. Click on SSH2 security and make any changes.

  4. Click OK.

Related topics

Learning about SSH2

SSH2 Security settings


Authenticating in SSH2

You can use Password, Public Key, or both authentication methods for SSH2 connections. Password authentication is the default.

To use password authentication

  1. On the menu bar, click Tools > Global Options.

  2. Expand Security.

  3. Click SSH2 security.

  4. Make sure the Use password authentication check box is selected. You are using password authentication whenever the check box is selected, even if the box and check are dimmed.

  5. Click OK.

To use public key authentication

  1. On the menu bar, click Tools > Global Options.

  2. Expand Security.

  3. Click SSH2.

  4. Select the Use public key authentication check box. You are using public key authentication whenever the check box is selected, even if the box and check are dimmed.

  5. Click OK.

Note

To use public key authentication, you will need to send your public key to the server administrator before making an SSH2 connection.

Related topics

Connecting to an SSH2 site

Learning about SSH2

Creating SSH2 key pairs

Using SSH2 key pairs

SSH2 security settings


Creating SSH2 key pairs

To create your own Private and Public key for SSH2 connections

  1. On the menu bar, click Tools > Create Certificate for SSH2.

  2. Choose an RSA or DSA Key Type.

  3. Click Next.

  4. Enter the same passphrase in the Passphrase and Confirm Passphrase boxes. The passphrase can be any combination of characters and spaces. Do not lose or forget the passphrase, the key pair will be useless without it.

  5. Click Next.

  6. In the Private key filename box, type or click the browse button to select a path where you want to store your private key.

  7. Type a name for the key at the end of the path.

  8. In the Public key filename box, type or click the browse button to select a path where you want to store your public key. Use the same name you chose in step 10 and add ".pub" at the end if it's not there already.

  9. Choose a Key length between 512 and 2048 bits. Shorter keys are faster, longer keys are more secure.

  10. Click Finish. CuteFTP Pro will generate the keys. Longer keys take more time to generate.

  11. CuteFTP Pro will display the path and name of the keys. If you want CuteFTP Pro to use the keys just generated click Yes.

  12. Click OK.

Note

CuteFTP Pro 3 only supports two algorithms for SSH2 keys ssh-dss (DSA) and ssh-rsa (RSA). A DSA key is required for SSH2, an RSA key is recommended.

Related topics

Authenticating in SSH2

Learning about SSH2

SSH2 security settings


Learning About SSH2

When you connect with SSH2 there are two components or layers involved: the Transport and Authentication layers.

1. Transport Layer

When you first attempt to connect to an SSH2 site, CuteFTP Pro and the server determine whether the transmission should be encrypted or clear, compressed or uncompressed, what Method Authentication Code (MAC) to use, and what kind of encryption (cipher) to use.

Once the encryption method is chosen:

  1. The server sends a public key to CuteFTP Pro.

  2. CuteFTP Pro generates a session key, and encrypts it with the server’s public key.

  3. CuteFTP Pro then sends the encrypted session key back to server.

  4. The server then decrypts the session key with its private key and from that time all transmitted data is encrypted with the session key.

2. Authentication Layer

After the Transport Layer is established, the server attempts to authenticate the client.

There are three common methods for establishing user authentication.

  • Public Key Authentication Method: publickey

  • To use this method, you will need your private key and your public key, which is passed to the server. The server encrypts a random number with your public key and sends it to you.

    •

    1. If you haven't already entered your passphrase in SSH2 security settings, CuteFTP Pro asks you for your passphrase to activate the private key.

    2. The private key decrypts the number and sends it back to the server.

    3. The server recognizes the number as correct and allows the connection.

  • Password Authentication Method: password

  • Using this method, the client sends its password to server. The client doesn't need to explicitly encrypt the password, because it will be automatically encrypted by the SSH2 Transport Layer mentioned above. This is the default in CuteFTP Pro. With this type of authentication, the connection will fail if the Transport Layer can’t encrypt the data.

  • Host-Based Authentication: hostbased

  • Here the server authenticates the client depending on the host the client comes from. This approach is not used in CuteFTP Pro.

    •

Finally, after the encryption method is established, and authentication is complete, the two systems are ready to exchange secure data. CuteFTP Pro will send a secured FTP connection along the encrypted data tunnel, the remote system will respond and you can begin transferring files securely.

Transport Layer settings

To select Message Authentication Codes (MAC)

Message Authentication Codes are algorithms used to confirm data has not been altered between the client and server.

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Security.

  3. Click SSH2 Security.

  4. Select at least one Message Authentication Code from the MAC list. There are four to choose from:

  • MD5

  • SHA1

  • SHA1-96

  • MD5-96

  5. Click OK. CuteFTP Pro tries each selected MAC with the server starting with the top method in the MAC list.

To select encryption methods (ciphers)

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Security.

  3. Click SSH2 Security.

  4. Select at least one encryption method from the Cipher list. There are five available encryption types:

  • ARCFOUR

  • Cast128

  • Triple DES (3DES)

  • Twofish

  • Blowfish

  5. Click OK. CuteFTP Pro tries each selected encryption method with the server starting with the top method in the Cipher list.

Encryption algorithms

ARCFOUR: Arcfour is intended to be compatible with the RC4 cipher trademarked by RSA Data Security, makers of the famous PGP program. It uses a 128-bit key and provides good security.

CAST128: This cipher is the CAST-128 cipher in CBC mode, with 128 bit keys.

Triple DES (3DES): This algorithm uses a 24-bit “triple key” to encrypt data 3 times. The 24-bit key is split into 3 8-bit segments and each is used for encryption. Triple DES is fast, but not as strong as the other algorithms.

Blowfish: The Blowfish algorithm is a public-domain method using a 128-bit key. Blowfish was intended to be a replacement for 3DES. It provides good security.

Twofish: Twofish is an improved version of Blowfish using a 256-bit key. It provides the strongest security available in CuteFTP Pro and should protect your data in most transfers.

Authentication layer settings

To use public key authentication

If you want to use public key authentication, you will need to send your public key to the server administrator before you will be able to make an SSH2 connection.

  1. On the menu bar, click Tools > Global Options.

  2. Expand Security.

  3. Click SSH2 Security.

  4. Select the Use public key authentication check box. You are using public key authentication whenever the check box is selected, even if the box and check are dimmed.

  5. Click OK.

To use password authentication

  1. On the menu bar, click Tools > Global Options.

  2. Expand Security.

  3. Click SSH2 Security.

  4. Select the Use password authentication check box. You are using password authentication whenever the check box is selected, even if the box and check are dimmed.

  5. Click OK.

Note

You have to use at least one authentication method for an SSH2 connection. You can use both methods for the same SSH2 connection.

Related topics

Authenticating in SSH2

Creating SSH2 keys

Using SSH2 keys

SSH2 security settings

Technical Resources

Cryptography in SSH2

SSH2 specifications


Using SSH2 key pairs

You can authenticate SSH2 connections with a certificate (public key) just like SSL.

To use public key authentication in SSH2

  1. Create an SSH2 key pair.

  2. Send the Public key to the SSH2 server administrator.

  3. On the menu bar click Tools > Global Options.

  4. Expand Security.

  5. Click SSH2.

  6. Select the Client's Public/Private key pair check box.

  7. Type the path or browse to your public and private keys in the Public Key Path and Private Key Path boxes.

  8. Select the Use Passphrase check box.

  9. Enter your passphrase in the Use Passphrase and Confirm Passphrase fields.

  10. Click OK.

Notes

The public key can only encrypt information. The private key can only decrypt information.

Your private key and passphrase will never be transmitted over a connection. When the server attempts to authenticate:

  1. The server encrypts a random number with your public key and sends it to you.

  2. If you haven't already entered your passphrase in SSH2 security settings, CuteFTP Pro asks you for your passphrase to activate the private key.

  3. The private key decrypts the number and sends it back to the server.

  4. The server recognizes the number as correct and allows the connection.

Related topics

Connecting to SSH2 sites

Creating SSH2 key pairs

Authenticating in SSH2

Learning about SSH2

SSH2 security settings


Encrypting passwords

When you connect with an encrypted password, it is protected from interception. When connecting with an encrypted password, the server has to support the same encryption scheme.

To encrypt a password for a site

  1. Click the Site Manager tab.

  2. Click on a site.

  3. On the menu bar click File > Properties.

  4. Click the Type tab

  5. Select an encryption method in the Password Protection group. Choose from:

  • Not Encrypted

  • MD4

  • MD5

  • Auto detect OTP

  7. Click Connect or OK.

Notes

Some FTP servers that support S/Key passwords are GlobalSCAPE Secure FTP Server, FTP Serv-U from Rhinosoft.com, and Unix WUftpd.

Encryption Options

Not Encrypted - the password is sent unprotected to the server.

MD4 (S/Key) - A system that encrypts your password a different way every time it is sent.

MD5 (S/Key) - The same system as MD4, with more complex encryption.

Auto detect OTP - CuteFTP Pro checks for the encryption method the server uses.


Adding a site to the Site Manager

You can save connection settings for sites that you use often by adding them to the Site Manager.

To add a site to the Site Manager

  1. On the menu bar, click File > New.

  2. Click on the correct protocol for the site. The Site Properties window appears.

  3. Type a name for the site in the Label field. It can be any name you choose.

  4. Enter the address for the site in the Host address field. It can be a domain name such as ftp.example.com, or an IP address. If you don't know the address, your hosting provider can give it to you.

  5. In the Username field, enter the username given to you by your hosting provider.

  6. In the Password field, enter the password given to you by your hosting provider.

  7. Click Connect or OK. The site information will be saved in the Site Manager for future use.

Notes

The protocols to choose from are; FTP, FTPS (SSL), SFTP (SSH2), HTTP, and HTTPS (SSL).

Your host address can be in IP form (like 255.255.255.255) or in domain name form (like ftp.mysite.com)

If you click Connect CuteFTP Pro will save the site and connect immediately. If you click OK, the site will just be saved for later use.

Related topics

Importing sites to the Site Manager

Modifying a site in the Site Manager

Removing a site from the Site Manager

Protecting your Site Manager with a password


Add a site to the Site Manager from the Connection Wizard

Adding a site to the Site Manager from the Connection Wizard

Use the Connection Wizard to step through the process of connecting to a site. After using the Connection Wizard, your site is automatically saved to the Site Manager.

To add a site through the Connection Wizard

  1. On the menu bar, click File > Connection > Connection Wizard.

  2. Enter a name for your site. It can be any name you choose.

  3. Click Next.

  4. Enter the IP or Web address for the site. The address may look like this; 64.243.64.21 or ftp.example.com. You can get this address from your hosting provider.

  5. Click Next.

  6. In the Username field, enter the username given to you by your hosting provider.

  7. In the Password field, enter the password given to you by your hosting provider.

  8. Select Anonymous logon if the site does not require a password.

  9. Select Hide password to display your password as asterisks.

  10. Click Next.

  11. In the Default Local Folder field, browse or type the path to the local folder you want to see when connecting to this site.

  12. Click Next.

  13. Click Finish. CuteFTP Pro will connect to the site, and the site will be saved in the Site Manager.

Related topics

Connecting to an existing site


Importing and exporting sites in the Site Manager

You can add sites to your Site Manager from simple text listings or from site listings in the following FTP clients.

· CuteFTP 1.3 - 5.0 | · CuteFTP Pro 1.0 - 3.0
· BlueZone 1.01-2.11 | · CoffeeCup 4.0-4.5
· Crystal FTP 2000 | · FTP Commander 4.0
· FTP Explorer 1.0 | · FTP Voyager 6.0-8.0
· LapLink 2.0 | · LeapFTP 2.7
· TransSoft 4.4 | · WS_FTP 5.0 - 7.0

To add site listings to your Site Manager

  1. On the menu bar, click Tools > Site Manager > Import FTP Sites.

  2. Select your old FTP client from the Import from list.

  3. Type the path or browse to your old client site list.

  4. Select Merge site entries into the existing Site Manager.

  5. Click Start Conversion.

To replace your Site Manager listings with an imported list

  1. On the menu bar, click Tools > Site Manager > Import FTP Sites.

  2. Select your old FTP client from the Import from list.

  3. Type the path or browse to your old client site list.

  4. Type a path or browse to a folder where you will save the new Site Manager list.

Warning: Do not save the new database in the CuteFTP Pro program folder or the CuteFTP Pro Application Data folder until step 10.

  5. Select Create a new Site Manager with these entries.

  6. Click Start Conversion.

  7. Exit CuteFTP Pro and open Windows Explorer.

  8. Navigate to your user profile folder. Example: Winnt\profiles\jsmith\Application Data\Globalscape\CuteFTP Pro.

  9. Give your current Site Manager file (sm.dat) another name, like sm.bak or sm.old.

  10. Move the database you created in step five to the CuteFTP Pro directory and rename it sm.dat.

  11. Restart CuteFTP Pro and begin using your new Site Manager database.

Warning: Do not manually overwrite CuteFTP Pro’s sm.dat file while CuteFTP Pro is running. CuteFTP Pro automatically saves the sm.dat file upon exit. This means that if you replace the sm.dat file while running, CuteFTP Pro will replace it again when you exit, resulting in the loss of your replacement file.

To export your Site Manager listings

You can also export your Site Manager listings as a text file in two different formats. You may export the listings as URLs only, or as a more detailed listing of hostnames, directories and descriptions.

Warning: Passwords will also be exported and will be plainly visible!

  1. On the menu bar, click Tools > Site Manager > Export Sites as URL, to generate a list of sites as Web addresses.

OR

  • On the menu bar, click Tools > Site Manager > Export Sites in Normal Layout, to generate a list of sites in plain text.

  2. Enter a name and choose a location for your exported listings in the Save As dialog box that appears.

  3. Click Save.

Related topics

Adding a site to the Site Manager

Modifying a site in the Site Manager

Removing a site from the Site Manager

Protecting your Site Manager with a password


Modifying a site in the Site Manager

You can change a large number of connection settings for individual sites in the Site Manager. The changes made will only affect the individual site.

To change site properties or settings

  1. Highlight the site you want to change in the Site Manager.

  2. On the menu bar, click File > Properties.

  3. Make any desired changes.

  4. Click Connect or OK to save the changes.

OR

  • Click Cancel to reject the changes.

To switch from PASV to PORT mode

  1. Highlight a site in the Site Manager.

  2. On the menu bar, click File > Properties.

  3. Click the Type tab.

  4. In the Data connection type list select Use PORT.

  5. Click OK or Connect.

Related topics

Adding a site to the Site Manager

Removing a site in the Site Manager


Designating a site's server type

You can improve compatibility with individual sites by designating the type of server used at the sites.

To Designate server type

  1. Highlight a site in the Site Manager.

  2. On the menu bar, click File > Properties.

  3. Click the Type tab.

  4. Select a server type from the Server Type list.

  5. Click Connect or OK.

Related topics

Modifying a site in the Site Manager

Tolerance options


Correcting times for sites in different time zones

To compensate for servers in different time zones

  1. Highlight a site in the Site Manager.

  2. On the menu bar, click File > Properties.

  3. Click the Type tab.

  4. Select the server's time zone from the Server time zone list.

  5. Click Connect or OK.

Related topics

Modifying a site the Site Manager

Synchronizing folders


Removing a site from the Site Manager

To remove a site from the Site Manager

  1. Highlight the site in the Site Manager.

  2. On the menu bar, click File > Delete.

  3. Click Yes.

Related topics

Adding a site to the Site Manager


Protecting your Site Manager with a password

To require a password to open the Site Manager

  1. On the menu bar, click Tools > Site Manager > Security > Create New Password.

  2. Type the same password in both the Enter new password and Confirm new password fields.

  3. Click OK. You will be prompted for the password every time you start CuteFTP Pro.

To change the Site Manager password

  1. On the menu bar, click Tools > Site Manager > Security > Change Password.

  2. Type the same password in both the Enter new password and Confirm new password fields.

  3. Click OK. You will be prompted for the password every time you start CuteFTP Pro.

To remove the Site Manager password

  1. On the menu bar, click Tools > Site Manager > Security > Remove Password.

  2. You will no longer be prompted for a password when you start CuteFTP Pro.

Notes

CuteFTP Pro will secure the Site Manager information with 64-bit Blowfish encryption.

You should create a password at least 5 characters long for maximum security.

If you forget the password, you will not be able to use the protected Site Manager. You will have the option to backup the locked Site Manager and re-enter your site information in a new Site Manager.

You can re-import the password-protected Site Manager file, but you will still need the password to do so.


Finding a site in the Site Manager

To find a site in the Site Manager

  1. Click on the top most site or folder in the Site Manager.

  2. On the menu bar, click Tools > Site Manager > Find Text in Site Manager.

  3. Type in some letters from the site name.

  4. Click OK.

  5. If the site you wanted wasn't highlighted, click Tools > Site Manager > Find Next, until the desired site is highlighted.

Notes

The Find Text in Site Manager tool is not case sensitive, will only search from the top to the bottom of your site listings, and does not recognize wildcards.

Related topics

Finding files and folders


Opening, editing, renaming, and deleting files

You can work with files on local and remote drives from within CuteFTP Pro.

To open a file

  1. Click on a file in Local Drives or the Remote pane.

  2. On the menu bar, go to File > Execute. The correct program will open and display or run the file.

To edit a file

  1. Click on a file in Local Drives or the Remote pane.

  2. On the menu bar, go to File > Edit or File > View. The file will open in CuteFTP Pro's built-in HTML editor.

  3. Make any desired changes.

  4. On the menu bar, go to File > Save, to save your changes.

To rename a file

  1. Click on a file in Local Drives or the Remote pane.

  2. On the menu bar, go to File > Rename.

  3. Type the new name for the file and press the Enter key on your keyboard.

Warning: if you change the extension when you rename the file, you may not be able to open the file in the proper program.

To delete a file

  1. Click on a file in the Local Drives or the Remote pane.

  2. On the menu bar, go to File > Delete. CuteFTP Pro displays a message asking if you are sure you want to delete the file.

  3. Click Yes.

Related topics

Transferring files

Creating HTML files


Changing how files and folders are displayed

You can display files and folders in one of four ways:

  • As large icons

  • As small icons

  • In a simple list

  • With size, date and other details

To display files and folders as large icons

  1. Click in the Local or Remote drives pane.

  2. On the menu bar, click View > Large Icons.

To display files and folders as small icons

  1. Click in the Local or Remote drives pane.

  2. On the menu bar, click View > Small Icons.

To display files and folders in a simple list

  1. Right click in the Local or Remote drives pane.

  2. On the menu bar, click View > List.

To display files and folders with size and date details

  1. Right click in the Local or Remote drives pane.

  2. On the menu bar, click View > Details.


Updating or refreshing folder listings

To update or refresh a folder listing

  1. Click in the pane where the folder is displayed.

  2. On the menu bar, click View > Refresh.

To update remote folder listings automatically

  1. On the menu bar, go to Tools > Global Options.

  2. Click Navigation Settings.

  3. Select the Auto-refresh the server (remote) pane after an upload occurs check box.

  4. Click OK.

Related topics

Displaying folder contents

Choosing which files and folders to display (filtering)


Listing files and folders in order

To list files and folders in order by name

  1. Click the Remote or Local Drives pane.

  2. On the menu bar, click View > Details.

  3. Click the Name column header in the Remote or Local drives pane.

  4. Clicking the column header again will list items in the opposite order.

Tip

You can sort by any column in the Details view.

To list files and folders in order in the Queue

  1. Click in the Queue pane.

  2. Click the a column header in the Queue pane. The transfer items will be listed in order by that column's contents.

  3. Clicking the column header again will list items in the opposite order.

Warning: The order items are listed in the queue is not necessarily the order in which they will transfer. The numbers in the left most column of the queue indicate the order of transfer.

Related topics

Filtering files and folders

Transferring files in order

Changing sorting schemes


Finding files and folders

Search for a specific file or folder in a local folder or a remote folder.

To find a file or folder

  1. Click the topmost item in the pane you want to search.

  2. On the menu bar, click Edit > Find.

  3. Type in letters from the item name, you can also use wildcards.

  4. Click OK.

  5. If the item you wanted wasn't highlighted, click Edit > Find Next, until the desired item is highlighted.

Notes

Find and Find Next are not case sensitive and will only search from the top to the bottom of your listings.

Related topics

Finding a site in the Site Manager


Selecting a group of items

You can select (highlight) items in the remote, local, or queue pane by name or type using Group Select and wildcard masks.

To select all files of a certain type

  1. Click in the pane where the files exist.

  2. On the menu bar, click Edit > Group Select.

  3. In the Select group box, type *. and then the extension for the file type you want to select.

  4. Clear the Mask Folders check box to exclude folders from the selection.

  5. Click OK.

To switch a selection from the highlighted to group, to all non-highlighted items

  1. On the menu bar, click Edit > Invert Selection.

To remove items from a group selection

  1. With files highlighted, click Edit > Group Deselect on the menu bar.

  2. In the Deselect group box type the name of the file you want to deselect, or use wildcard masks to deselect a group of items.

  3. Select Mask folders to include folders in the action.

  4. Click OK.

Related topics

Choosing which files and folders to display (filtering)

Opening, editing, renaming and deleting files


Moving items from one folder to another on a remote server

Move selected items from one remote folder to another remote folder on the same server.

To move items from one remote folder to another

  1. Connect to a site.

  2. Open a folder on the remote site.

  3. Select items in the folder.

  4. On the menu bar, click Edit > Move to Folder.

  5. In the Move files to box, type the path where you want to send the selected items.

  6. Click OK.

Related topics

Selecting items in a pane

Updating or refreshing folder listings


Changing file and folder permissions

You can set who can open, change, or delete files and folders on remote sites.

To change permissions for a single remote file or folder

  1. Connect to a site.

  2. Click on a file or folder.

  3. On the menu bar, click File > Properties.

  4. Select the check boxes next to the permissions you want for yourself (Owner), a Group of users, and the general Public.

  5. Click OK.

To change permissions for a group of remote files or folders

  1. Connect to a site.

  2. Highlight a group of files or folders.

  3. On the menu bar, click File > Properties.

  4. Select the check boxes next to the permissions you want for yourself (Owner), a Group of users, and the general Public.

  5. Click OK.

Note

A gray check signifies the permission is granted for some files in a selected group, but not in others. You can still change the permission for the whole group.

Related topics

Permissions details


Choosing which files and folders to display (Filtering)

When you apply filters, you do not add or remove files, you simply set which files will be visible or invisible in CuteFTP Pro.

To choose which files to display

  1. On the menu bar, click View > Filter View.

  2. Select the Enable Filtering check box.

  3. Click the Filter Mask tab.

  4. Type the names of files you want to display, or use wildcard masks to include a group of files.

  5. Click Add.

  6. Click the Filter NOT Mask tab.

  7. Type the names of files you want to Hide, or use wildcard masks to exclude a group of files.

  8. Click OK.

To choose which folders to display

  1. On the menu bar, click View > Filter View.

  2. Select the Enable Filtering check box.

  3. Select the Apply filtering to folder name(s) check box.

  4. Click the Filter Mask tab.

  5. Type the names of files and folders you want to display, or use wildcard masks to include groups of files and folders.

  6. Click Add.

  7. Click the Filter NOT Mask tab.

  8. Type the names of files and folders you want to Hide, or use wildcard masks to exclude groups of files and folders.

  9. Click OK.

To use filters with transfers

  1. On the menu bar, click View > Filter View.

  2. Select the Enable Filtering check box.

  3. Select the Apply to file transfers check box.

  4. Set your filters in the Filter Mask tab and Filter NOT Mask tab.

  5. Click OK.

To make filters case sensitive

  1. On the menu bar, click View > Filter View.

  2. Select the Enable Filtering check box.

  3. Select the Case sensitive filtering check box.

  4. Set your filters.

  5. Click OK.

To use server filters

  1. On the menu bar, click View > Filter View.

  2. Select the Enable Filtering check box.

  3. Select the Enable server side filtering check box.

  4. Type in a filter from the Unix ls program.

  5. Click OK.

Related topics

Wildcard masks

Server side filters


Displaying hidden files

By default, some servers will hide files with names starting with a period such as ".htaccess" or ".profile".

To see hidden files on a remote site

  1. Click the Site Manager tab.

  2. Highlight the site with hidden files.

  3. Click File > Properties.

  4. Click the Actions tab.

  5. Click the Filter button.

  6. Select the Enable filtering check box.

  7. Select Enable server side filtering check box.

  8. Type -a in the Remote field.

  9. Click OK.

  10. Connect to your site.

Related topics

Cannot see files or folders


Comparing folder contents

Comparing folder contents by size and date

Use the Compare Folder Contents tool to highlight differences between a remote and a local folder.

To compare folder contents by date

  1. Display a folder in the Local Drives pane.

  2. Connect to the folder you want to compare in the Remote pane.

  3. On the menu bar, click Tools > Compare Folder Contents.

  4. Select the Compare dates check box.

  5. Select the Ignore case check box to compare all files with the same name, regardless of differing upper or lower case letters.

  6. Click OK. CuteFTP Pro will compare all items with the same name and highlight any files or folders with time stamps that are different between the server and local folder. CuteFTP Pro will also highlight items that only exist on one site or the other.

To compare folder contents by size

  1. Display a folder in the Local Drives pane.

  2. Connect to the folder you want to compare in the Remote pane.

  3. On the menu bar, click Tools > Compare Folder Contents.

  4. Select the Compare sizes check box.

  5. Select the Ignore case check box to compare all files with the same name, regardless of differing upper or lower case letters.

  6. Click OK. CuteFTP Pro will compare all items with the same name and highlight any files or folders with sizes that are different between the server and local folder. CuteFTP Pro will also highlight items that only exist on one site or the other.

Notes

Once differing files are highlighted, you can click and drag one file and all the other highlighted files will be moved together.

If you clear the Ignore case check box, two files with the same name spelled in differing case will be treated as two different files. For example, test.txt and TEST.txt would be treated as two different files. With the Ignore case check box selected, test.txt and TEST.txt would be considered the same.


Synchronizing folders

CuteFTP Pro can automatically make the contents of a remote and local folder exactly the same through the synchronization tool.

To synchronize folders

  1. On the menu bar, click Tools > Synchronize Folder(s).

  2. In the Enter the local path field, type in the path, or browse to the local folder you want to synchronize.

  3. In the Enter the remote path field, type in the path, or browse to the local folder you want to synchronize.

  4. In the Please select the direction field choose to Mirror Local, Mirror Remote, or Mirror Both.

  5. If you want to include contents of subfolders in the synchronization make sure the Include subfolders check box is selected.

  6. Click the Start now [image] button.

OR

  • Click the Schedule [image] button to automatically to start the synchronization later, or to repeat the synchronization at regular intervals.

To automatically repeat synchronization

  1. Click Tools > Synchronize Folder(s).

  2. Choose the folders and the direction.

  3. Click the Schedule [image] button.

  4. When the scheduler appears, select Schedule the current item check box.

  5. Choose the Enable recurrence check box.

  6. Choose how often you want the synchronization to repeat.

  7. Click OK. The task will be added to your queue. You can close CuteFTP Pro, and the Transfer Engine (represented by the icon in the System tray) will handle the mirroring and scheduling.

To stop a synchronization task

  1. Highlight the task in the Queue pane.

  2. On the menu bar, click Tools > Queue > Remove Selected.

Notes

Mirror Local - keeps the local folder the same and changes the remote folder to match.

Mirror Remote - keeps the remote folder the same and changes the local folder to match.

Mirror Both - adds files to both folders and puts the latest version of all files in both folders.

Related topics

Advanced folder synchronization

Correcting times for sites in different time zones


Backing up remote folders

You can schedule CuteFTP Pro to regularly create copies of remote files and folders on your local computer. You can also compress the backup automatically from CuteFTP Pro.

To backup a remote folder

  1. On the menu bar, click Tools > Backup Remote Folder(s).

  2. Enter the local path for the backup folder in Local backup folder.

  3. Enter the path to the remote folder you wish to replicate in Remote path for backup.

  4. Select Include subfolders to backup all folders within the target folder.

  5. Choose a compression scheme from the Compression list.

  6. To set a time or to arrange repeated backups click the Schedule button and continue with step 7. To start a single backup event skip to step 10.

  7. Select Schedule the current item and choose a starting date and time.

  8. Select Enable recurrence and select how often you want the backup to repeat.

  9. Click OK.

  10. Click Start.

To discontinue a scheduled backup task

  1. Highlight the task in the Queue.

  2. On the menu bar, click Tools > Queue > Remove Selected.


Automatically upload changed folder contents

Automatically uploading changes to a folder

You can automatically upload any new files or folders added to a specific local folder.

To automatically upload changes to a local folder

  1. On the menu bar click Tools > Monitor Local Folder(s).

  2. In Local folder to monitor, type the full path to the folder.

  3. Select Include subfolders to monitor all folders within the target folder.

  4. Enter the full ftp address for the remote folder where you are uploading the files.

  5. Choose the file modified date from which to begin monitoring changes.

  6. Select Always overwrite, to overwrite any file with the same name on the server.

Warning: if you select this check box, CuteFTP Pro will ignore any Smart Overwrite rules, and will not prompt you before deleting items.

  7. Select Apply monitor filters and click the Filters button to monitor only certain files or file types in a folder.

  8. Choose how often CuteFTP Pro will check for changes in the folder.

  9. Click Start.

Related topics

Synchronizing folders

Backing up remote folders


Listing files from HTTP sites

To list files on HTTP sites

  1. Connect to an HTTP site within CuteFTP Pro.

  2. Files on the site will be listed in the remote pane.

Notes

When you connect to HTTP sites in CuteFTP Pro, the sites do not list file sizes, attributes or dates like FTP sites. HTTP listings are not actual lists of files on the server.

CuteFTP Pro downloads the server’s index.html file and parses it looking for links. Each link is then “listed” as an available file in the HTTP site’s window. Because this is not an actual file listing, there may be files on the HTTP site that are not accessible to CuteFTP Pro. Also, some of the files may be links that lead to another HTTP site.

If you connect to an HTTP site that does not support the listing of folder contents, CuteFTP Pro may “guess” the contents of the HTTP server by scanning its Web pages.

Related topics

Connecting to HTTP sites

Connecting to HTTPS sites


General settings

In this window, you choose when to start and stop the Transfer Engine, other startup options, and which folder to show in the Local Drives pane.

To display the General Settings window

  1. On the menu bar, go to Tools > Global Options.

  2. Click General.

Program startup events

  • Start the CuteFTP Pro Transfer Engine on Windows® startup

  • Select this check box to have the Transfer Engine start automatically when you start your computer.

  • Clear this check box and the Transfer Engine won't start until you start CuteFTP Pro, or you call it from a script.

  • On startup

  • Choose Display Site Manager to display the Site Manager automatically when launching CuteFTP Pro in the Classic Interface mode.

  • Choose Do Nothing to keep the Site Manager from automatically displaying when launching CuteFTP Pro in the Classic Interface mode.

Program exit events

  • On exit

  • Choose Don't close the Transfer Engine if tasks are pending to complete unfinished or scheduled transfers after CuteFTP Pro is closed. The Transfer Engine will automatically shut down after the last scheduled transfer.

  • Choose Don't close the Transfer Engine to leave the Transfer Engine running even when CuteFTP Pro is closed and there are no transfers to complete. The Transfer Engine will stay open until the computer is shut down, or you close the Transfer Engine from the System Tray.

  • Choose Close the Transfer Engine to shut it down whenever you close CuteFTP Pro.

Download folder defaults

  • Use the current folder in the local pane as the default

  • Select this check box and remote items dragged to the queue will be downloaded to the folder displayed in the Local Drives pane.

  • Clear this check box to activate the following option where you can enter a path to a specific folder.

  • Use

  • Browse or type the path to a download location for remote items you place in the queue. With this option, all remote items dragged to the queue will be downloaded to the folder you chose.

Related topics

Changing to the Classic Interface

Scheduling transfers


Log display settings

Log display and capture settings

To access the log display and capture options

  1. On the menu bar, go to Tools > Global Options.

  2. Expand General Settings.

  3. Click Logs.

Log text colors

  • STATUS

  • Click on the colored button to the right of STATUS to choose a new display color for all log window status messages.

  • ERROR

  • Click on the colored button to the right of ERROR to choose a new display color for all log window error messages.

  • COMMAND

  • Click on the colored button to the right of COMMAND to choose a new display color for all log window command messages.

  • OTHER

  • Click on the colored button to the right of OTHER to choose a new display color for all other messages in log windows.

Log text fonts

  • Select Font

  • Click this button to change the style of text in the log windows.

Other log settings

  • Display the server's welcome message

  • Select this check box to display a pop-up window with information from the server when initial connections are successful.

  • Clear this check box to skip the server's successful connection message.

  • Enable session (control connection) logs

  • Select this check box to save each session log as a separate text file, and to display the log in the individual session log window.

  • Clear this check box to stop recording a log for each session, and to show no logs in the individual session log window.

  • Enable individual transfer item (data connection) logs

  • Select this check box to save the log for each item transferred as a separate text file.

  • Clear this check box to stop recording a separate log for each item transferred.

  • Enable consolidated transfer logs (both session and all transfers in log pane)

  • Select this check box to display all logs in the Log Window in the bottom of CuteFTP Pro's interface. This option also saves all activity in one log file.

  • Clear this check box to leave the Log Window blank and to stop recording all activity in a single log file.

  • Enable extended list in session log window (raw list - for debugging)

  • Select this check box to include file lists and permissions as part of session logs and consolidated logs. This returns a 'RAW' list which is commonly used for debugging.

  • Clear this check box to exclude file lists and permissions from session logs and consolidated logs.

  • Show individual logs for each connection window

    • Select this check box to show a log window in the remote pane for each site to which you connect.

    • Clear this check box to hide any log windows in the remote pane.

Related topics

General settings

Log file settings


Log file settings

To access the log file settings

  1. On the menu bar, go to Tools > Global Options.

  2. Expand General.

  3. Click Log Files.

Options

  • Log path

  • Browse or type a path to the folder where you want to save your log files.

  • Delete error logs every...

  • Select this check box to automatically delete log files at time intervals you choose. Choose to delete files after a specified number of days, hours, or minutes.

  • Clear this check box to keep all log files, or to delete them in other ways.

  • Delete error logs after quitting the Transfer Engine

  • Select this check box to automatically delete error logs when the Transfer Engine shuts down.

  • Clear this check box to keep error logs after the Transfer Engine shuts down.

  • Delete logs of successfully finished items

  • Select this check box to automatically delete the associated logs immediately after a successful task is finished.

  • Clear this check box to keep the associated logs after a successful task is finished.

  • Show time stamps in logs

  • Select this check box to include the date and time in all log files.

  • Clear this check box to exclude the date and time from all log files.

  • Delete all logs

  • Click this button to remove all log files from your log folder that are currently unused.

  • To prevent CuteFTP Pro from generating new logs see Log display and capture settings.

  • Delete cache

  • Click this button to remove from your computer, all remote file and folder listings CuteFTP Pro has saved.

Related topics

General settings

Log display and capture settings


Connection options

To display the Connection window

  1. On the menu bar, go to Tools > Global Options.

  2. Click Connection.

Options

  • Global Max number of connections

  • Choose the number of simultaneous connections you will allow from CuteFTP Pro and the Transfer Engine.

    • On a Windows 95/98/ME computer you can choose up to 40 connections.

    • On a Windows NT/2k/XP computer you can choose up to 200 connections, but CuteFTP Pro will warn you that more than 40 connections may compromise system performance.

    • Connections include transfers, browser sessions, and every single thread in a Multi-Part transfer.

  • Max number of connections per site

  • Choose the number of simultaneous connections you will allow to any one remote site. Choose up to 200. Connections include transfers, browser sessions, and even a single thread in a Multi-Part transfer.

  • Connection retry attempts

  • Choose the number of times CuteFTP Pro can try to connect with a site before giving up. You can set CuteFTP Pro to try connecting up to 1,000 times.

  • Delay between retries in seconds

  • Choose how long CuteFTP Pro will wait before attempting a new connection after a failed connection. Choose up to 1,000 seconds (about 17 minutes).

  • Data connection type

  • Choose PASV for most FTP connections. When chosen, this feature helps avoid conflicts with the security system. PASV support is necessary for some firewalls, because with PASV, the client opens the connection to an IP Address and port that the server supplies.

  • Choose PORT when connections or transfer attempts fail in PASV mode, or when you receive data socket errors. When an FTP client connects using PORT, the server opens a connection to an IP Address and port that the client supplies.

Note

If you connect in PORT mode your session becomes vulnerable to "Port theft", where a third party can interfere with transfers.

  • E-mail address for anonymous logins

  • Enter the address you want to send to servers that require an e-mail address for anonymous logins. By default CuteFTP pro sends a simulated e-mail address.

  • Retry failed logins without issuing a socket disconnect

  • Select this check box to have CuteFTP Pro attempt repeated logins with the original connection.

  • Clear this check box to have CuteFTP Pro disconnect and reconnect with every new attempt to login after a login attempt has failed.

  • Send QUIT command before disconnecting

  • Select this check box to always send the QUIT command from CuteFTP Pro no matter how you choose to disconnect.

  • Clear this check box to disconnect without sending the QUIT command.

Notes

You can choose Max connections, Delay between retries, and Retry attempts for individual sites. Highlight a site in the Site Manager, click File > Properties, click the Options tab.

You can choose to connect in PASV or PORT mode for individual sites. Highlight a site in the Site Manager, click File > Properties, click the Type tab, and choose the mode in the Data connection type list.

Related topics

Connecting to a site

Smart Keep Alive options


Smart Keep Alive options

You can set CuteFTP Pro to compensate for idle time during sessions by using Smart Keep Alive (SKA). SKA sends commands at random intervals to the FTP server, maintaining an active connection.

To access Smart Keep Alive options

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Connection.

  3. Click Smart Keep Alive.

Options

  • Enable Smart Keep Alive (SKA)

  • Select this check box to automatically send commands to a server to keep a connection open, and to make all the SKA options available.

  • Clear this check box to disable SKA and to disable all SKA options.

  • Start SKA n seconds after the last command

  • Choose how soon SKA will begin after transfers and other activity have stopped. You can choose to start SKA immediately or after 1,000 seconds (just under 17 minutes).

  • Maintain SKA for n minutes

  • Choose how long SKA will send commands to keep a connection open. You can choose as little as One minute, and as much as 1,000 minutes (just under 17 hours).

  • Send command at random intervals between n and n seconds

  • For after SKA has started, choose the shortest and longest time CuteFTP Pro will wait before sending a command to keep the connection open. You can choose to set times as low as zero seconds up to 1,000 seconds (just under 17 minutes). Between 30 and 60 seconds are the defaults.

  • Commands

  • Click the Add button to include new FTP commands in the list of possible commands sent to keep a connection open. CuteFTP Pro uses the listed commands.

  • Click the Remove button after highlighting a command in the list to exclude that command from the list of commands sent to keep a connection open.

  • If disconnected, auto-reconnect within n seconds

  • Select this check box to have CuteFTP Pro attempt a new connection with a server that has closed a connection. Choose a delay time between zero and 100 seconds.

  • Clear this check box if you don't want CuteFTP Pro to automatically attempt a new connection.

  • Obtain a new IP address when reconnecting (only for dialup connections)

  • Select this check box to have CuteFTP Pro disconnect and reconnect to the Internet before attempting to reconnect to a site. This option is not available with network or always-on connections.

  • Clear this check box to maintain the same dial-up connection after for attempts to re-connect to a site.

Related topics

Connecting to a site

Connection options

Dial Up settings


Internet connection settings

Internet connection (DUN/LAN) settings

DUN stands for Dial-Up Networking. LAN stands for Local Area Network. If you connect to the Internet with a regular phone modem you are using Dial-Up networking. If you connect to the Internet with a cable modem, DSL modem, or through a computer network, you are using a Local Area Network.

To access Dial-up and Network settings

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Connection.

  3. Click DUN/LAN.

Connection Type

  • Connect to the Internet using a LAN

  • Select this option if you connect to the Internet with a Cable modem, DSL modem or through a computer network.

  • Connect to the Internet using a modem

  • Select this option if you connect to the Internet using a modem over regular telephone lines.

Dial-Up options

  • Use the following Dial-Up Networking connection

  • Click the dial-up connection you want CuteFTP Pro to use. The list will include every dial-up connection on the local computer that is available in MS Windows®. Many computers will only list one.

  • Show authentication window (requires user input)

  • Select this check box to display the dial-up connection user name and password whenever CuteFTP Pro attempts a connection.

  • Clear this check box to stop the display of the dial-up connection user name and password when CuteFTP Pro attempts a connection.

  • Show error prompts (requires user interaction)

  • Select this check box to display messages when an error occurs with the dial-up connection.

  • Clear this check box to stop the display of error messages from the dial-up connection.

  • Disconnect from the Internet upon program exit

  • Select this check box to automatically disconnect from the Internet when CuteFTP Pro and the Transfer Engine shut down.

  • Clear this check box to keep the Internet connection active after CuteFTP Pro and the Transfer Engine shut down.

  • Number of times to attempt connection

  • Choose how many times CuteFTP Pro will try to establish a dial-up connection to the Internet after a connection fails. You can choose from 0 to 1000 attempts.

  • Number of seconds to wait between attempts

  • Choose how long in seconds CuteFTP Pro will wait between attempts to establish a dial-up connection to the Internet. You can choose from 0 to 1000 seconds.

Related topics

Connection options

Connecting to a site


SOCKS 4 and 5 connection settings

SOCKS is a network proxy protocol that allows transparent Internet connections across a firewall.

To access SOCKS 4 and 5 settings

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Connection.

  3. Click SOCKS4 & 5.

  • Use the highlighted SOCKS server when connecting

  • Select this check box to connect to an FTP site through a SOCKS server.

  • Clear this check box to connect to an FTP site without connecting through a SOCKS server.

  • SOCKS

  • Click on a host name in the list to make FTP connections through that specific server.

  • Click the Add button then type the server name in the Host name box to include a server in the SOCKS list.

  • Click the Remove button to delete a highlighted server from the SOCKS list.

  • Host name

  • Click on the Add button and you can type in the name of a new SOCKS server.

OR

  • Click on a server in the SOCKS list, and you can edit the name in this box.

  • Port

  • Type the proper port for the server highlighted in the SOCKS list. The default port for SOCKS servers is 1080.

  • Use Authentication

  • Select this check box to have CuteFTP Pro automatically send the proper user name and password for the SOCKS server when first connecting.

  • Clear this check box if you don't have a SOCKS user name and password, or if you choose to enter them manually upon connection.

  • User name

  • Enter the user name for the highlighted SOCKS server.

  • Password

  • Enter the password for the highlighted SOCKS server.

  • SOCKS type

  • Select either SOCKS4 or SOCKS5 to match the highlighted SOCKS server.

Tip

If you need a user name and password to connect to the server, it is a SOCKS5 server.

Note

Contact your system administrator for the proper Host name, Port, User name, Password and SOCKS type.

Related topics

Connecting to a site

Connection options

Internet connection settings

Proxy server settings


Proxy connection settings

To access proxy server settings

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Connection.

  3. Click SOCKS4 & 5.

  • Use the highlighted proxy when connecting

  • Select this check box to connect to an FTP site through a proxy server.

  • Clear this check box to connect to an FTP site without connecting through a proxy server.

  • Proxies

  • Click on a host name in the list to make FTP connections through that specific server.

  • Click the Add button then type the server name in the Host name box to include a server in the Proxies list.

  • Click the Remove button to delete a highlighted server from the Proxies list.

  • Host name

  • Click on the Add button and you can type in the name of a new proxy server.

OR

  • Click on a server in the Proxies list, and you can edit the name in this box.

  • Port

  • Type the proper port for the server highlighted in the Proxies list. The default port for proxy servers is 8000.

  • User name

  • Enter or edit the user name for the highlighted proxy server.

  • Password

  • Enter or edit the password for the highlighted proxy server.

  • Proxy type

  • Select either FTP or HTTP to match the protocol the highlighted proxy server supports.

  • Advanced button can be clicked to choose one of the following advanced authentication methods.

  • Choose USER user @site when your proxy server requires the USER command followed by your user name and the site name to allow connection with a remote site.

  • Choose SITE site when your proxy server requires the SITE command followed by the address of the remote FTP site to allow a connection.

  • Choose USER with logon when your proxy server requires the USER command followed by a user name and password to allow connection with a remote site.

  • Choose USER/PASS/ACCT when your proxy server requires all three commands before allowing a connection to a remote site.

  • Choose OPEN site when your proxy server requires the OPEN command followed by the site name before allowing connection to the site.

  • Choose Custom when your proxy server requires a login sequence different from those above.

To create a custom authentication method for a proxy server

  1. Type a command.

  2. Follow the command with a space and an appropriate variable. Choose from the variables listed.

    • %host% sends the host name you typed in the Proxy server options window.

    • %user% sends the user name you typed in the Proxy server options window.

    • %pass% sends the password you typed in the Proxy server options window.

    • %port% sends the port number you typed in the Proxy server options window.

    • %fire_pass% sends the password you typed in the Proxy server options window as authentication for the firewall.

    • %fire_user% sends the user name you typed in the Proxy server options window as authentication for the firewall.

  3. Type each variable with percent signs before and after.

  4. Press the Enter key to separate commands.

  5. Enter any other commands and variables, separating commands with a line break.

  6. Click OK.

Note

Contact your system administrator for the proper Host name, Port, User name, Password, and proxy type, as well as any required advanced authentication methods.

Related topics

Connecting to a site

Connection options

Internet connection settings

SOCKS server settings


Security settings

To display the Security window

  1. On the menu bar, go to Tools > Global Options.

  2. Click Security.

  • Don't save passwords in the Site Manager between sessions

  • Select this check box to make sure a password and user name is required for every connection.

  • Clear this check box and after entering your user name and password to connect to a site, you won't have to enter them again for more connections.

  • Don't save passwords in the Queue file between sessions

  • Select this check box to remove passwords from queued items. CuteFTP Pro will have to prompt for a password to complete the transfer.

  • Clear this check box to allow passwords to be sent automatically for queued items.

  • Don't save Quick Connect or Paste URL history

  • Select this check box to erase any URLS and remove all sites from the Quick Connect drop-down, when CuteFTP Pro is shut down.

  • Clear this check box to keep URLS and to keep a list of sites in the Quick Connect drop-down list even when CuteFTP Pro is closed.

Related topics

Protecting your Site Manager with a password


SSH2 (SFTP2) security settings

SSH2 security settings

To access the SSH2 security settings

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Security.

  3. Click on SSH2 Security.

Cipher

  • Select the check box for every cipher (encryption algorithm) you want available for SSH2 connections. See Learning about SSH2 for an explanation of the algorithms.

  • Clear the check box for any cipher you do not want available for SSH2 connections.

  • Move your preferred cipher to the top of the list by highlighting it and clicking the up arrow outside the list.

  • Move your least preferred Cipher to the bottom of the list by highlighting it and clicking the down arrow outside the list.

MAC

  • Select the check box for every MAC (Message Authentication Code) you want available for SSH2 connections. See Learning about SSH2 for an explanation of MACs.

  • Clear the check box for any MAC you do not want available for SSH2 connections.

  • Move your preferred MAC to the top of the list by highlighting it and clicking the up arrow outside the list.

  • Move your least preferred MAC to the bottom of the list by highlighting it and clicking the down arrow outside the list.

Use data compression

  • Select this check box to compress transfers if the server will allow it.

  • Clear this check box to refuse transfer compression.

Use password authentication

  • Select this check box to sign on to SSH2 servers with a password.

  • Clear this check box to only use public/private key authentication.

Use public key authentication

  • Select this check box to sign on to SSH2 servers with a certificate (identity file).

  • Clear this check box to only sign on to SSH2 servers with a password.

  • Public Key Path

  • Browse or type the location of the Public Key file on your local machine.

  • Private Key Path

  • Browse or type the location of the Private Key file on your local machine.

  • Use Passphrase

  • Type the appropriate passphrase for the key listed in Private Key Path.

  • Confirm Passphrase

  • Type the same passphrase again for the key listed in Private Key Path.

  • Create identity file

  • Click this button to create a new Public/Private key pair. For instructions on key pair creation see Creating SSH2 key pairs.

  • Trusted identity list

  • Click this button to see a list of public keys that you have accepted as valid in the Certificate Manager.

  • Certificate manager

  • Click the Import button to add a public key to the trusted list.

  • Click the Export button to send a highlighted public key to a location or program.

  • Click the Remove button to delete a highlighted public key from the trusted list.

  • Click the Properties button to see details about a highlighted public key in the trusted list.

Notes

SSH2 connections require at least one authentication method.

To use public key authentication, you will need to send your public key to the server administrator before making an SSH2 connection.

To maintain security, all Private Keys should require a passphrase.

Related topics

Authenticating in SSH2

Connecting to SSH2 sites

Creating SSH2 key pairs

Learning about SSH2


SSL security settings

To access the SSL security settings

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Security.

  3. Click on SSL Security.

  • Use SSL certificate when authenticating

  • Select this check box to send a certificate to SSL servers for authentication.

  • Clear this check box to send no certificate to SSL servers for authentication.

  • Certificate

  • Browse to or type the location of an SSL certificate file on your local machine. The file should have a .crt extension.

  • Private key

  • Browse or type the location of an SSL private key file on your local machine. The key file should have a .key extension.

  • Use passphrase

  • Type the appropriate passphrase for the certificate listed in the Certificate field.

  • Confirm Passphrase

  • Type the appropriate passphrase again for the certificate listed.

  • Create Certificate

  • Click this button to create a new SSL certificate with a signing request and a key for the certificate. For more information on creating SSL certificates see Creating your own SSL certificates.

  • Trusted Certificates

  • Click this button to see a list of certificates that you have accepted as valid. For more information on trusted certificates see Accepting server SSL certificates and Importing SSL certificates.

  • Reuse cached session for data connection (required by some servers)

  • Select this check box to allow new transfers without encrypting a new data channel.

  • Clear this check box to require encryption of every session for every new transfer.

  • Warn when switching from secure to non-secure pages

  • Select this check box to see a pop-up message when, after connecting to a secure HTTP site, you click a folder or link that is not secure.

  • Clear this check box to be able to link from secure HTTP sites to HTTP sites that are not secure without seeing any pop-up messages.

Note

To maintain security, all certificates should require a passphrase.

Related topics

Connecting to SSL sites

Security settings

SFTP2 (SSH2) security settings


Transfer settings

To access the transfer settings

  1. On the menu bar, go to Tools > Global Options.

  2. Click Transfer.

  • Transfer method

  • Choose Auto-detect to have CuteFTP decide the transfer method based on the file and server type.

  • Choose ASCII to transfer text files, web pages or files where line returns are not important, or when transferring to servers other than Unix type servers.

  • Choose Binary to transfer pictures, programs or files where line returns must be maintained. Binary is also recommended for Unix type servers.

Note Binary files cannot be transferred in ASCII mode, but ASCII files can be transferred in Binary mode.

  • Reconnect and resume in n seconds, if nothing is received.

  • Select the time that CuteFTP Pro will wait to try again after an interrupted or failed download. Select a time between 0 and 1,000 seconds (about 17 minutes).

  • Close the file transfer n seconds after the transfer is finished.

  • Select the time that CuteFTP Pro will wait to close the data connection after a transfer is complete. Leaving data connections open allows more transfers to use the same connection, avoiding the need to open more connections. Select a time between 0 and 1,000 seconds.

  • Retry the last n bytes when resuming transfers.

  • Select the number of bytes CuteFTP Pro will resend when attempting to finish an interrupted transfer. Select between 0 and 65536 bytes.

  • After all transferred

  • Choose Do Nothing to keep the connection and CuteFTP Pro open after all transfers are complete.

  • Choose Disconnect from site to close the connection but keep CuteFTP Pro open after all transfers are complete.

  • Choose Disconnect and close program to close all connections an close CuteFTP Pro after all transfers are complete.

  • Choose Disconnect from Internet to close a dial-up connection automatically after all transfers are complete.

  • Choose Shut Down Computer to close all connections, close CuteFTP Pro, close a dial-up connection and shut down the computer after all transfers are complete.

  • Choose Log Off to automatically log the current user off the computer after all transfers are complete.

  • Use the same session to transfer files less than n kbytes.

  • Select this check box to avoid opening several sessions to transfer small files.

  • Clear this check box to open a new session for every transfer.

  • Select the largest file size allowed without opening a new session. Select a size between 1 and 1 million kilobytes. The default is 100 kilobytes.

  • When selecting MAX in a Multi-part transfer, use n parts.

  • Select a number between one and eight. When dividing files into parts for faster transfer, the number here will be the greatest number of parts allowed. For more information, see Multi-part transfers.

  • Preserve the server date for downloaded files

  • Select this check box to keep a downloaded file's time stamp the same on the local machine as it is on the server.

  • Clear this check box to allow the local machine to give downloaded files a new time stamp.

  • Preserve the local time stamp for uploaded files if the server allows MDTM

  • Select this check box to keep an uploaded file's time stamp the same on the server as it is on the local machine.

  • Clear this check box to allow the server to give uploaded files a new time stamp.

  • Verify file integrity when transferring from/to GlobalSCAPE secure FTP Server

  • Select this check box to have CuteFTP Pro and the server double check binary files to be certain the files downloaded completely and correctly.

  • Clear this check box to stop binary file checking.

  • Try the REST command before trying APPE when resuming a transfer

  • Select this check box to send the RESTart command to resume a transfer, before sending the APPEnd command.

  • Clear this check box to send the APPEnd command to resume a transfer without first sending the RESTart command.

Related topics

Multi-part transfers

Resuming transfers

Transferring files and folders

Verifying integrity of transferred files


Smart Overwrite settings

When you try to transfer a file to a destination with a file of the same name, use Smart Overwrite to determine the proper action to take. Smart overwrite settings apply to both uploads and downloads. Some servers are case sensitive. Such servers will not recognize files names as identical if the letter case of the two file names does not match.

To access the Smart Overwrite settings

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Transfer.

  3. Click Smart Overwrite.

  • Prompt when an existing file is found during transfer

  • Select this option and CuteFTP Pro will always display a window asking what you want to do to a file in the destination folder has the same name as the file you are transferring.

  • Use the defined rules when an existing file is found during transfer

  • Select this option and CuteFTP Pro will automatically determine what to do with files that have the same name, based on the criteria (rules) you create in the following boxes.

Use this group of lists to define what action CuteFTP Pro will take when two files have the same name. You must select Use defined overwrite rule for existing destination file to enable these options.

  • If destination file date is

  • Select newer to replace a file if it has a time stamp more recent than the file you are transferring.

  • Select no matter to replace any file regardless of when it was created in relation to the file you are transferring. Select this option if you don't want to replace files based when they were created.

  • Select older to replace a file only if it has a time stamp further in the past than the file you are transferring.

  • Select the same to replace a file if it has a time stamp the same as the file you are transferring.

  • Select different to replace a file if it has a time stamp that is older or newer than the file you are transferring.

  • and size is

  • Select larger to replace a file if it is larger than the file you are transferring.

  • Select no matter to replace a file regardless of its size. Select this option if you don't want to replace files based on their size in relation to the file you are transferring.

  • Select smaller to replace a file if it is smaller than the file you are transferring.

  • Select the same to replace a file if it is same size as the file you are transferring.

  • Select different to replace a file if it is larger or smaller than the file you are transferring.

  • during

  • Select any transfer to replace files whether you are uploading or downloading.

  • Select download to only replace files on the local machine with files transferred from the remote site.

  • Select site to site transfer to replace files when with the same name when transferring from one remote site to another.

  • Select upload to only replace files on the remote site with files transferred from the local machine.

  • then list

  • Select overwrite to complete the transfer by replacing the file that's already in the destination folder.

  • Select numerate to complete the transfer by renaming the transferred file with "Copy of..." added before the name and a number after.

  • Select resume to treat the transfer as an attempt to continue an interrupted transfer.

  • Select show prompt to pause the transfer and display the message that asks the user which action to take.

  • Select skip to cancel the transfer and leave the original file in the destination folder.

  • Click the Add Rule button once you have chosen what CuteFTP Pro should do with two files of the same name. This places the rule in the list below the button. CuteFTP Pro will check every rule in the list during all transfers.

  • Click the Remove Rule button to delete a rule you have highlighted in the list, and CuteFTP Pro will no longer use the rule when it encounters two files of the same name.

  • Click Restore Defaults to delete every rule from the list.

For more information see the Smart Overwrite Example.

  • If no rule can be applied then

Choose an action in this list for situations when there is no rule defined that applies to a transfer involving two files with the same name.

  • Select overwrite to complete the transfer and replace the file that's already in the destination folder.

  • Select numerate to complete the transfer by renaming the transferred file with "Copy of..." added before the name and a number after.

  • Select resume to treat the transfer as an attempt to continue an interrupted transfer.

  • Select show prompt to pause the transfer and display the message that asks the user which action to take.

  • Select skip to cancel the transfer and leave the original file in the destination folder.

  • Determine resume, overwrite, skip status using CRC checksum calculations

  • Select this check box and CuteFTP Pro will use file integrity checking to determine what action to take when transferring a file to a folder that already has a file of the same name. This feature only works with GlobalSCAPE Secure FTP Server.

  • Clear this check box and CuteFTP Pro will not use file integrity checking to determine what action to take when transferring a file to a folder that already has a file of the same name.

  • Use this rule for overwriting folders

Choose an action from this list for transfers involving two folders with the same name.

  • Select prompt for replacing all files and CuteFTP Pro will pause the transfer and display a message asking the user what to do with the files in the destination folder.

  • Select replace all files and CuteFTP Pro will transfer the folder and replace any existing files with matching names without stopping to prompt you.

  • Select use defined overwrite rules for all files and CuteFTP Pro will check the rules defined in the Smart Overwrite list to determine what action to take with each file in the destination folder.

Note If you frequently need to transfer entire folders you may want to consider using Folder Synchronization.

Related topics

CRC Checksum

Synchronizing folders

Correcting times for sites in different time zones

Smart Overwrite example

Transfer settings

Transferring to case sensitive servers


Rename Rules options

You can set CuteFTP Pro to automatically change the name of files it transfers.

To access the Rename Rules options

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Transfer.

  3. Click Rename Rules.

  • Apply auto-rename rules to transfers

  • Select this check box and CuteFTP Pro will change the names of transferred files with names that are listed in the large box of the Rename Rules window.

  • Clear this check box and CuteFTP Pro will not rename any files.

To create an auto-rename rule

  1. Type the original file name in the narrow entry field on the upper left.

  2. Type the desired new file name in the narrow entry field on the upper right.

  3. Click Add.

To remove an auto-rename rule

  1. In the large box, highlight the rule you want to delete.

  2. Click Remove.

Notes

The rules are case sensitive.

You can create rules with wildcard masks to change just the extension of several files of the same type. For example, if your .jpg files need the extension in upper case (.JPG) on the server, create the rule:

Rename from *.jpg Rename to *.JPG.

These rules will apply to all uploads, downloads, and site-to-site transfers.

You can create a rule to strip extensions from file names. For instance if you want to transfer a file called "index.htm" as simply "index" add this rule to your list:

Rename from index.htm Rename to index.*

Related topics

Transfer settings

Wildcard masks


ASCII Transfer options

Select, by file extension, file types that should always be transferred in ASCII mode.

To access the ASCII transfer options

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Transfer.

  3. Click ASCII Types.

  • ASCII Extensions

  • Type the file extension for files you want to transfer in ASCII mode in this box.

  • Click the Add button and the extension will be added to the list.

  • Click the Remove button, and any extension highlighted in the list will be deleted.

Notes

You can also specify a Transfer type from the main menu (see Transferring files in binary or ASCII mode). You can also specify a Transfer type for an individual site by highlighting the site in the Site Manager, clicking the Type tab, and choosing from the Transfer list. Auto is the default transfer type, and sends files in the mode specified for each file's extension. All extensions are sent in binary mode unless they are listed in the ASCII Extensions list.

Related topics

Transfer settings

Transferring files in binary or ASCII mode


Navigation settings

To access the navigation settings

  1. On the menu bar, go to Tools > Global Options.

  2. Click Navigation.

Event Handling

  • When adding items to the queue

  • Choose Transfer immediately to start transfer of the queued item as soon as it is dropped in the queue.

  • Choose Suspend to place the item in the queue, but to hold the transfer.

  • Choose Schedule to display the scheduling window when an item is placed in the queue.

  • When dragging an item to the local pane

  • Choose Transfer to current folder to send the dragged item to the folder currently listed in the Local Drives pane.

  • Choose Transfer to default folder to send the dragged item to the default transfer folder listed in General Settings.

  • Choose Add to queue & suspend to place the dragged item in the queue, but hold the transfer.

  • When double-clicking an item

  • Choose Transfer immediately to send the item to the displayed remote site or the default download folder.

  • Choose Add to queue & suspend to place the double-clicked item in the queue, but hold the transfer.

  • Choose Launch in viewer to open the item in the File Viewer program chosen in Helper Applications.

  • Choose Execute to run the item if it is a program.

  • Choose Edit to open the item in the File Editor program chosen in Helper Applications.

More options

  • Remove successful transfer items from the queue automatically

  • Select this check box to erase items from the queue after they have transferred.

  • Clear this check box to keep items in the queue even after they have transferred.

Note As old items build up in the queue it can consume large amounts of memory. Selecting this option avoids the problem.

  • Auto-refresh the server (remote) pane after an upload

  • Select this check box to update the remote folder's listing after every upload to that folder.

  • Clear this check box to stop sending LIST requests to a remote site after every upload.

  • Switch from the Site Manager to the Local Drives Pane upon connection

  • Select this check box to automatically display the Local Drives pane when a connection is made.

  • Clear this check box to leave the Site Manager displayed when a connection is made.

  • Use NLST instead of LIST (retrieves an abbreviated listing)

  • Select this check box to retrieve a "simple" listing from remote folders that do not properly display their listing.

Warning: This may affect certain transfer options, and may list folders as files.

  • Clear this check box to display standard listings of remote folders.

  • Use absolute paths for delete, send and receive commands

  • Select this check box to send these commands properly for servers that do not support relative path conventions.

  • Clear this check box to send these commands for servers that support relative path conventions.

  • Use absolute paths for the LIST command

  • Select this check box to send the LIST command for servers that do not support relative path conventions.

  • Clear this check box to send the LIST command for servers that support relative path conventions.

  • Send the FEAT command upon login

  • Select this check box to ask the server for a list of extended features it supports.

  • Clear this check box stop sending the FEAT command, the server won't respond with a list of supported features.

Note: Not all servers support the FEAT command.

  • Use the logical parent (not physical parent) on CDUP command

  • Select this check box to return to the folder you just linked from when clicking the Move up directory [image] button.

  • Clear this check box to change to the actual folder the item resides in, and not a folder with a link to the item, when clicking the Move up directory button.

  • Enable PWD to determine current folder

  • Select this check box to see the absolute file path of a remote folder. This will show an item's true location on a server.

  • Clear this check box to send just a LIST command or a Change Working Directory Command when requesting a folder listing. This may not show an item's true location on a server.

  • Enable SIZE and MDTM to get remote file info before applying overwrite rules

  • Select this check box to allow CuteFTP Pro to check file size and modification time and automatically determine if it should replace an existing file with another file of the same name.

  • Clear this check box to see a prompt any time you try to transfer a file to a location that already has a file of the same name.

Related topics

General settings

Resuming transfers

Smart Overwrite settings


TOC File settings

You may connect with remote folders that have Table of Contents (TOC) files. TOC files contain detailed information about the folder. In large and complicated directories the TOC files can be quite large. If you download very large TOC files they may interfere with CuteFTP Pro's performance or operation.

To access the TOC File settings

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Navigation.

  3. Click TOC Files.

Settings

  • Load TOC Files

  • Select this check box to automatically download Table of Contents Files, whenever connecting to a remote folder.

  • Clear this check box to never download Table of Contents files.

  • If the TOC file size exceeds n Kbytes, then prompt before loading.

  • Choose the maximum size TOC file CuteFTP Pro will download without prompting for permission. Choose a size between 1 and 1,000 kilobytes.

  • TOC include masks

  • Type file names or extensions that CuteFTP Pro should consider as TOC files. You can use wildcard masks.

  • Click Add to add what you just typed to the list of TOC include masks.

  • Click Remove after highlighting a file name or extension, to delete it from the TOC include masks list.

  • TOC exclude masks

  • Type file names or extensions that CuteFTP Pro should NOT consider as TOC files. You can use wildcard masks.

  • Click Add to add what you just typed to the list of TOC exclude masks.

  • Click Remove after highlighting a file name or extension, to delete it from the TOC exclude masks.

Note

The TOC include masks and the TOC exclude masks act as a double filter to help CuteFTP Pro determine whether or not a file is a TOC file.

For example, if you put "Index*" in the TOC include masks and *.html in the TOC exclude masks, a file named "Index.txt" would be considered a TOC file, but a file named "Index.html" would not.

Related topics

Wildcard masks


Link options

You can determine how CuteFTP Pro will deal with Symbolic Links. Symbolic Links are similar to shortcuts, they point to items in other locations on a server.

To access the Link options

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Navigation.

  3. Click Links.

Server side link resolution

  • Attempt link resolution using LIST-L command

  • Select this check box to have CuteFTP Pro send the LIST-L command instead of LIST to display folder contents. LIST-L attempts to list the actual file or folder rather than the link that points to the file or folder.

  • Clear this check box to send just the LIST command to display folder contents and leave links in the list.

Note

Servers will not always be able to resolve links using LIST-L, so you can choose more options to deal with links.

  • Client side link resolution

  • Choose Try to determine the link's target type by its extension and CuteFTP Pro will try to tell if the link points to a file or a folder. CuteFTP Pro will treat the link as if it were the item it references.

  • Choose Always assume the link is a file (don't attempt to resolve) to treat symbolic links as files. If you download the link it will display as a file with size 0 in your local folder.

Tip: This option is useful when you download large directories or folders with many files and subfolders.

  • Choose Always assume the link is a folder (don't attempt to resolve) to treat symbolic links as folders that you can double-click to see folder contents.

Note

CuteFTP Pro will attempt to show the actual path of a file or folder link in the Remote pane, under the Name column. For example, a link to a file called archive.zip might show .3/networks/bbs_info/archive.zip

Related topics

Navigation settings


Tolerance options

You may encounter some servers that treat PASV mode and links differently. You can choose from the following options to help when connecting with these servers.

To access the Tolerance options

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Navigation.

  3. Click Tolerance.

  • Force correct timing of PASV mode command

  • Select this check box to work with most FTP servers. Most FTP servers support the correct internal timing of the PASV command. See RFC compliant PASV mode example.

  • Clear this check box to connect with a server when having difficulty connecting in PASV mode. This setting especially helps with WarFTP servers. See RFC compliant PASV mode example.

  • Treat Windows shortcuts (.lnk) as files

  • Select this check box to treat .lnk files as files. This improves navigation with WarFTP servers.

  • Clear this check box to treat .lnk files as folders

  • Treat 5xx errors as 4xx errors during login

  • Select this check box to continue attempting logins even if the server returns permanent errors (5xx) when the server is full.

  • Clear this check box to always accept permanent errors as such, and to stop automatically retrying connection attempts.

  • Do not use the LIST command for obtaining file info prior to transfer (you will be prompted to overwrite for matching file names)

  • Select this check box to stop CuteFTP Pro from sending the LIST command to servers right before transfers. Some servers will break a connection when they receive a LIST command just before a transfer and the transfer will fail.

  • Clear this check box to send the LIST command right before transfers.


Display settings

To access CuteFTP Pro display settings

  1. On the menu bar, go to Tools > Global Options.

  2. Click Display.

  • Select the toolbars to display

  • Select the toolbars you want to display by clicking the checkbox next to the toolbars

  • Click the name of the toolbar to highlight it.

  • With a toolbar in the list highlighted, click the Customize selected toolbar button to add or remove buttons on the toolbar.

  • Customize selected toolbar - add a button

    1. Select a button from the Available Toolbar buttons column.

    2. Click Add, or double-click the button.

    3. Click Close to accept changes, Reset to cancel changes.

  • Customize selected toolbar - remove a button

    1. Select a button from the Current Toolbar buttons column.

    2. Click Remove, or double-click the button.

    3. Click Close to accept changes, Reset to cancel changes.

  • Customize - move a button

    1. Select a button from the Current Toolbar buttons column.

    2. Click Move Up to move a button one icon to the left on the toolbar.

    • Click Move Down to move the button one icon to the right on the toolbar.

    3. Click Close to accept changes, Reset to cancel changes.

Note

The Reset button will not cancel changes made when the Customize Toolbar dialog box was opened and closed previously.

  • Show grid lines on all view panes

  • Select this check box to display borders between rows and columns in the queue window, and in the Local and Remote panes when in Detail view.

  • Clear this check box to hide all borders between rows and columns.

Smart Sorting

  • Use standard lexicographic sorting for alphanumeric file names

  • Select this option to sort file lists by the value of each individual digit.

  • Use Smart Sorting for alphanumeric file names

  • Select this option to sort file lists by whole number value.

Tip

Smart Sorting always lists file names with smaller numbers first. For instance A2 would come before A12. David Wincelburg developed Smart Sorting. CuteFTP Pro 3 uses Smart Sorting by default.

Standard Lexicographic sorting lists file names using one character at a time reading from left to right. For instance A2 would come AFTER A12. MS Windows uses Standard Lexicographic sorting by default.

Smart Sorting | Standard sorting
FileA1.ext | FileA1.ext
FileA2.ext | FileA12.ext
FileA6.ext | FileA2.ext
FileA9.ext | FileA20.ext
FileA12.ext | FileA21.ext
FileA20.ext | FileA6.ext
FileA21.ext | FileA9.ext

Related topics

Displaying and hiding toolbars

Adding and using custom commands

Hiding the Status Bar

Displaying local files and folders

Displaying transfer items

Displaying the connection log

Displaying an individual log for each connection

Displaying folder contents


Prompt settings

To access CuteFTP Pro prompt settings

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Display.

  3. Click on Prompts.

Auto-Close

  • Automatically close overwrite prompt window after n seconds.

  • Select this check box to close the Select Action (0verwrite) dialog box automatically within a specified time

  • Clear this check box to leave the Select Action (0verwrite) dialog box open until you close it.

  • Type the length of time you want the Select Action (0verwrite) dialog box to wait before closing on its own. Choose a time between 1 and 1000 seconds.

Warning: When the dialog closes automatically, the default action is to overwrite the file in the destination folder.

Confirmations

  • Confirm when deleting items from local drives

  • Select this check box and when you try delete an item from the Local Drives pane, CuteFTP Pro will ask if you are sure you want to delete the item before removing it.

  • Clear this check box and when you try to delete an item from the Local Drives pane, it will be removed immediately.

  • Confirm when deleting items from remote sites

  • Select this check box and when you try to delete an item from a remote folder, CuteFTP Pro will ask if you are sure you want to delete the item before removing it.

  • Clear this check box and when you try to delete an item from a remote folder, it will be removed immediately.

  • Confirm when deleting items from the queue

  • Select this check box and when you try to delete an item from the queue, CuteFTP Pro will ask if you are sure you want to delete the item before removing it.

  • Clear this check box and when you try to delete an item from the queue, it will be removed immediately.

  • Confirm when closing a remote view

  • Select this check box and when you try to close a window for an active connection, CuteFTP Pro will ask if you want to disconnect first.

  • Clear this check box and when you try to close a window for an active connection, the window and connection will be closed immediately.

Prompts

  • Show login prompt if connection fails or is missing data

  • Select this check box and CuteFTP Pro will ask for your user name and password if it can't connect with the information already entered.

  • Clear this check box and if the connection fails, CuteFTP Pro won't ask for your user name and password again.

  • Show error prompts

  • Select this check box to display an error dialog box when problems occur in a session. This box will include the part of the log where the problem occurred in the Details section.

  • Clear this check box to just see errors in the log windows.

  • Show prompt after a successful decompression

  • Select this check box to display a message when a file decompression is complete.

  • Clear this check box to display no messages when a file decompression is complete.


Sound options

To access CuteFTP Pro sound options

  1. On the menu bar, go to Tools > Global Options.

  2. Expand Display.

  3. Click Sounds.

  • Add sounds

  • Select this check box to hear audio cues for certain events in CuteFTP Pro.

  • Clear this check box to silence all sounds from CuteFTP Pro.

  • Events

The Event column lists possible CuteFTP Pro events. The File column lists the sound file that will play for each event. If there is nothing in the File column, the event to the left will not cause a sound. Highlight an event in the list to add or change the sound associated with it.

  • File

  • Browse or type the path to a sound that you want. Or, click the down arrow at the right end of the box and choose from a list of standard sounds. If you no longer want a sound for a particular event, highlight the event, click the down arrow and choose (None).

Tip

With a sound listed in the File entry box you can preview the sound by clicking the speaker button.


Helper Applications

You can choose the programs to use for viewing and editing documents from within CuteFTP Pro.

To access Helper Applications

  1. On the menu bar click Tools > Global Options.

  2. Click Helper Applications.

File Viewer

  • Use the integrated HTML editor to view files

  • Select this check box to open files in CuteFTP Pro's built-in HTML editor when clicking a file and going to File > View.

  • Clear this check box to open files in a program you choose in the long box below the check box.

  • File viewer

  • Browse or type the path to the program you want to use when clicking a file and going to File > View.

File Editor

  • Use the integrated HTML editor to edit files (recommended)

  • Select this check box to open files in CuteFTP Pro's built-in HTML editor when clicking a file and going to File > Edit.

  • Clear this check box to edit files in a program you choose in the long box below the check box.

  • File editor

  • Browse or type the path to the program you want to use when clicking a file and going to File > Edit.

Note

If you open an HTML file in the built-in HTML editor using File > View you can still edit and save the file.

Related topics

Opening an HTML document

Editing an HTML document


HTML editor settings

To view or edit HTML Editor settings

  1. On the menu bar click Tools > Global Options.

  2. Expand Helper Applications.

  3. Click HTML Editor.

Enable word wrap

  • Select this check box and the HTML editor will add line breaks at the right end of long lines, so that you can see entire lines of Code without scrolling to the left or right.

  • Clear this check box and the HTML editor will use line breaks where you add them. The result being that you might have to scroll to the right to see the ends of longer lines of code.

Prefix each line with line numbers

  • Select this check box to display numbers at the beginning of each line of code. If word wrap is enabled, the numbers will only display after line breaks you have entered. The line numbers are not saved as part of the document.

  • Clear this check box and no line numbers will be displayed.

Allow editing beyond the end of line

This check box is only available if Enable word wrap is cleared.

  • Select this check box to allow the cursor to keep moving to the right after the last character in a line.

  • Clear this check box to force the cursor to return to the left end of the following line after the last character in a line.

Note

If you disable Allow editing beyond the end of line, you can still add more characters after the right-most character.

Tab size

Enter the number of spaces you want the cursor to move to the right when you hit the Tab key. You can choose from 1 to 32.

Edit new document template

Click this button to open a window where you can change the HTML code and text that is generated automatically when you start a new document in the HTML editor. When you have finished making changes, click the CLOSE button.

Choose font for editor

Click this button to open a dialog where you can choose the type, style and size of the font displayed in the HTML Editor. When you have made your selections click OK, or if you don't want to change the font click Cancel.

To view or edit other settings and options for the HTML editor, see the following articles;

  • Choosing the preview browser for HTML documents

  • Choosing the folder for HTML code snippets and Java scripts

  • Choosing tag tip settings for the HTML editor

  • Choosing display colors for the HTML editor


Using error messages to troubleshoot

You can help resolve errors by recording information from error messages. A standard error dialog box includes a short error message and two buttons, Cancel and Details. Click Cancel to dismiss the error dialog box. Click Details to expand the error dialog to show more information.

To use an error message to troubleshoot

  1. Record the error message and what occurred previous to the error.

  2. Click the Details button.

  3. Right-click in the log text area.

  4. Choose Copy All Text. The entire contents of the error log window will be copied to the clipboard.

  5. Paste this information into inquiries for help to your IS department or GlobalSCAPE tech support.


FTP error numbers

FTP status and error numbers

During your FTP sessions, you'll receive various numbered codes from servers. CuteFTP Pro displays these codes in the log window. Some codes represent errors, while most codes simply communicate the status of the connection. Here are brief explanations for the most common status and error codes.

  • 100's

  • 200's

  • 300's

  • 400's

  • 500's

  • 10000's

Code | Description
100 Series | The requested action is being initiated, expect another reply before proceeding with a new command.
110 | Restart marker reply.
120 | Service ready in nn minutes.
125 | Data Connection already open, transfer starting.
150 | File status okay, about to open data connection.
200 Series | The requested action has been successfully completed.
200 | Command okay.
202 | Command not implemented, superfluous at this site.
211 | System status, or system help reply.
212 | Directory status.
213 | File status.
214 | Help message.
215 | NAME system type. (Where NAME is an official system name from the list in the Assigned Numbers document.)
220 | Service ready for new user.
221 | Service closing control connection. Logged out if appropriate.
225 | Data connection open; no transfer in progress
226 | Closing data connection. Requested file action successful (for example; file transfer or file abort).
227 | Entering Passive Mode.
230 | User logged in, proceed.
250 | Requested file action okay, completed.
257 | "PATHNAME" created.
300 Series | The command has been accepted, but the requested action is on hold, pending receipt of further information.
331 | User name okay, need password.
332 | Need account for login.
350 | Requested file action pending further information.
400 Series | The command was not accepted and the requested action did not take place, but the error condition is temporary and the action may be requested again.
421 | Service not available, closing control connection. This may be a reply to any command if the service knows it must shut down.
425 | Can't open data connection. Try changing from PASV to PORT mode. Check your firewall settings.
426 | Connection closed; transfer aborted.
450 | Requested file action not taken. File unavailable (e.g., file busy).
451 | Requested action aborted: local error in processing.
452 | Requested action not taken. Insufficient storage space in system.
500 Series | The command was not accepted and the requested action did not take place.
501 | Syntax error in parameters or arguments.
502 | Command not implemented.
503 | Bad sequence of commands.
504 | Command not implemented for that parameter.
530 | Not logged in. Your password is being rejected, contact the server administrator.
532 | Need account for storing files.
550 | Requested action not taken. File unavailable (e.g., file not found, no access). Contact the server administrator.
552 | Requested file action aborted. Exceeded storage allocation (for current directory or data set). Contact the server administrator.
553 | Requested action not taken. File name not allowed. Try changing the file name, or getting rid of spaces in the file name.
10,000 series | Action refused
10060 | Can't connect to remote server (Generally a time-out error). Try switching from PASV to PORT mode, or try increasing the time-out value (See Reconnect and resume in Transfer settings).
10061 | Can't connect to remote server. The connection is actively refused by the server. Try switching from PASV to PORT mode.
10066 | Directory not empty. The server will not delete this directory while there are files/folders in it.
10068 | Too many users, server is full. Contact the server administrator.


Apply this rule for all current transfers

Why does "Apply this rule for all current transfers in the queue" not seem to work?

When you enable Apply this rule for all transfers in the queue you create a RULE based on the scenario encountered and the option you chose. CuteFTP Pro then applies that newly created rule for all subsequent transfers from the same site during current sessions.

For example, suppose you choose Skip as the option for a certain scenario and then enable Apply this rule for all transfers in the queue. All subsequent encounters with this scenario will then be assigned the Skip option. If the prompt appears again, it is because a new scenario was encountered which did not meet the criteria established when you created the temporary rule.

The following scenarios are examples of how Apply this rule for all current transfers in the queue will function during a download:

Scenario 1:

Local (destination) name: test.txt Date: 2-5-02 Size 56 bytes

Remote (source) name: test.txt Date: 2-5-02 Size 85 bytes

Rule chosen by user: Skip (since local file is larger) and Apply to all subsequent...

Any subsequent encounters with this scenario will be assigned the Skip option.

Scenario 2:

Local (destination) name: bob.txt Date: 2-5-02 Size 56 bytes

Remote (source)name: bob.txt Date: 2-9-02 Size 56 bytes

Rule chosen by user: Overwrite (since local file is older) and Apply to all subsequent...

Any subsequent encounters with this scenario will be assigned the Overwrite option.

Summary

If it seems like your rule is being ignored during transfers, then it is because there are subtle differences between the current scenario and the one for which you established your initial rule.

To verify differences between scenarios, you could add the current overwrite prompt scenario to Global Options as a permanent rule and then do the same for subsequent prompts. Then you could compare the rules created, examining the differences between them.

Remember that Apply this rule for all current transfers in the queue creates a temporary rule, so it's not possible to examine the rule itself, which is why adding it as a permanent rule may help clarify any ambiguities.


Cannot see files or folders

If you cannot see your directory listing, or files you can try these solutions to display files or folders.

Your connection log shows a LIST-L command instead of the normal LIST

  1. On the menu bar, click Tools > Global Options > Navigation Settings > Links.

  2. Clear the Resolve links by sending LIST-L command check box.

  3. Click OK.

  4. Try to connect.

Change connection type

  1. On the menu bar, Click Tools > Global Options.

  2. Click Connection.

  3. In the Connection type box, choose PASV.

  4. Click OK.

  5. Try to connect. If you can not connect, follow the same steps, but choose PORT.

Turn off all filters

  1. Click the Site Manager tab.

  2. Highlight the problem site.

  3. Right click the site and click Site Properties.

  4. Click the Actions tab.

  5. Click the Filter button.

  6. Clear the Enable filtering check box.

  7. Click Connect.

Use the -L filter on the server

  1. Click the Site Manager tab.

  2. Highlight the problem site.

  3. Right click the site and click Site Properties.

  4. Click the Actions tab.

  5. Click the Filter button.

  6. Select the Enable filtering check box.

  7. Select the Enable server side filtering check box.

  8. Type -L in the Remote field.

  9. Click Connect.

Change server Host type

  1. Click the Site Manager tab.

  2. Highlight the problem site.

  3. Right click the site and click Site Properties.

  4. Click the Type tab.

  5. Change the Host Type from Auto-Detect to the first specific server.

  6. Click Connect.

  7. If that didn't work, try the next host type on the list.

If none of the solutions discussed here work, please contact GlobalSCAPE technical support at support@globalscape.com.

Related topics

Displaying hidden files


Cannot close data transfer gracefully

You will see this error message generated by CuteFTP Pro after a download is complete. In this case, CuteFTP Pro has received all the data it needs, but the server is still sending information. Since that data is still transmitting, CuteFTP Pro forces the connection to close. Because it has been forced closed instead of both sides agreeing on the end of the file, the connection couldn't close gracefully.

If this problem persists, please contact support@globalscape.com.


Cannot initiate data transfer

If you receive this error from a server it could be one of these problems:

  • The site you are trying to log into requires a special user name and or password in order to transfer files.

  • Contact the administrator of the site, and find out if you need to be using a special user name or password, and whether or not you can access that site.

  • The permissions on the site are incorrect, so even though your user name and password are correct, you are unable to upload or download.

  • Contact the administrator of the site, and make sure that your user name and password have read and write permissions set correctly.

  • You cannot upload because the server you are sending to is full, and will not allow more files to be uploaded.

  • Delete files that are no longer used, or ask the administrator for more space on the system.

  • The file name you are using has a space or a character that the server will not allow.

  • Double-check with the administrator of your site about which characters are accepted on your server, and rename the files to an acceptable name.

  • A communication error is occurring between the FTP host and your computer, making data transfer impossible.

  • If CuteFTP Pro has worked in the past, change nothing and wait a little while to see if the problem is caused by Internet traffic. If this is the first time you are trying to connect, try using the other hosts types rather than Auto-detect.


Copy and Paste removes files from the remote folder

FTP Servers don't support a "Copy" command. If you use "Copy" then "Paste" you will basically move the file to the new location on the server, and the file will be removed from the old location. You can "Cut & Paste" the file back if you need to restore the original file. This is a limitation of the FTP protocol.

To copy a file or folder from one remote folder to another

  1. Download the file.

  2. Upload the file to the new location.

OR

  • Perform a site-to-site transfer

Notes

Not all servers will allow site-to-site transfers

You can accomplish a copy by downloading the file and then uploading again to the new destination folder, or by performing a site to site transfer on the same site (if the server allows it).

The copy command is in the menu, because you CAN copy files from the remote to the local pane, or to the queue, etc.

Related topics

Transferring files


Not enough credits to download

You may not be able to download from some FTP sites until you have uploaded something to them. In other words, you have to give them a file before they give you one -- a type of file trading. Most of these "ratio sites" have a text file that explains how to upload files to them and get credits. If you have any problems, contact the administrator of the site.


Permission denied

If you receive this message, your server administrator has not established your permissions correctly. You will need to call the server administrator to reset the permissions. Every time an FTP account (for uploading your Web pages) is opened, your server determines all the things that you are allowed to do, like upload, download, write to a file, delete a file, make new directories, etc. If permissions have not been set up correctly, it will cause these types of problems.

If any transaction you try with CuteFTP doesn't seem to be accomplished, refer to the log (the upper pane of the main CuteFTP screen) for any entries that are colored red or any message boxes that appear indicating a potential problem on your server's end.

Related topics

Changing file and folder permissions


Port already in use

Port already in use error with Dial-up VPN

If you are connecting to a Virtual Private Network through a modem and receive the Port already in use error when trying to connect do the following:

  1. On the menu bar, click Tools > Global Options.

  2. Expand Connection.

  3. Click DUN/LAN

  4. Select the LAN radio button. This will tell CuteFTP to use the existing connection.


Broken transfers

You can resume broken downloads and uploads in CuteFTP with any FTP sites that support this feature.

If you need to resume an aborted transfer, simply attempt to transfer the file into the same directory you did the first time. CuteFTP will then prompt you and ask if you wish to Overwrite, Skip, Resume, Rename, or Numerate. Choose Resume.

To check if the FTP site your are connecting to can resume an aborted download, watch the status window for a message that reads This site can resume aborted downloads during login. If the site cannot resume the download you will get the message This site cannot resume aborted downloads. To resume uploads the server must also support the Unix command APPE.

Related topics

Stopping transfers

Resuming transfers


Site-to-site transfer limitations

You use File eXchange Protocol (FXP) when you connect to two servers and transfer files between them. FXP lets you copy files from one FTP-server to another. CuteFTP supports this protocol.

When you transfer files between two remote hosts using an FXP client, the maximum transfer speed does not depend on your connection but only on the connection between the two hosts, which is usually much faster than your own connection. Because it is a direct connection you will not be able to see the progress or the transfer speed of the files.

Although FXPing is very easy, there are a few restrictions to transferring the files. Both hosts have to support PASV mode and must allow PORT commands to foreign hosts. The FXP client tells the destination FTP server to listen for a connection by sending a "PASV" command. The source FTP server then connects to the data port reported by the destination server (after a successful PASV command). All the data then goes directly from the source to the destination server and both servers only report fail/success messages to the FTP client.

At least one of the two remote hosts has to be a non-NT FTP-server, like a UNIX host or anything else. You can move files from a non-NT FTP-server to a NT FTP-server and the other way around, but you CANNOT FXP from one NT server to another NT server.

Related topics

Site-to-site transfers

Setting up servers for FXP


Socket error = #10061

10061 is a Connection Refused error sent to you by the server. You could not make a connection because the target machine actively refused it. The most common cause is a misconfigured server, full server, or incorrect Port specified by the client.

To change your connection Port for an FTP site

  1. Highlight the site in the Site Manager.

  2. On the menu bar, click File > Properties.

  3. Click the Type tab.

  4. Enter the correct port number in the Port text box.


Socket error = #10060

10060 is a Connection Time-out error usually appears when the client does not receive a response from the server for a specific command.

Most often this occurs when you try to connect in PASV mode to a server that prefers PORT for data connections. If you see an error log similar to the one following, right click the problem site and choose Site Properties, click the TYPE tab and change the Data Connection Type to Use PORT.

COMMAND:> PASV

227 Entering Passive Mode (xxx,xx,xxx,xx,x,xxx).

COMMAND:> LIST

STATUS:> Connecting ftp data socket xxx.xx.xxx.xx:xxxx...

ERROR:> Can't connect to remote server. Socket error = #10060.

ERROR:> Failed to establish data socket.

If you are still receiving a 10060 error, another possible cause is the server is trying to send a listing for a very large directory (with many thousands of files) causing the client to time-out while waiting. Try increasing the time-out value under Tools > Global Options > Transfer > Reconnect and resume in [n] seconds if nothing received, to a higher value, such as 45 or 60 seconds.

Related topics

Changing from PASV to PORT


High memory usage

If you leave Cute FTP Pro or the Transfer Engine running for extended lengths of time, they may begin to consume large amounts of memory.

When you run many tasks, or schedule many recurring tasks, the successful tasks build up in the queue. Set CuteFTP Pro to remove successful items from the queue to avoid this problem.

To remove successful items from the queue

  1. On the menu bar click Tools > Global Options.

  2. Click Navigation Settings.

  3. Select the Remove successfully finished items from the queue automatically check box.

  4. Click OK.

Note

Successful items will be removed even if tasks were run without the user interface open.

Each finished queue item takes about 500 bytes of memory until the Transfer Engine is closed.

Related topics

Navigation settings


Transferring to case sensitive servers

Some servers are case sensitive and will treat two items with the same name typed in different case as two different files. For instance, if you sent a file called TEST.txt to a case sensitive server that already had a file called test.txt, you would not be prompted to overwrite the destination file, instead the server would keep both files.

If you connect to such a site in CuteFTP Pro, CuteFTP Pro will treat the files as the same, unless you change settings for the site.

To set a site as case sensitive

  1. Click on the site in the Site Manager.

  2. On the menu bar, click File > Properties.

  3. Click the Type tab.

  4. In the Server type list choose Unix-compatible.

Related topics

Modifying a site in the Site Manager


Shell cannot get data from TE

If you see this error, there is not enough space in your Temp folder to run CuteFTP Pro.

To correct the error

  • Make sure the path to the Temporary Files folder (Temp) is valid.

  • Make sure their is enough space to run the program on the drive where the Temporary Files (Temp) folder exists.

Note

A valid path for a temp folder on a Windows 2k or XP machine would be similar to this; C:\Documents and Settings\USER\Local Settings\Temp

A valid path for a temp folder on a Windows NT computer would be similar to this; C:\Temp

This issue is more likely on machines with several different users with different accounts, each user's account needs a valid Temp folder on a hard drive with enough room to run CuteFTP Pro.


Creating a new HTML document

You can create new HTML documents within the CuteFTP Pro 3 interface.

To create a new HTML document

  1. Go to File > New > HTML Document. A new HTML document appears in the right window.

  2. Begin typing in the document.

Related topics

Close an HTML document

Edit an HTML document

Open an HTML document

Previewing an HTML document

Print an HTML document

Save an HTML document


Saving an HTML document

Saving HTML documents

To save an HTML document

  1. Make sure the file you want to save is visible in the main window.

  2. On the menu bar, click File > Save. The file will be saved.

Note: if the file has never been saved before, CuteFTP will open the Save As dialog box and you will need to follow steps 3 and 4 following.

To save an HTML document with a new name and/or location

  1. Make sure the file you want to save is visible in the main window.

  2. On the menu bar, click File > Save As. The Save As dialog box appears.

  3. Choose a name and location for the file.

  4. Click Save.

To save all open HTML documents at the same time

  1. On the menu bar, click File > Save All. CuteFTP Pro will save all files. If you have not saved all of them previously, the Save As dialog box will appear for each new file.

  2. Choose a name and location for each new file.

  3. Click Save for each new file.

Tip

Each open HTML document will have a tab with its name on it appearing toward the lower left of the document. Each time you make a change to an HTML document the name on the tab will appear in red until you save or close the document.

Related topics

Close an HTML document

Create a new HTML document

Edit an HTML document

Open an HTML document

Previewing an HTML document

Print an HTML document


Opening an HTML document

You can open HTML documents for editing within CuteFTP Pro .

To open an HTML document

  1. On the menu bar, click File > Open.

  2. Browse to the folder containing the document.

  3. Highlight the document.

  4. Click Open.

Related topics

Close an HTML document

Create a new HTML document

Edit an HTML document

Previewing an HTML document

Print an HTML document

Save an HTML document


Editing an HTML document

You can add, delete, or move text in HTML documents with CuteFTP Pro's built-in editor.

To insert text

  1. Position the cursor at the point you want to add text and click.

  2. Begin typing.

To delete text

  1. Position the cursor at the beginning of the text to be deleted.

  2. Click and hold down the left mouse button as you drag the mouse to the right, highlighting the text to be deleted.

  3. Press the Delete button on your keyboard.

To move text

  1. Position the cursor at the beginning of the text to be moved.

  2. Click and hold down the left mouse button as you drag the mouse to the right, highlighting the text to be moved.

  3. On the menu bar click Edit > Cut.

  4. Position the cursor at the new location for the text.

  5. Click with the left mouse button.

  6. On the menu bar, click Edit > Paste.

Related topics

Close an HTML document

Create a new HTML document

Editing HTML documents on remote sites

Open an HTML document

Previewing an HTML document

Print an HTML document

Save an HTML document


Editing an HTML document on a remote site

To edit HTML documents on a remote site

  1. Connect to a remote server.

  2. Highlight an HTML document in the Remote pane.

  3. On the menu bar, click File > Edit.

  4. CuteFTP Pro downloads the document and opens it in the built-in HTML editor.

  5. Make your changes to the document.

  6. On the menu bar, click File > Save. CuteFTP Pro uploads the saved document to the remote server.

Related topics

Editing an HTML document


Printing an HTML document

To print a document

  • On the menu bar, click File > Print.

Warning: The document will print as it appears in CuteFTP Pro, NOT as it would appear in a browser.

To see a print preview

  1. On the Menu Bar, click File > Print Preview.

  2. From the preview screen, click Print to send the document to the printer.

  3. You may also click Zoom In to increase magnification or Two Page to display facing pages.

To change the printer setup (such as the printer, paper size or orientation)

  1. On the menu bar, click File > Print Setup.

  2. Use the arrows to change options.

  3. Click OK to accept, or Cancel to make no changes to the Print Setup.

Note

While a document is printing, a printer icon appears next to the clock on the taskbar. When this icon disappears, your entire document has been sent to the printer.

Related topics

Close an HTML document

Create a new HTML document

Edit an HTML document

Open an HTML document

Previewing an HTML document

Save an HTML document


Closing an HTML document

To close an HTML document

  1. Make sure the document you want to close is visible in the main window

  2. On the menu bar, click File > Close.

  3. If your document has unsaved changes you will be asked if you want to save the changes. Choose one of the following:

  • Click Yes to save the document.

  • Click No to exit without saving the document or changes.

  • Click Cancel to return to the document without saving the document or changes.

Related topics

Create a new HTML document

Edit an HTML document

Open an HTML document

Previewing an HTML document

Print an HTML document

Save an HTML document


Previewing an HTML document in a browser

You can check to see how an HTML document will look as a Web page, from within CuteFTP Pro.

To preview an HTML document in a browser

  1. Open an HTML document in CuteFTP Pro.

  2. Click anywhere in the document.

  3. Click Tools > View in Browser.

To close the preview

  • Click the Close [image] button in the upper right of the browser window.

Related topics

Close an HTML document

Create a new HTML document

Edit an HTML document

Open an HTML document

Print an HTML document

Save an HTML document


Learning HTML

Within HTML you use tags to define how text, pictures, and other objects should appear in a Web browser. The topics within Working with HTML discuss many of the tags you can use to create Web pages. You use most tags in pairs - a start and ending tag. You can visit various web sites that explain HTML and how to use it.

To learn more about HTML

  • Go to the NCSA Beginner's guide to HTML.

OR

  • Go to Getting started with HTML from W3C by Dave Raggett.

Related topics

Creating a new HTML document

Editing an HTML document

Starting HTML documents

HTML tags


Starting HTML documents

To start an HTML document

All HTML documents should have the following codes:

  • Document Type <HTML></HTML> (beginning and end of file)

  • Title <TITLE></TITLE> (must be in header)

  • Head <HEAD></HEAD> (after the HTML tag, but before the BODY tags, includes descriptive info, such as title)

  • Body <BODY></BODY> (after the HEAD tags, bulk of the page)

Example

<HTML>

<HEAD>

<TITLE>Your page title</TITLE>

</HEAD>

<BODY>

The main part of your Web page for public viewing.

</BODY>

</HTML>

Related Topics

Learning HTML

HTML tags

Setting HTML document structure


Setting HTML document structure

You can use the following tags to set the overall structure of your Web pages.

Heading <H?></H?> (the spec. defines 6 levels)

Align Heading <H? ALIGN=LEFT|CENTER|RIGHT></H?>

Division <DIV></DIV>

Align Division <DIV ALIGN=LEFT|RIGHT|CENTER|JUSTIFY></DIV>

Block Quote <BLOCKQUOTE></BLOCKQUOTE> (usually indented)

Emphasis <EM></EM> (usually displayed as italic)

Strong Emphasis <STRONG></STRONG> (usually displayed as bold)

Citation <CITE></CITE> (usually italics)

Code <CODE></CODE> (for source code listings)

Sample Output <SAMP></SAMP>

Keyboard Input <KBD></KBD>

Variable <VAR></VAR>

Definition <DFN></DFN> (not widely implemented)

Author's Address <ADDRESS></ADDRESS>

Large Font Size <BIG></BIG>

Small Font Size <SMALL></SMALL>

Related topics

Starting HTML documents

HTML tags

Formatting HTML documents


Formatting HTML pages

Use these HTML tags to alter the appearance and format of text.

Bold <B></B>

Italic <I></I>

N3.0b Underline <U></U> (not widely implemented yet)

Strikeout <STRIKE></STRIKE> (not widely implemented yet)

N3.0b Strikeout <S></S> (not widely implemented yet)

Subscript <SUB></SUB>

Superscript <SUP></SUP>

Typewriter <TT></TT> (displays in a monospaced font)

Preformatted <PRE></PRE> (display text spacing as-is)

Width <PRE WIDTH=?></PRE> (in characters)

Center <CENTER></CENTER> (for both text and images)

N1.0 Blinking <BLINK></BLINK>

Font Size <FONT SIZE=?></FONT> (ranges from 1-7)

Change Font Size <FONT SIZE="+|-?"></FONT>

N1.0 Base Font Size <BASEFONT SIZE=?> (from 1-7; default is 3)

Font Color <FONT COLOR="#$$$$$$"></FONT>

N3.0b Select Font <FONT FACE=""></FONT>

N3.0b Multi-Column <MULTICOL COLS=?></MULTICOL>

N3.0b Column Gutter <MULTICOL GUTTER=?></MULTICOL>

N3.0b Column Width <MULTICOL WIDTH=?></MULTICOL>

N3.0b Spacer <SPACER>

N3.0b Spacer Type <SPACER TYPE=horizontal|vertical|block>

N3.0b Size <SPACER SIZE=?>

N3.0b Dimensions <SPACER WIDTH=? HEIGHT=?>

N3.0b Alignment <SPACER ALIGN=left|right|center>

Related topics

Setting HTML document structure

HTML tags

Adding links and graphics to HTML documents


Adding links and graphics to HTML documents

Use the following tags to add hyperlinks, pictures, and other graphics to your Web pages.

Link Something <A HREF="URL"></A>

Link to Target <A HREF="URL#"></A> (if in another document)

<A HREF="#"></A> (if in current document)

N2.0 Target Window <A HREF="URL" TARGET=""></A>

Define Target <A NAME=""></A>

Display Image <IMG SRC="URL">

Alignment <IMG SRC="URL" ALIGN=TOP|BOTTOM|MIDDLE|LEFT|RIGHT>

Alternate <IMG SRC="URL" ALT=""> (if image not displayed)

Dimensions <IMG SRC="URL" WIDTH=? HEIGHT=?> (in pixels)

Border <IMG SRC="URL" BORDER=?> (in pixels)

Runaround Space <IMG SRC="URL" HSPACE=? VSPACE=?> (in pixels)

N1.0 Low-Res Proxy <IMG SRC="URL" LOWSRC="URL">

Imagemap <IMG SRC="URL" ISMAP> (requires a script)

Imagemap <IMG SRC="URL" USEMAP="URL">

Map <MAP NAME=""></MAP> (describes the map)

Section <AREA SHAPE="RECT" COORDS=",,," HREF="URL"|NOHREF>

N1.1 Client Pull <META HTTP-EQUIV="Refresh" CONTENT="?; URL=URL">

N2.0 Embed Object <EMBED SRC="URL"> (insert object into page)

N2.0 Object Size <EMBED SRC="URL" WIDTH=? HEIGHT=?>

Related topics

Formatting HTML documents

HTML tags

Adding dividers to HTML documents


Adding dividers to HTML documents

Use the following tags to add breaks to your Web pages.

Paragraph <P></P> (closing tag often unnecessary)

Align Text <P ALIGN=LEFT|CENTER|RIGHT></P>

Line Break <BR> (a single carriage return)

Clear Text Wrap <BR CLEAR=LEFT|RIGHT|ALL>

Horizontal Rule <HR>

Alignment <HR ALIGN=LEFT|RIGHT|CENTER>

Thickness <HR SIZE=?> (in pixels)

Width <HR WIDTH=?> (in pixels)

Width Percent <HR WIDTH="%"> (as a percentage of page width)

Solid Line <HR NOSHADE> (without the 3D cutout look)

N1.0 No Break <NOBR></NOBR> (prevents line breaks)

N1.0 Word Break <WBR> (where to break a line if needed)

Related topics

Adding links and graphics to HTML documents

HTML tags

Creating lists in HTML documents


Creating lists in HTML documents

Use these tags to create bulleted, numbered, and other lists.

Unordered List <UL><LI></UL> (<LI> before each list item)

Compact <UL COMPACT></UL>

Bullet Type <UL TYPE=DISC|CIRCLE|SQUARE> (for the whole list)

<LI TYPE=DISC|CIRCLE|SQUARE> (this & subsequent)

Ordered List <OL><LI></OL> (<LI> before each list item)

Compact <OL COMPACT></OL>

Numbering Type <OL TYPE=A|a|I|i|1> (for the whole list)

<LI TYPE=A|a|I|i|1> (this & subsequent)

Starting Number <OL START=?> (for the whole list)

<LI VALUE=?> (this & subsequent)

Definition List <DL><DT><DD></DL> (<DT>=term, <DD>=definition)

Compact <DL COMPACT></DL>

Menu List <MENU><LI></MENU> (<LI> before each list item)

Compact <MENU COMPACT></MENU>

Directory List <DIR><LI></DIR> (<LI> before each list item)

Compact <DIR COMPACT></DIR>

Related topics

Adding dividers to HTML documents

HTML tags

Using colors and backgrounds in HTML documents


Using backgrounds and colors in HTML documents

Use these tags to set colors, and add colored backgrounds to your Web pages.

Tiled Bkground <BODY BACKGROUND="URL">

Bkground Color <BODY BGCOLOR="#$$$$$$"> (order is red/green/blue)

Text Color <BODY TEXT="#$$$$$$">

Link Color <BODY LINK="#$$$$$$">

Visited Link <BODY VLINK="#$$$$$$">

Active Link <BODY ALINK="#$$$$$$">

Related topics

Creating lists in HTML documents

HTML tags

Using special characters in HTML documents


Using special characters in HTML documents

You may need to use certain symbols that require special codes in HTML to appear properly in Web pages. Use these codess to place special symbols in your Web pages.

Special Character &#?; (where ? is the ISO 8859-1 code)

< &lt;

> &gt;

& &amp;

" &quot;

Registered TM &#174;

Registered TM &reg;

Copyright &#169;

Copyright &copy;

Non-Breaking Space &nbsp

Note

The letters in the character strings must all be in the same letter case.

Related topics

Using colors and backgrounds in HTML documents

HTML tags

Including forms in HTML documents


Including forms in HTML documents

Use the following tags to add different input fields to your Web pages.

Define Form <FORM ACTION="URL" METHOD=GET|POST></FORM>

N2.0 File Upload <FORM ENCTYPE="multipart/form-data></FORM>

Checked? <INPUT CHECKED> (checkboxes and radio boxes)

Input Field <INPUT TYPE="TEXT|PASSWORD|CHECKBOX|RADIO|

IMAGE|HIDDEN|SUBMIT|RESET">

Field Name <INPUT NAME="">

Field Value <INPUT VALUE="">

Field Size <INPUT SIZE=?> (in characters)

Max Length <INPUT MAXLENGTH=?> (in characters)

Selection List <SELECT></SELECT>

Name of List <SELECT NAME=""></SELECT>

Number of Options <SELECT SIZE=?></SELECT>

Multiple Choice <SELECT MULTIPLE> (can select more than one)

Option <OPTION> (items that can be selected)

Default Option <OPTION SELECTED>

Input Box Size <TEXTAREA ROWS=? COLS=?></TEXTAREA>

Name of Box <TEXTAREA NAME=""></TEXTAREA>

N2.0 Wrap Text <TEXTAREA WRAP=OFF|VIRTUAL|PHYSICAL></TEXTAREA>

Note

To receive the input from a form generally requires a script on the server.

Related topics

Using special characters in HTML documents

HTML tags

Including tables in HTML documents


Including tables in HTML documents

Use these tags to add tables to your Web pages.

Define Table <TABLE></TABLE>

Table Border <TABLE BORDER></TABLE> (either on or off)

Table Border <TABLE BORDER=?></TABLE> (you can set the value)

Cell Spacing <TABLE CELLSPACING=?>

Cell Padding <TABLE CELLPADDING=?>

Desired Width <TABLE WIDTH=?> (in pixels)

Width Percent <TABLE WIDTH=%> (percentage of page)

Table Row <TR></TR>

Alignment <TR ALIGN=LEFT|RIGHT|CENTER

VALIGN=TOP|MIDDLE|BOTTOM>

Table Cell <TD></TD> (must appear within table rows)

Alignment <TD ALIGN=LEFT|RIGHT|CENTER

VALIGN=TOP|MIDDLE|BOTTOM>

No linebreaks <TD NOWRAP>

Columns to Span <TD COLSPAN=?>

Rows to Span <TD ROWSPAN=?>

N1.1 Desired Width <TD WIDTH=?> (in pixels)

N1.1 Width Percent <TD WIDTH="%"> (percentage of table)

N3.0b Cell Color <TD BGCOLOR="#$$$$$$">

Table Header <TH></TH> (same as data, except bold centered)

Alignment <TH ALIGN=LEFT|RIGHT|CENTER

VALIGN=TOP|MIDDLE|BOTTOM>

No Linebreaks <TH NOWRAP>

Columns to Span <TH COLSPAN=?>

Rows to Span <TH ROWSPAN=?>

N1.1 Desired Width <TH WIDTH=?> (in pixels)

N1.1 Width Percent <TH WIDTH="%"> (percentage of table)

N3.0b Cell Color <TH BGCOLOR="#$$$$$$">

Table Caption <CAPTION></CAPTION>

Alignment <CAPTION ALIGN=TOP|BOTTOM> (above/below table)

Related topics

Including forms in HTML documents

HTML tags

Using frames in HTML documents


Using frames in HTML documents

Use these tags to separate the Web browser into frames.

N2.0 Frame Document <FRAMESET></FRAMESET> (instead of <BODY>)

N2.0 Row Heights <FRAMESET ROWS=,,,></FRAMESET> (pixels or %)

N2.0 Row Heights <FRAMESET ROWS=></FRAMESET> ( = relative size)

N2.0 Column Widths <FRAMESET COLS=,,,></FRAMESET> (pixels or %)

N2.0 Column Widths <FRAMESET COLS=></FRAMESET> ( = relative size)

N3.0b Borders <FRAMESET FRAMEBORDER="yes|no">

N3.0b Border Width <FRAMESET BORDER=?>

N3.0b Border Color <FRAMESET BORDERCOLOR="#$$$$$$">

N2.0 Define Frame <FRAME> (contents of an individual frame)

N2.0 Display Document <FRAME SRC="URL">

N2.0 Frame Name <FRAME NAME=""|_blank|_self|_parent|_top>

N2.0 Margin Width <FRAME MARGINWIDTH=?> (left and right margins)

N2.0 Margin Height <FRAME MARGINHEIGHT=?> (top and bottom margins)

N2.0 Scrollbar? <FRAME SCROLLING="YES|NO|AUTO">

N2.0 Not Resizable <FRAME NORESIZE>

N3.0b Borders <FRAME FRAMEBORDER="yes|no">

N3.0b Border Color <FRAME BORDERCOLOR="#$$$$$$">

N2.0 Unframed Content <NOFRAMES></NOFRAMES> (for non-frames browsers)

Related topics

Including tables in HTML documents

HTML tags

Including Java in HTML documents


Including Java in HTML documents

Use these tags to include Java scripts in your web pages.

Applet <APPLET></APPLET>

File Name <APPLET CODE="">

Parameters <APPLET PARAM NAME="">

Location <APPLET CODEBASE="URL">

Identifier <APPLET NAME=""> (for references)

Alternative Text <APPLET ALT=""> (for non-Java browsers)

Alignment <APPLET ALIGN="LEFT|RIGHT|CENTER">

Size <APPLET WIDTH=? HEIGHT=?> (in pixels)

Spacing <APPLET HSPACE=? VSPACE=?> (in pixels)

Related topics

Using frames in HTML documents

HTML tags

Using miscellaneous HTML tags


Using miscellaneous tags in HTML documents

Use these tags for advanced Web functions.

Comment <!-- --> (not displayed by the browser)

Prologue <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">

Searchable <ISINDEX> (indicates a searchable index)

Prompt <ISINDEX PROMPT=""> (text to prompt input)

Send Search <A HREF="URL?"></a> (use a real question mark)

URL of This File <BASE HREF="URL"> (must be in header)

N2.0 Base Window Name <BASE TARGET="">(must be in header)

Relationship <LINK REV="" REL="" HREF="URL"> (in header)

Meta Information <META> (must be in header)

Style Sheets <STYLE></STYLE>

Scripts <SCRIPT></SCRIPT>

Related topics

Including Java in HTML documents

HTML tags


Choosing the preview browser for HTML documents

When previewing HTML documents created or edited in CuteFTP Pro's built-in editor you will see the documents in your computer's default browser, unless you specify a different browser.

To specify the browser for previewing HTML documents from CuteFTP Pro

  1. On the menu bar, click Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Click on Folders.

  4. If you want to use the computer's default browser select the Preview using the default browser checkbox and skip to step 6.

OR

  • If you want to use a different browser, clear the Preview using the default browser checkbox and continue with step 5.

  5. In the Browser path box, browse or type the path to the program you want to use for previews of HTML.

  6. Click OK.

Related topics

Choosing folders for HTML snippets and scripts

Choosing display colors for the HTML editor

Choosing Tag Tip settings for the HTML editor

Choosing other HTML editor settings


Choosing the folder for HTML code snippets and Java scripts

To specify the folder for code snippets and previewing HTML documents from CuteFTP Pro

  1. On the menu bar, click Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Click on Folders.

  4. In the Code snippets box, browse or type the path to the folder where you want to store code snippets.

  5. In the Java scripts box, browse or type the path to the folder where you want to store Java scripts.

  6. Click OK.

Related topics

Choosing the preview browser for HTML documents

Choosing display colors for the HTML editor

Choosing Tag Tip settings for the HTML editor

Choosing other HTML editor settings


Choosing tag tip settings for the HTML editor

To show tag tips

  1. On the menu bar, click Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Click Tag tips.

  4. Select the Show tag tips check box.

  • Clear the Show tag tips check box to keep tag tips hidden.

  5. Click OK or Apply.

To choose how long the tag tips take to appear

  1. On the menu bar click Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Click Tag tips.

  4. In the Tag tips delay in milliseconds box, enter a time for the HTML editor to wait before showing tag tips.

  5. Click OK or Apply.

To capitalize all tag tips

  1. On the menu bar click Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Click Tag tips.

  4. Select the Capitalize tag tips check box.

  • Clear the Capitalize tag tips check box to leave tag tips in lower case.

  5. Click OK or Apply.

To display only tag tips that apply to certain browsers

  1. On the menu bar click Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Click Tag tips.

  4. Select your first browser choice from the top list, First primary browser tags.

  5. Select your second browser choice from the next list, Second primary browser tags.

  6. Select your third browser choice from the list Secondary browser tags.

  7. Select a color for tag tips that apply only to the third browser choice in Secondary browser color.

  8. Click OK or Apply.

Notes

When you select two primary browsers, the HTML editor will only list tags that are common to both browsers.

When you select a secondary browser, any tags supported only by that browser will be listed in a different color.

Related topics

Choosing the preview browser for HTML documents

Choosing folders for HTML snippets and scripts

Choosing display colors for the HTML editor

Choosing other HTML editor settings


Choosing display colors for the HTML editor

To specify display colors for HTML tags and Perl scripts

  1. On the menu bar click Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Click Colors.

  4. Select a color from the list for each tag set and for Perl script components.

  5. Click Apply or OK.

To specify background and standard font colors for the HTML editor

  1. On the menu bar click Tools > Global Options.

  2. Expand Helper Applications and HTML Editor.

  3. Click Colors.

  4. To use the system default colors select the Use system settings check box and skip to step 7.

OR

  • To choose different colors, clear the Use system settings check box and continue with step 5.

  5. Select a color for the background from the Background list.

  6. Select a color for the font from the System font list.

  7. Click Apply or OK.

Related topics

Choosing the preview browser for HTML documents

Choosing folders for HTML snippets and scripts

Choosing Tag Tip settings for the HTML editor

Choosing other HTML editor settings


Choosing other HTML editor settings

To keep text from running off the right end of the HTML editor screen

  1. On the menu bar click Tools > Global Options.

  2. Expand Helper Applications.

  3. Click HTML Editor.

  4. Select the Enable word wrap check box.

  • Clear the Enable word wrap check box to allow text to continue beyond the right edge.

  5. Click OK or Apply.

To display line numbers in HTML documents

  1. On the menu bar click Tools > Global Options.

  2. Expand Helper Applications.

  3. Click HTML Editor.

  4. Select the Prefix each line with line numbers check box.

  • Clear the Prefix each line with line numbers check box to hide line numbers.

  5. Click OK or Apply.

To change the tags and text that appear in new HTML documents

  1. On the menu bar click Tools > Global Options.

  2. Expand Helper Applications.

  3. Click HTML Editor.

  4. Click the Edit new document template button.

  5. Make changes in the New document template window.

  6. Click OK.

  7. Click OK again, or click Apply.

Related topics

Choosing the preview browser for HTML documents

Choosing folders for HTML snippets and scripts

Choosing display colors for the HTML editor

Choosing Tag Tip settings for the HTML editor

HTML editor settings


End User License Agreement

GLOBALSCAPE, INC. CUTEFTP PRO ® VERSION 3.0 BETA LICENSE

This Software is licensed, not sold. You may use this Software only as described in this license.

If you do not agree to the terms of this license, do not install the Software or use any registration number that was provided with the Software. You may contact the Web site or store where you purchased the license for a refund if you have not used the registration number.

1. SOFTWARE. The capitalized term “Software” refers to the computer program known as CuteFTP Pro Version 3.0 Beta, including the Transfer EngineTM and Transfer Engine Software Development Kit, any updates, supplemental code or programs provided to you by GlobalSCAPE with or in connection with CuteFTP Pro Version 3.0 Beta, the Transfer Engine, or the Transfer Engine Software Development Kit, the user's manual and Help file, any components, any related media and printed materials, and any related "online" or electronic documentation.

"Transfer Engine" means the portions of the Software located in the following files: ftpte.exe, sftp21.dll, and ssl.dll.

2. GRANT OF LICENSE.

Evaluation Copy. You may use the Software without charge for thirty (30) days from the day that you install the Software. You must pay the license fee and register your copy to continue to use the Software after the thirty (30) day evaluation period. To pay the license fee and register your copy, you should visit www.globalscape.com or an authorized sales agent. You may make one copy of the Software for back-up or archival purposes. Otherwise, you may not copy the Software in whole or in part and you may not transfer the Software.

Registered Copy. When you purchase a license, you will be provided with a registration number. You must enable the registered license for the Software by entering the registration number within thirty (30) days of purchase as prompted by the Software. You may use the registered Software on that number of computers for which you have purchased a separate license as indicated on the invoice or sales receipt. If the Software is installed on a network server or other storage device, you must purchase a license for each separate computer on which the Software is used. A license for the Software may not be shared by alternating use of the Software between different computers. If you acquired the Software for a reduced price as an upgrade from a previous version of the Software, you may not use the previous version on a separate computer from the Software. The primary user of a computer for which a license has been purchased may make and use one copy of the Software on his or her portable computer. You may also make one copy of the Software for back-up or archival purposes. Otherwise, you may not copy the Software in whole or in part. You may not transfer the Software. You may upgrade to the first final released version of the Software for no additional charge, subject to the terms of the License for that version.

Software Development Kit. You may use the Transfer Engine Software Development Kit to incorporate the Transfer Engine in a program other than CuteFTP Pro, provided that your program must include the ftpte.exe components of the Transfer Engine in their complete and unmodified form, and if you use the sftp21.dll or ssl.dll components, you must use them in their complete and unmodified form. The Transfer Engine remains subject to this license, but GlobalSCAPE does not claim any rights in any program or script you create to control the Transfer Engine through its Component Object Model interface. You may use a program into which you have incorporated the Transfer Engine only on those computers for which you have a license to use CuteFTP Pro, and you may not transfer or distribute such a program to any third party. If you wish to use the Transfer Engine on a computer on which you are not licensed to use CuteFTP Pro, or you wish to distribute the Transfer Engine to third parties, you must obtain a separate license for the Transfer Engine Software Development Kit. See www.globalscape.com for information.

3. RESTRICTIONS. You may not reduce the Software to human readable form, reverse engineer, de-compile, disassemble, merge, adapt, or modify the Software, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation. You may not rent, lease, or lend the Software. You may not use the Software to perform any unauthorized transfer of information, such as copying or transferring a file in violation of a copyright, or for any illegal purpose.

4. SUPPORT SERVICES. GlobalSCAPE may provide you with support services related to the Software. Use of support services is governed by the user’s manual, online documentation, and other GlobalSCAPE materials, as they may be modified from time to time. GlobalSCAPE may use any information you provide as part of obtaining support services for its business purposes, including product support and development.

5. INFORMATION COLLECTION. The Software includes a feature that assigns a unique number to your computer based on system information. The Software reports this number to us, as well as the software product identification and version number, either when you install the Software or enter your registration number, or both. During the evaluation period, the Software will contact our servers periodically to verify that the Software is still eligible for use on an evaluation basis. The Software may also identify and report to us your Windows language identifier setting, IP address, and the date and time of installation and/or registration. We use this information only to count the number of installations, detect piracy, prompt you at the appropriate times to register the Software, and develop rough statistical data regarding the geographic location of our users. If you register our Software, we tie this information to the personally identifiable information that we have about you.

6. CONFIDENTIALITY. You agree that all information regarding your beta test of the Software is confidential and that you will not share that information with any person other than GlobalSCAPE.

7. TERMINATION. This license terminates if you fail to comply with its terms and conditions. If your license terminates, you must destroy all copies of the Software. The termination of this license does not limit GlobalSCAPE’s other rights it may have by law.

8. INTELLECTUAL PROPERTY. You acknowledge that you have only the limited, non-exclusive right to use and copy the Software as expressly stated in this license and that GlobalSCAPE retains title to the Software and all other rights not expressly granted. You agree not to remove or modify any copyright, trademark, patent or other proprietary notices that appear, on, in or with the Software. The Software is protected by United States copyright, patent and trademark laws and international treaty provision.

9. EXPORT RESTRICTIONS. You may not export or re-export the Software in violation of the export laws of the United States, or the applicable laws of any other jurisdiction. Among other things, U.S. laws provide that the Software may not be exported or re-exported to certain countries that are embargoed or restricted or to certain restricted persons. Embargoed and restricted countries currently include Afghanistan, Cuba, Iran, Iraq, Libya, Sudan, North Korea and Syria. The Software contains encryption technology that is controlled for export by the U.S. government under the Export Administration Act. In addition to other restrictions described in this section, you may not use the Software, or export the Software to any destination where you know or have reason to know that the Software may be used, in connection with the proliferation of nuclear, chemical or biological weapons or missiles.

10. NO WARRANTIES AND RELEASE. This Software is being provided to you in non-final, or beta test version. To the extent permitted by applicable law, the Software and any support services are provided "as is" without warranty of any kind, either express or implied, including, without limitation, the implied warranties of merchantability, fitness for a particular purpose, or noninfringement. Computer programs are inherently complex, and the Software may not be free of errors. The Software is provided with all faults and the entire risk as to satisfactory quality, performance, accuracy and effort is with you. To the fullest extent permitted by applicable law, you release GlobalSCAPE from any liability related to your beta test of the Software.

11. LIMITATION OF LIABILITY. GlobalSCAPE is not liable to you for any consequential, special, incidental, or indirect damages of any kind arising out of the delivery, performance, or use of the Software, even if GlobalSCAPE has been advised of the possibility of such damages. Unless applicable law provides otherwise, GlobalSCAPE’s liability for any claim related to your purchase of a license for or use of the Software, whether in contract, tort, or any other theory of liability will not exceed the greater of U.S. $5.00 or the license fee paid by you.

12. U.S. GOVERNMENT. The Software is commercial computer software developed solely at private expense. The rights of civilian and non-civilian agencies of the U.S. Government to use, disclose and reproduce the Software are governed by the terms of this License. Publisher is GlobalSCAPE, Inc., 6000 Northwest Parkway, Suite 100, San Antonio, Texas, 78249, USA.

13. MISCELLANEOUS. This license is governed by the laws of the State of Texas, U.S.A. This license is not governed by the United Nations Convention of Contracts for the International Sale of Goods. This license constitutes the complete and exclusive agreement between us, notwithstanding any provision in any purchase order or other written document, except for our statement of the number of separate license fees for which you have paid as described in Section 2, above. This license may only be modified by a written document signed by GlobalSCAPE. If any provision of this license is held to be unenforceable, the remainder of the license shall not be affected, and the unenforceable provision shall be reformed to the extent necessary to make the provision enforceable. If you are located outside the United States, then the following provision applies: Les parties aux présentés conferment leur volonté que cette convention de même que tous les documents y compris tout avis qui SHY rattaché, soient redigés en langue anglaise. (Translation: “The parties confirm that this Agreement and all related documentation is and will be in the English language.”)

Should you have any questions concerning this license, or if you desire to contact GlobalSCAPE for any reason, please contact GlobalSCAPE by mail at: 6000 Northwest Parkway, Suite 100, San Antonio, Texas, 78249, USA, by telephone at: (210) 308-8267, or by electronic mail at: support@globalscape.com.


Distribution

Distribution is not permitted by the license for the Transfer Engine SDK. If you wish to distribute an application that includes the Transfer Engine, you may contact GlobalSCAPE and request special licensing arrangements. Refer to the Contacting GlobalSCAPE section for details on how to contact us.

Related topics

End User License Agreement


Registration and Trademarks

© 2002, GlobalSCAPE, Inc. All rights reserved. CuteFTP Pro and GlobalSCAPE are registered trademarks of GlobalSCAPE, Inc. The CuteFTP Pro and GlobalSCAPE logos are trademarks of GlobalSCAPE, Inc.

This program includes software developed by Info-Zip and the OpenSSL and OpenSSH Projects. See the Info-Zip License Agreement, OpenSSL License Agreement and OpenSSH License Agreement.

A portion of this program is derived from the RSA Data Security, Inc. MD5 Message-Digest Algorithm.


Open SSL License Agreement

This program includes software developed by the OpenSSL Project which was used by GlobalSCAPE pursuant to the following license.

Copyright (c) 1998-2000 The OpenSSL Project. All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  3. All advertising materials mentioning features or use of this software must display the following acknowledgment: "This product include software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)"

  4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org.

  5. Products derived from this software may not be called "OpenSSL" nor may "OpenSSL" appear in their names without prior written permission of the OpenSSL Project.

  6. Redistributions of any form whatsoever must retain the following acknowledgment: "This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)"

THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This product includes cryptographic software written by Eric Young (eay@cryptsoft.com). This product includes software written by Tim Hudson (tjh@cryptsoft.com).


Open SSH License Agreement

This program includes software developed by the OpenSSH project, which was used by GlobalSCAPE pursuant to the following licenses.

  1. Copyright (c) 1995 Tatu Ylonen , Espoo, Finland All rights reserved.

As far as I am concerned, the code I have written for this software can be used freely for any purpose. Any derived versions of this software must be clearly marked as such, and if the derived work is incompatible with the protocol description in the RFC file, it must be called by a name other than "ssh" or "Secure Shell".

[Tatu continues]

However, I am not implying to give any licenses to any patents or copyrights held by third parties, and the software includes parts that are not under my direct control. As far as I know, all included source code is used in accordance with the relevant license agreements and can be used freely for any purpose (the GNU license being the most restrictive); see below for details.

[However, none of that term is relevant at this point in time. All of these restrictively licenced software components which he talks about have been removed from OpenSSH, i.e.,

- RSA is no longer included, found in the OpenSSL library

- IDEA is no longer included, its use is deprecated - DES is now external, in the OpenSSL library

- GMP is no longer used, and instead we call BN code from OpenSSL

- Zlib is now external, in a library

- The make-ssh-known-hosts script is no longer included

- TSS has been removed

- MD5 is now external, in the OpenSSL library

- RC4 support has been replaced with ARC4 support from OpenSSL

- Blowfish is now external, in the OpenSSL library

[The licence continues]

Note that any information and cryptographic algorithms used in this software are publicly available on the Internet and at any major bookstore, scientific library, and patent office worldwide. More information can be found e.g. at "http://www.cs.hut.fi/crypto".

The legal status of this program is some combination of all these permissions and restrictions. Use only at your own responsibility. You will be responsible for any legal consequences yourself; I am not making any claims whether possessing or using this is legal or not in your country, and I am not taking any responsibility on your behalf.

NO WARRANTY

BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

  2. The 32-bit CRC implementation in crc32.c is due to Gary S. Brown. Comments in the file indicate it may be used for any purpose without restrictions:

COPYRIGHT (C) 1986 Gary S. Brown. You may use this program, or code or tables extracted from it, as desired without restriction.

  3. The 32-bit CRC compensation attack detector in deattack.c was contributed by CORE SDI S.A. under a BSD-style license. Cryptographic attack detector for ssh - source code

Copyright (c) 1998 CORE SDI S.A., Buenos Aires, Argentina.

All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that this copyright notice is retained.

THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES ARE DISCLAIMED. IN NO EVENT SHALL CORE SDI S.A. BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY OR CONSEQUENTIAL DAMAGES RESULTING FROM THE USE OR MISUSE OF THIS SOFTWARE.

Ariel Futoransky

  4. ssh-keygen was contributed by David Mazieres under a BSD-style license.

Copyright 1995, 1996 by David Mazieres .

Modification and redistribution in source and binary forms is permitted provided that due credit is given to the author and the OpenBSD project by leaving this copyright notice intact.

  5. The Rijndael implementation by Vincent Rijmen, Antoon Bosselaers and Paulo Barreto is in the public domain and distributed with the following license: @version 3.0 (December 2000) Optimised ANSI C code for the Rijndael cipher (now AES) @author Vincent Rijmen @author Antoon Bosselaers @author Paulo Barreto

This code is hereby placed in the public domain.

THIS SOFTWARE IS PROVIDED BY THE AUTHORS ''AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

  6. Remaining components of the software are provided under a standard 2-term BSD licence with the following names as copyright holders:

Markus Friedl

Theo de Raadt

Niels Provos

Dug Song

Aaron Campbell

Damien Miller

Kevin Steves

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Info-Zip License Agreement

This program includes Info-Zip Software which was used by GlobalSCAPE pursuant to the following license.

This is version 2000-Apr-09 of the Info-ZIP copyright and license.The definitive version of this document should be available at ftp://ftp.info-zip.org/pub/infozip/license.html indefinitely.

Copyright (c) 1990-2000 Info-ZIP. All rights reserved.

For the purposes of this copyright and license, "Info-ZIP" is defined as the following set of individuals:

Mark Adler, John Bush, Karl Davis, Harald Denker, Jean-Michel Dubois,Jean-loup Gailly, Hunter Goatley, Ian Gorman, Chris Herborth, Dirk Haase,Greg Hartwig, Robert Heath, Jonathan Hudson, Paul Kienitz, David Kirschbaum,Johnny Lee, Onno van der Linden, Igor Mandrichenko, Steve P. Miller,Sergio Monesi, Keith Owens, George Petrov, Greg Roelofs, Kai Uwe Rommel,Steve Salisbury, Dave Smith, Christian Spieler, Antoine Verheijen,Paul von Behren, Rich Wales, Mike White

This software is provided "as is," without warranty of any kind, express or implied. In no event shall Info-ZIP or its contributors be held liable for any direct, indirect, incidental, special or consequential damages arising out of the use of or inability to use this software.

Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

  1. Redistributions of source code must retain the above copyright notice, definition, disclaimer, and this list of conditions.

  2. Redistributions in binary form must reproduce the above copyright notice, definition, disclaimer, and this list of conditions in documentation and/or other materials provided with the distribution.

  3. Altered versions--including, but not limited to, ports to new operating systems, existing ports with new graphical interfaces, and dynamic, shared, or static library versions--must be plainly marked as such and must not be misrepresented as being the original source. Such altered versions also must not be misrepresented as being Info-ZIP releases--including, but not limited to, labeling of the alteredversions with the names "Info-ZIP" (or any variation thereof, including, but not limited to, different capitalizations), "Pocket UnZip," "WiZ" or "MacZip" without the explicit permission of Info-ZIP. Such altered versions are further prohibited from misrepresentative use of the Zip-Bugs or Info-ZIP e-mail addresses or of the Info-ZIP URL(s).

  4. Info-ZIP retains the right to use the names "Info-ZIP," "Zip," "UnZip," "WiZ," "Pocket UnZip," "Pocket Zip," and "MacZip" for its own source and binary releases.


About your software

If you have registered CuteFTP Pro, this box displays your registered user name and your serial number. It also shows the version of the software.

Click OK to close the box.


Advanced folder synchronization

Click Tools > Synchronize Folders, then click the Advanced button to display additional synchronization options.

For matching filenames always

Use this setting to control the action taken by CuteFTP Pro when synchronizing files with identical names. The default action, Use global overwite settings, can be adjusted for all files in Tools > Global Options > Transfer Settings > Smart Overwrite.

Overwrite copies the file with the more recent date (this is the behavior demonstrated in the above example).

Numerate will copy both files and number them to distinguish between the two.

Skip ignores matching files, and only transfers those files not yet present on the other system.

Remote file names that differ only in case

Use this setting to tell CuteFTP Pro what to do with files having identically-spelled but differently-cased names. You can choose: Transfer first file only and skip others, numerate files, or show rename prompt. Since Windows file systems do not support differently-cased file names, you may want to use this option when working with file systems that do (like Unix).

Ignore symbolic links

Select this option to prevent CuteFTP Pro from following symbolic links when mirroring subfolders. This option should be left on unless symbolic links are absolutely needed. If you disable this option and a symbolic link points to a spot further up the folder tree from where the mirroring began you can get stuck in an infinite loop.

When one-way mirroring, delete destination file if it does not exist in the source folder

Select this option to make the mirrored folder a strict duplicate of the source folder. This will update old files and delete unused files. If you disable this option, any extra files present in the mirrored folder will be left in place.

Always prompt before deleting

Disable this option to turn off the pop-up box that asks if you're sure you want to delete a file. If you plan to run synchronizations automatically, clear this check box, so that no one has to click OK before files can be deleted.

Force Binary transfers

Select this option to compensate for a problem that occurs when trying to synchronize ASCII files residing on UNIX file systems. Windows and UNIX differ slightly on how they store ASCII files, especially with regards to the End Of Line (EOL) or line breaks in ASCII documents. This difference causes an otherwise identical file to be seen as “different” when performing a synchronization tasks, due to the difference in size.

By forcing performing Binary transfers, all files are transferred in binary mode, which would mean that an ASCII file residing on a local system would be transferred to the remote server with its EOLs intact. Some Web servers can accommodate for this while others may not. This could result in an html or other ASCII document not being displayed in the end user’s browser.

It is best to experiment with the two options if you are unsure of what to choose. By default, force binary has been turned off, as extra traffic might be acceptable, while conserving EOLs in a UNIX environment may not.

Related topics

Synchronizing folders


Automatically closing the overwrite pop-up window

To automatically close the overwrite pop-up window

  1. On the menu bar click Tools > Global Options.

  2. Click the plus sign next to Display if you can't see Prompts.

  3. Click Prompts.

  4. Select the Automatically close overwrite prompt window after n seconds.

  5. Choose the number of seconds you want the window to stay open.

  • Clear the same check box to keep the overwrite window open.

  7. Click OK.

Notes

The overwrite window appears whenever you try to upload a file to a directory where a file with the same name already exists, even if the name is not in the same letter case.

If the overwrite window closes automatically before you make any selections the file will be overwritten.

Related topics

Overwriting files


Changing file list sorting schemes

Choosing file list sorting schemes

To choose a file list sorting scheme

  1. On the menu bar, go to Tools > Global Options.

  2. Highlight Display.

  3. Select Use Smart Sorting for Alphanumeric file names.

OR

  • Select Use Standard lexicographic sorting for alphanumeric file names.

Tip

Smart Sorting always lists file names with smaller numbers first. For instance A2 would come before A12. David Wincelburg developed Smart Sorting. CuteFTP Pro 3 uses Smart Sorting by default.

Standard Lexicographic sorting lists file names using one character at a time reading from left to right. For instance A2 would come AFTER A12. MS Windows uses Standard Lexicographic sorting by default.

Smart Sorting | Standard sorting
FileA1.ext | FileA1.ext
FileA2.ext | FileA12.ext
FileA6.ext | FileA2.ext
FileA9.ext | FileA20.ext
FileA12.ext | FileA21.ext
FileA20.ext | FileA6.ext
FileA21.ext | FileA9.ext


Customizing toolbars

You can determine the buttons and their order in your toolbars.

To add a button

  1. On the menu bar, go to Tools > Global Options > Display, highlight a toolbar and click the Customize button.

  2. The Customize Toolbar dialog box opens. There are two columns in the dialog box, Available Toolbar buttons and Current Toolbar buttons.

  3. Select a button from the Available Toolbar buttons column.

  4. Click Add, or double-click the button.

  5. Click Reset to cancel any changes.

To remove a button

  1. On the menu bar, go to Tools > Global Options > Display, highlight a toolbar and click the Customize button.

  2. The Customize Toolbar dialog box opens. There are two columns in the dialog box, they are Available Toolbar buttons and Current Toolbar buttons.

  3. Select a button from the Current Toolbar buttons column.

  4. Click Remove, or double-click the button.

  5. Click Reset to cancel any changes.

To move a button

  1. On the menu bar, go to Tools > Global Options > Display, highlight a toolbar and click the Customize button.

  2. The Customize Toolbar dialog box opens. There are two columns in the dialog box, they are Available Toolbar buttons and Current Toolbar buttons.

  3. Select a button from the Current Toolbar buttons column.

  4. Click Move Up to move a button one icon to the left on the toolbar.

  • Click Move Down to move the button one icon to the right on the toolbar.

  5. Click Reset to cancel any changes.

Note

The Reset button will not cancel changes made when the Customize Toolbar dialog box was opened and closed previously.

Related topics

Displaying and hiding toolbars


Details

Choose Details to display all the items in a local or remote folder in a table with columns listing item size, type, and modified date.

Related topics

Changing how files and folders are displayed


Document Data

The Document Data screen contains information about the document currently being edited.

Text Size | The total size of text contained in the document, shown in kilobytes.
Image Size | The total size of images contained in the document, shown in kilobytes.
Total Size | Total of text and images size, shown in kilobytes.
Weight | Number of seconds your page will take to load based on size and modem speed. Use the down arrow at the end of this field to adjust modem speed.
Images | A list of all images appearing in the document.
Anchors | A list of all anchors appearing in the document.


HTML Anchors

Add an anchor to HTML documents to create a link. Anchor is another word for Hyperlink. Type in the Web address where you want the link to go. The target defines how the linked information will display. The name is the word or words that appear in your document as the link.


HTML tags

General tags

Structure tags

Formatting tags

Link and graphic tags

Divider tags

List tags

Background and color tags

Special characters

Form tags

Table tags

Frame tags

Java tags

Miscellaneous HTML tags


Large Icons

Choose Large Icons to display all the items in a local or remote folder as big folders and files. If there are many items in a folder, you will have to scroll to see them all.

Related topics

Changing how files and folders are displayed


List

Choose list to display all the items in a local or remote folder with just their name and icon. This will display the most items in the smallest area.

Related topics

Changing how files and folders are displayed


Permissions details

Use permissions to define who can and cannot view files or folders, who can and cannot run files, and who can and cannot change files or folders on a server.

CuteFTP Pro uses the CHMOD command to change file permissions on remote servers.

CHMOD permission mask

The CHMOD’s permission mask is a three-digit number. Note that each digit of the number defines the permission for a different user of the file.

  • First digit: Defines the permissions for the owner.

  • Second digit: Defines the permissions for the group.

  • Third digit: Defines the permissions for everyone else (referred to as public).

Each digit works the same for each group of users: the owner, group, and public. What you set for one digit has no effect on the other two digits. Each digit is made up of the three permissions. Each permission has a numerical value.

  • Read - 4

  • Write - 2

  • Execute - 1

These three numbers are added together to get the permissions for a file. If you want a file to only be readable and not writable or executable, set its permission to 4. This works the same for Write and Execute. Files that are only Executable have a permission of 1.

Examples

If you want a file to have Read and Write permissions, add the Read and Write values together (4+2) and you get 6—the permissions setting for Read and Write. If you want the file to have Read, Write, and Execute permissions, use the value 7 (4+2+1). Do this for each of the three permission groups and you get a valid CHMOD mask. If you want your file to have Read, Write, and Execute permissions (4+2+1) for yourself; Read and Execute (4+1) for your group; and Execute (1) only for everyone else, you would set the file permissions to 751.

A file with full permissions granted to everyone would have a CHMOD mask of 777.

Related topics

Changing file and folder permissions


Proxy settings for individual sites

You can set individual sites to connect through a proxy server in the Site Manager.

To setup a proxy connection for an individual site

  1. Highlight the site in the Site Manager.

  2. On the menu bar, click File > Properties.

  3. Click the Options tab.

  4. Choose Use site specific option, from the Site specific configuration options list.

  5. Click the Proxy button.

  6. In the Proxy type list select either FTP or HTTP to match the protocol the highlighted proxy server supports.

  7. In Host name, type in the name of the proxy server.

  8. In the Port box, type the proper port for the proxy server. The default port for proxy servers is 8000.

  9. If the proxy server requires a user name and password, or some other authentication, select the Use authentication check box. If the proxy server doesn't require authentication, skip to step 15.

  10. Enter your proxy User name.

  11. Enter your proxy Password.

  12. If the proxy requires a different authentication method, click Advanced. If not skip to step 15.

  13. Choose one of the following advanced authentication methods.

    • Choose USER user @site when your proxy server requires the USER command followed by your user name and the site name to allow connection with a remote site.

    • Choose SITE site when your proxy server requires the SITE command followed by the address of the remote FTP site to allow a connection.

    • Choose USER with logon when your proxy server requires the USER command followed by a user name and password to allow connection with a remote site.

    • Choose USER/PASS/ACCT when your proxy server requires all three commands before allowing a connection to a remote site.

    • Choose OPEN site when your proxy server requires the OPEN command followed by the site name before allowing connection to the site.

    • Choose Custom when your proxy server requires a login sequence different from those above.

  14. Click OK to return to the Proxy window.

  15. Click OK to accept your Proxy settings.

Note

Contact your system administrator for the proper Host name, Port, User name, Password, and proxy type, as well as any required advanced authentication methods.

To create a custom authentication method for a proxy server

  13. Type a command.

  14. Follow the command with a space and an appropriate variable. Choose from the variables listed.

    • %host% sends the host name you typed in the Proxy server options window.

    • %user% sends the user name you typed in the Proxy server options window.

    • %pass% sends the password you typed in the Proxy server options window.

    • %port% sends the port number you typed in the Proxy server options window.

    • %fire_pass% sends the password you typed in the Proxy server options window as authentication for the firewall.

    • %fire_user% sends the user name you typed in the Proxy server options window as authentication for the firewall.

  15. Type each variable with percent signs before and after.

  16. Press the Enter key to separate commands.

  17. Enter any other commands and variables, separating commands with a line break.

  18. Click OK.


Receiving a prompt before closing a connection

To set CuteFTP Pro to ask before closing a connection pane

  1. On the menu bar click Tools > Global Options.

  2. Click the plus sign next to Display if you can't see Prompts.

  3. Highlight Prompts.

  4. Select the Confirm when closing a remote view check box.

  • Clear the same box to stop getting prompts before closing.

  6. Click OK.


Removing an SSL certificate from the Trusted list

To remove an SSL certificate from the Trusted list

  1. On the menu bar, go to Tools > Global Options.

  2. If you can't see SSL, expand Security.

  3. Click on SSL.

  4. Click Trusted Certificates.

  5. Click the certificate you want to remove.

  6. Click Remove.

  7. Click Close to close the Certificate Manager box.

  8. Click OK to close the Global Options window.

Related Topics

Accepting SSL certificates

Importing an SSL certificate

Choosing a certificate for SSL sessions


RFC compliant PASV mode

You can see in the correct timing how the LIST command comes after a connection is established.

CORRECT TIMING (Supported by all except WARFTPd)

COMMAND:> PASV

227 Entering Passive Mode (12,123,12,12,123,12).

STATUS:> Connecting ftp data socket 12.123.2.11:12345...

STATUS:> Passive connection established.

COMMAND:> LIST

INCORRECT TIMING (Support by most servers except for some older versions of IIS)

COMMAND:> PASV

227 Entering Passive Mode (12,123,12,12,123,12).

COMMAND:> LIST

STATUS:> Connecting ftp data socket 12.123.2.11:12345...

Related topics

Tolerance options


Server side filters

These parameters ask the server to list files and folders in specific ways or with specific information. They are case sensitive, and can be used in groups such as -rtaF. Always type the filter with a minus sign at the beginning. Here are a few examples;

-a Displays hidden files along with unhidden files; hidden files have a '.' as the first character in the filename.

-l (ell) List in long format, giving mode, number of links, owner, group, size in bytes, and time of last modification for each file.

-r Reverse the order of sort to get descending lists.

-t Time-sorted, most recent first.

-R Recursively look into sub-directories.

-C Displays the files in a columnar format.

-F Displays a '/' at the end of subdirectories.

-L If the argument is a symbolic link, list the file or directory to which the link refers rather than the link itself.

Related topics

Choosing which files and folders to display


Setting CuteFTP Pro to ask before deleting

You can set CuteFTP Pro to display a pop-up box asking if you are sure you want to delete an item from the following areas:

  • Local drives

  • Remote sites

  • The queue

To set CuteFTP Pro to ask before deleting files from local drives

  1. On the menu bar click Tools > Global Options.

  2. Click the plus sign next to Display if you can't see Prompts.

  3. Click Prompts.

  4. Select the Confirm when deleting an item on local view check box.

  • Clear the same box to stop CuteFTP from asking before a deletion.

  6. Click OK.

To set CuteFTP Pro to ask before deleting files from remote sites

  1. On the menu bar click Tools > Global Options.

  2. Click Global Options.

  3. Click the plus sign next to Display if you can't see Prompts.

  4. Click Prompts.

  5. Select the Confirm when deleting an item on remote view check box.

  • Clear the same box to stop CuteFTP from asking before a deletion.

  6. Click OK.

To set CuteFTP Pro to ask before deleting items from the queue

  1. On the menu bar click Tools > Global Options.

  2. Click the plus sign next to Display if you can't see Prompts.

  3. Click Prompts.

  4. Select the Confirm when deleting an item from the queue check box.

  • Clear the same box to stop CuteFTP from asking before a deletion.

  6. Click OK.


Setting up servers for FXP

FXP Server Setup

You have to set up the following three servers to allow site-to-site transfers.

To configure MS IIS to allow FXP

Requirements: MS IIS 5.0 with Windows 2000 SP1 or later
Information provided by Microsoft

Using regedit.exe add the following registry key (DWORD value)

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\MSFTPSVC\Parameters\
EnablePortAttack=1

Warning: This DOES open your system to a port attack. Microsoft discourages this.

To configure ProFTPD 1.2.0rc3 to allow FXP

To support FXP when connecting as a user place "AllowForeignAddress on" in the Global or VirtualHost context.
To support FXP when connecting as anon you must place "AllowForeignAddress on" in the Anonymous context.

The config will happily support "AllowForeignAddress on" in multiple places within the config. You may need to add the following "PassivePorts 49152 65534"

To configure wu-ftpd to allow FXP

Requirements: wu-ftpd 2.6.0

/etc/ftpaccess

First, you need to add an additional class for users that are allowed to do FXP (unless you just want to use the predefined class "all"). If you add a new class, this line MUST be before the catch-all class "all", or the client will match class "all" first.

The line is of the form:
class {ArbitraryClassName} {AccessTypes} {HostAddrs} [HostAddrs]

Then you add lines to allow PASV and PORT commands to hosts whose IPs don't match the client (to allow FXP)

These lines are of the form:
port-allow {ArbitraryClassName} {HostAddrs}
pasv-allow {ArbitraryClassName} {HostAddrs}

Example

class newclass real,guest,anonymous *.mydomain.net
*.more.client.addresses.com
class all real,guest,anonymous *

port-allow newclass 0.0.0.0/0
pasv-allow newclass 0.0.0.0/0

This basically adds a new class (creatively called "newclass") - note that it appears BEFORE the line containing the class "all" - this new class contains all hosts in the subdomains mydomain.net and more.client.addresses.com (domains obviously made up by yours truly), in order to limit who we will allow to do FXP. The port-allow and pasv-allow lines basically allow FXP connections to anywhere if your client is in the class "newclass".

Related topics

Site-to-site transfers (FXP)

FXP limitations


Showing connection errors in a pop-up window

Showing connection errors in pop-up windows

During a session errors will only be displayed in the connection log to avoid cluttering a monitor and memory during unattended sessions. You can set CuteFTP Pro to show the errors in a pop-up window when they occur.

To show connection errors in pop-up windows

  1. On the menu bar click Tools > Global Options.

  2. Click the plus sign next to Display if you can't see Prompts.

  3. Highlight Prompts.

  4. Select the Show error prompt dialog check box.

  • Clear the same box to stop the pop-up windows.

  6. Click OK.


Site Properties Actions tab

When client connects, switch to this remote folder

Type the full path to any folder on the remote site, and CuteFTP will automatically open the folder in the Remote Pane when you connect to the site.

When client connects, switch to this remote folder

Type the full path to any folder on your machine, and CuteFTP will automatically open the folder in the Local Pane when you connect to the site.

For navigation use the following caching options

Caching means CuteFTP Pro stores the site list information on your computer, so when you navigate to different files and folders, you don't have to reconnect.

  • Use cache during session

Store the site's information only until you close the connection.

  • Always use cache

Store the site's information and keep it even after you disconnect.

  • Do not use cache

Never store the site's information.

When uploading, apply this rule to files and folder names

Use this to change file names to upper, or lower case, or to keep the case the same.

  • Preserve case

Keep all uploaded file names in their original case.

  • Force lower case

Change all uploaded file names to small letters.

  • Force upper case

Change all uploaded file names to all capitals.

Filter

Click this button to define which files will be hidden or displayed on the site.

For more information go to Choosing which files and folders to display.

Connect

Click this button and the Site Properties dialog box will be closed, all of your changes will be saved for the site, and CuteFTP Pro will connect to the site.

OK

Click this button and the Site Properties dialog box will be closed, and all your changes will be saved for the site.

Cancel

Click this button and the Site Properties dialog box will be closed, and any changes made to the site's properties will be erased.

Help

Click this button and a window like this will appear with information about the settings and options in the dialog box.

Related topics

Site Properties General tab

Site Properties Type tab

Site Properties Options tab


Site Properties General tab

Label

Type the name for the site as it will appear in your Site Manager.

Host address

Enter the address for the site. It can be a domain name such as ftp.example.com, or an IP address. If you don't know the address your hosting provider can give it to you.

Username

Enter the username given to you by your hosting provider.

Password

Enter the password given to you by your hosting provider.

Comments

Enter any notes about the site that you want to save with the site.

Login method

  • Select Normal if the server requires your user name and password for a connection.

  • Select Anonymous if the server doesn't require a user name and password for a connection.

  • Select Double if you need to supply your user name and password twice for a connection.

Connect

Click this button and the Site Properties dialog box will be closed, all of your changes will be saved for the site, and CuteFTP Pro will connect to the site.

OK

Click this button and the Site Properties dialog box will be closed, and all your changes will be saved for the site.

Cancel

Click this button and the Site Properties dialog box will be closed, and any changes made to the site's properties will be erased.

Help

Click this button and a window like this will appear with information about the settings and options in the dialog box.

Related topics

Site Properties Type tab

Site Properties Actions tab

Site Properties Options tab


Site Properties Options tab

Site specific configuration options

Choose Use global settings for all options and the CuteFTP Pro will use the parameters set in Global Options will

When client connects, switch to this remote folder

Type the full path to any folder on your machine, and CuteFTP will automatically open the folder in the Local Pane when you connect to the site.

For navigation use the following caching options

Caching means CuteFTP Pro stores the site list information on your computer, so when you navigate to different files and folders, you don't have to reconnect.

  • Use cache during session

Store the site's information only until you close the connection.

  • Always use cache

Store the site's information and keep it even after you disconnect.

  • Do not use cache

Never store the site's information.

When uploading, apply this rule to files and folder names

Use this to change file names to upper, or lower case, or to keep the case the same.

  • Preserve case

Keep all uploaded file names in their original case.

  • Force lower case

Change all uploaded file names to small letters.

  • Force upper case

Change all uploaded file names to all capitals.

Filter

Click this button to define which files will be hidden or displayed on the site.

For more information go to Choosing which files and folders to display.

Connect

Click this button and the Site Properties dialog box will be closed, all of your changes will be saved for the site, and CuteFTP Pro will connect to the site.

OK

Click this button and the Site Properties dialog box will be closed, and all your changes will be saved for the site.

Cancel

Click this button and the Site Properties dialog box will be closed, and any changes made to the site's properties will be erased.

Help

Click this button and a window like this will appear with information about the settings and options in the dialog box.

Related topics

Site Properties General tab

Site Properties Type tab

Site Properties Actions tab


Site Properties Type tab

Protocol type

Choose the transfer protocol for the site. You can choose FTP, FTP with Implicit SSL, FTP with Explicit SSL, SSH2 (SFTP), HTTP, or HTTP with SSL.

Port

CuteFTP Pro will choose the appropriate default port for the protocol you choose. You can change this number if the default is not correct for your site.

Server type

You can leave this at Auto-detect, and CuteFTP Pro will try to tell what kind of server is at the site. If you have connection problems, or you know what kind of server is at the site you can choose from the list which includes Unix, Unix compatible, Windows NT, and many others.

Data connection type

Choose to use the connection type you set in Global Options or set the site to Use PORT or PASV connection mode.

Transfer type

Choose to use the transfer type you set in Global Options or one of the following;

  • Auto-detect Based on the file type CuteFTP Pro will decide whether to transfer in ASCII or binary.

  • ASCII Used primarily for transfers of text based files like HTML, text and other documents.

  • Binary Used primarily for data type transfers like pictures and other graphics, or files that do not have line feeds (carriage returns).

Server time zone

Choose the time zone for the site's server. These time zones do not account for Daylight Saving Time. To account for Daylight Saving Time simply choose a time zone one hour ahead of the server's time zone. For example if you are connecting to a server in Central Daylight time, set the time zone to Eastern Standard time.

Password Protection/Clear Data Channel

These options are protocol dependant. If you are connecting to a simple FTP site, you will see four options for password encryption. If you are connecting to an FTP with SSL site you will see a check box for Clear Data Channel.

Connect

Click this button and the Site Properties dialog box will be closed, all of your changes will be saved for the site, and CuteFTP Pro will connect to the site.

OK

Click this button and the Site Properties dialog box will be closed, and all your changes will be saved for the site.

Cancel

Click this button and the Site Properties dialog box will be closed, and any changes made to the site's properties will be erased.

Help

Click this button and a window like this will appear with information about the settings and options in the dialog box.

Related topics

Site Properties General tab

Site Properties Actions tab

Site Properties Options tab


Small Icons

Choose small Icons to display all the items in a local or remote folder as small folders and files. You will be able to see more items in a pane without scrolling.

Related topics

Changing how files and folders are displayed


Smart Overwrite example

The following table shows the effect of one rule listed in the Smart Overwrite rule list.

The rule is; If the destination file date is <newer> and the size is <larger> during <upload> then <overwrite>. If no rule can be applied then <show prompt> is also selected.

File location | File time stamp | File size | Transfer | Result
Local file | 8/13/02 9:00 | 80kb | Upload | transferred
Remote file | 8/14/02 7:00 | 90kb |  | replaced
Local file | 8/13/02 9:00 | 80kb | Upload | Prompt appears
Remote file | 8/12/02 7:00 | 90kb
Local file | 8/13/02 9:00 | 90kb | Upload | Prompt appears
Remote file | 8/14/02 7:00 | 90kb
Local file | 8/13/02 9:00 | 80kb | Download | Prompt appears
Remote file | 8/14/02 7:00 | 90kb

Related topics

Smart Overwrite settings


SOCKS settings for individual sites

You can set individual sites to connect through a SOCKS4 or SOCKS5 server in the Site Manager.

To setup a SOCKS connection for an individual site

  1. Highlight the site in the Site Manager.

  2. On the menu bar, click File > Properties.

  3. Click the Options tab.

  4. Choose Use site specific option, from the Site specific configuration options list.

  5. Click the SOCKS button.

  6. In the SOCKS type list select Don't use socks, SOCKS4, or SOCKS5.

  7. In Host name, type in the name of the SOCKS server.

  8. In the Port box, type the proper port for the SOCKS server. The default port for SOCKS servers is 1080.

  9. If you chose Don't use socks or SOCKS4 skip to step 12. If you chose SOCKS5 it may require a user name and password. If this is the case, select the Use authentication check box and continue with step 10. If your SOCKS5 server doesn't require a user name and password clear the Use authentication check box and skip to step 12.

  10. Enter your proxy User name.

  11. Enter your proxy Password.

  12. Click OK to accept your SOCKS settings.

Note

Contact your system administrator for the proper Host name, Port, User name, Password, and SOCKS type, as well as any required user names and passwords.


SSL Certificate Wizard Page 1

  1. Enter the Certificate Set Name - This will be the name of the certificate generated by the Certificate Wizard.

  2. Enter the Output Location - Type a path or click the browse button to choose the folder where you will save the certificate.

  3. Choose an Expiration date - This defines how long the certificate will remain valid.

  4. Enter and confirm the Pass Phrase - The Pass Phrase can be any combination of characters or spaces. It is used to encrypt the private key. Do not lose the pass phrase. The certificate will be useless without it.

  5. Click the Next button.


SSL Certificate Wizard page 2

  1. Enter the City/Town - Location of your organization.

  2. Enter the State/Province - Location of your organization.

  3. Enter the Organization - The name of your organization.

  4. Enter the Common Name - Typically your name or the domain name associated with your site.

  5. Enter the E-mail address - Your e-mail address.

  6. Enter the Unit - The name of your department, i.e. Information Systems.

  7. Enter the Country - The two-letter code for your organization's nation.

  8. Click the Next button.


SSL Certificate Wizard Page 3

  1. Select the Set up CuteFTP Pro to use the generated certificate check box - the wizard will automatically associate the certificate to CuteFTP Pro. It can later be unassociated by clearing the Use SSL Certificate check box in Tools > Global Options > Security > SSL. If the check box is cleared, the wizard will only save the certificate files in the directory you specified in Step 4.

  2. Click Finish.

  3. CuteFTP Pro will display the paths to all the files generated for your certificate. If you want a third party to sign your certificate, you will need to send the Certificate Signing Request (.csr) file to the third party.

Notes

When you create a certificate CuteFTP Pro generates three files;

  • A Private key file (.key) - The private key should never be distributed to anyone. It is used to decrypt sessions encrypted by a public key.

  • A Certificate request file (.csr) - This file can be signed by GlobalSCAPE Secure FTP Server's Certificate Signing Utility or sent to an intermediate Certificate Authority such as Verisign or Thawte for signing.

  • A Certificate file (.crt) - This is a signed certificate, whether self-signed or signed by an intermediate certificate authority.

If the server will accept self-signed certificates, you will be able to connect with the .crt file and .key file you created and associated in CuteFTP Pro.

Related topics

Connecting to SSL sites

Choosing a certificate for SSL sessions

Getting an SSL certificate signed


Synchronization examples

Examples of folder synchronization:

Before Mirroring

Local Folder | Remote Folder
File1.doc, 12/1/00 | File1.doc, 11/1/00
File2.doc, 11/1/00 | File2.doc, 12/1/00
File3.doc, 12/1/00 |

After Mirror Local

Local Folder | Remote Folder | Notes
File1.doc, 12/1/00 | File1.doc, 12/1/00 | newer file is uploaded
File2.doc, 11/1/00 | File2.doc, 12/1/00 | no change because local file is older
File3.doc, 12/1/00 | File3.doc, 12/1/00 | new file is uploaded

After Mirror Remote

Local Folder | Remote Folder | Notes
File1.doc, 12/1/00 | File1.doc, 11/1/00 | no change because local file is newer
File2.doc, 12/1/00 | File2.doc, 12/1/00 | newer file is downloaded
 |  | non-existent file is deleted

Note: File3.doc has been deleted from the local folder

After Mirror Both

Local Folder | Remote Folder | Notes
File1.doc, 12/1/00 | File1.doc, 12/1/00 | newer file is uploaded
File2.doc, 12/1/00 | File2.doc, 12/1/00 | newer file is downloaded
File3.doc, 12/1/00 | File3.doc, 12/1/00 | new file is uploaded


Trial period

Currently the copy of CuteFTP Pro on your computer is a trial copy. It works exactly like a full version of CuteFTP Pro, except that it will no longer work 30 days after you installed it.

To continue using the trial version, click the Continue Trial button.

To get the full version, click the Buy Now button.

If you have already purchased CuteFTP Pro 3.0, click the Enter Serial Number button, enter your serial number, you will never see this screen again, and your copy of CuteFTP Pro 3.0 will not expire after 30 days.


Using the Classic Interface Site Manager

You can use the Site Manager in the Classic Interface as you would in the Pro Interface.

To display the Site Manager in the Classic Interface

  • On the menu bar, click Tools > Site Manager > Display Site Manager.

  • On the left you have a "tree view" of all the sites saved in your Site Manager.

  • On the right you have tabs for various settings for whichever site is highlighted in the left pane.

    • General

    • Type

    • Actions

    • Options

  • Click the New button to add new sites to the Site Manager.

  • Click the Rename button to change the name of a site highlighted in the left pane.

  • Click the Delete button to remove a site from the Site Manager.

  • Click the Browse offline button to look through a site's listings without connecting (You must have Site Caching enabled to use this feature).

  • Click the Help button to see this information again.

  • Click the Connect button and CuteFTP Pro will connect to the site highlighted in the left pane, save any changes you made in the Site Manager and close the Site Manager.

  • Click the Exit button and CuteFTP Pro will save any changes you made in the Site Manager and close it.


Wildcard masks

Wildcard masks are patterns of special characters used to filter files/folder names or transfers. When a wildcard mask is matched against a filename, the two patterns are compared, letter-by-letter, from left to right until a mismatch occurs. If all the characters in both patterns compare positively, the filename matches the Wildcard Mask.

Wildcard mask characters

? Will match any singe character (i.e. ? will match a,b,c,1,2,etc...)

* Will match any sequence of characters (including no characters at all), terminated by the next character in the mask. (i.e. *a will match cutea, wwwa, zzza, etc.).

[ ] Will match any character in the character set enclosed in the brackets. This can also be a range of characters (i.e. [A - Z] ).

If the opening bracket is followed by “!”, will match any character NOT in the set. (i.e. [!abc] will match any character except a,b,c)

Wildcard Mask Examples

Mask | Will Match | Will NOT Match
* | all files |
*.bmp | sample.bmp, xyz.bmp | sample.gif
x?z | xyz, xaz | xyy, zyz
a[xyz]c | axc, ayc, azc | abc, awc
a[!xyz]c | abc, adc, awc | axc, ayc, azc
a[a-c]d | aad, abd, acd | add, axd

Related topics

Choosing which files and folders to display